2022-12-24  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/NEWS,
	synfig-studio/org.synfig.SynfigStudio.appdata.xml.in: Release
	version 1.4.4

2022-10-01  ice0 <konoplin@gmail.com>

	* synfig-studio/m4/subs.m4: build(autotools): allow to compile
	release build with debug info (#2838) fix #2392

2022-08-11  ice0 <konoplin@gmail.com>

	* synfig-studio/src/gui/canvasview.cpp: fix: Right-clicking a layer
	on a just opened file shows empty menu (#2781) The issue was introduced by PR #2352 When the list of selected layers was empty, then clicking on the
	layer opened an empty menu.  Now the logic has changed: If the layer is in the list of selected
	layers, then actions are applied to them, if not, then the selection
	is removed from them and the layer that was clicked becomes selected
	(and actions applied to it).

2021-11-25  ice0 <konoplin@gmail.com>

	* synfig-studio/src/synfigapp/blineconvert.cpp: Merge PR (#2445):
	Fixed crash when using Draw tool (Fedora/Flatpak)Fixed crash when
	using Draw tool (Fedora/Flatpak) This issue is reproduced with Flatpak build and on Fedora.  The
	reason is that Fedora enables _GLIBCXX_ASSERTIONS  compile flag by
	default.  https://fedoraproject.org/wiki/Changes/HardeningFlags28 And Synfig crashes when reads off the end of the vector.

2022-12-04  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/po/es.po, synfig-studio/po/eu.po,
	synfig-studio/po/ru.po: Update translations

2022-11-27  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/configure.ac,
	synfig-studio/org.synfig.SynfigStudio.appdata.xml.in,
	synfig-studio/src/gui/CMakeLists.txt: Bump version to 1.4.4

2022-10-25  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/NEWS,
	synfig-studio/org.synfig.SynfigStudio.appdata.xml.in: Release
	version 1.4.3

2022-10-24  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/po/ar.po, synfig-studio/po/ar_EG.po,
	synfig-studio/po/bs.po, synfig-studio/po/ca.po,
	synfig-studio/po/ca@valencia.po, synfig-studio/po/cs.po,
	synfig-studio/po/da.po, synfig-studio/po/de.po,
	synfig-studio/po/el_GR.po, synfig-studio/po/en_GB.po,
	synfig-studio/po/es.po, synfig-studio/po/es_PY.po,
	synfig-studio/po/eu.po, synfig-studio/po/eu_ES.po,
	synfig-studio/po/fa_IR.po, synfig-studio/po/fr.po,
	synfig-studio/po/gl.po, synfig-studio/po/he.po,
	synfig-studio/po/hi.po, synfig-studio/po/hu.po,
	synfig-studio/po/it.po, synfig-studio/po/ja_JP.po,
	synfig-studio/po/kab.po, synfig-studio/po/ko_KR.po,
	synfig-studio/po/lt.po, synfig-studio/po/lv.po,
	synfig-studio/po/nb.po, synfig-studio/po/nl.po,
	synfig-studio/po/pl_PL.po, synfig-studio/po/pt.po,
	synfig-studio/po/pt_BR.po, synfig-studio/po/ro.po,
	synfig-studio/po/ru.po, synfig-studio/po/si.po,
	synfig-studio/po/sk.po, synfig-studio/po/sk_SK.po,
	synfig-studio/po/sl.po, synfig-studio/po/sr_RS.po,
	synfig-studio/po/sv_SE.po, synfig-studio/po/tr.po,
	synfig-studio/po/uk.po, synfig-studio/po/ur.po,
	synfig-studio/po/uz@Latn.po, synfig-studio/po/zh-Hant.po,
	synfig-studio/po/zh_CN.po, synfig-studio/po/zh_TW.po: Update
	translations

2022-07-31  Nadine <100689322+MetaruHebi@users.noreply.github.com>

	* synfig-studio/src/gui/instance.cpp: chore: Enabled some strings
	for translation (#2768) Fixes https://github.com/synfig-ru/synfig/issues/1

2022-10-24  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/src/synfigapp/value_desc.cpp,
	synfig-studio/src/synfigapp/value_desc.h: Fixed crash when deleting
	last waypoint (#2587)

2022-09-26  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/src/gui/canvasview.cpp,
	synfig-studio/src/gui/cellrenderer/cellrenderer_time.cpp,
	synfig-studio/src/gui/cellrenderer/cellrenderer_value.cpp,
	synfig-studio/src/gui/dialogs/dialog_gradient.cpp,
	synfig-studio/src/gui/docks/dockdialog.cpp,
	synfig-studio/src/gui/duckmatic.cpp,
	synfig-studio/src/gui/instance.cpp,
	synfig-studio/src/gui/trees/historytreestore.cpp,
	synfig-studio/src/gui/trees/keyframetree.cpp,
	synfig-studio/src/gui/trees/keyframetreestore.cpp,
	synfig-studio/src/gui/trees/layergrouptree.cpp,
	synfig-studio/src/gui/trees/layergrouptreestore.cpp,
	synfig-studio/src/gui/trees/layerparamtreestore.cpp,
	synfig-studio/src/gui/trees/layertree.cpp,
	synfig-studio/src/gui/trees/layertreestore.cpp,
	synfig-studio/src/gui/trees/metadatatreestore.cpp,
	synfig-studio/src/gui/workarea.cpp,
	synfig-studio/src/synfigapp/action.cpp,
	synfig-studio/src/synfigapp/action_system.cpp,
	synfig-studio/src/synfigapp/canvasinterface.cpp,
	synfig-studio/src/synfigapp/instance.cpp: perf: improved file
	opening speed in Windows (#2826) getenv is very slow on Windows, so I replaced most of the logging
	calls with a macro that is disabled by default.  Benchmark test (used a null target to exclude rendering impact): ```
	./synfig synfig-core/examples/pirates.sif -o pirates.png -t null ``` All benchmarks made on Release builds.  Windows (MSVC) before: ``` Execution time: 28.352 s Execution time:
	28.345 s Execution time: 28.391 s ``` Avg: 28362 ms Windows (MSVC) after: ``` Execution time: 6.140 s Execution time:
	6.341 s Execution time: 6.201 s ``` Avg: 6227 ms Improvement:
	**4.55x faster** (455%) Windows (MinGW) before: ``` real    0m19.757s real    0m18.605s real
	0m18.697s ``` Avg: 19019 ms Windows (MinGW) after: ``` real    0m6.842s real    0m6.816s real
	0m6.772s ``` Avg: 6810 ms Improvement: **2,79x faster** (279%) Linux before: ``` ./synfig  -o pirates.png -t null  3,72s user 0,39s
	system 109% cpu 3,756 total ./synfig  -o pirates.png -t null  3,83s
	user 0,37s system 109% cpu 3,834 total ./synfig  -o pirates.png -t
	null  3,71s user 0,42s system 109% cpu 3,778 total ``` Average: 3789
	ms Linux after: ``` ./synfig  -o pirates.png -t null  3,62s user 0,38s
	system 111% cpu 3,583 total ./synfig  -o pirates.png -t null  3,50s
	user 0,40s system 110% cpu 3,523 total ./synfig  -o pirates.png -t
	null  3,52s user 0,39s system 108% cpu 3,593 total ``` Average: 3566
	ms Improvement: 0,06x (6%) macOS before: ``` ./synfig synfig-core/examples/pirates.sif -o  -
	2,85s user 0,31s system 108% cpu 2,928 total ./synfig
	synfig-core/examples/pirates.sif -o  -  2,84s user 0,32s system 108%
	cpu 2,911 total ./synfig synfig-core/examples/pirates.sif -o  -
	2,83s user 0,31s system 108% cpu 2,898 total ``` Average: 2912 ms macOS after: ``` ./synfig synfig-core/examples/pirates.sif -o  -
	2,57s user 0,31s system 108% cpu 2,642 total ./synfig
	synfig-core/examples/pirates.sif -o  -  2,57s user 0,31s system 109%
	cpu 2,642 total ./synfig synfig-core/examples/pirates.sif -o  -
	2,57s user 0,31s system 108% cpu 2,641 total ``` Average: 2642 ms
	Improvement: 0,1x (10%) # Conflicts: #
	synfig-core/src/synfig/node.cpp #
	synfig-core/src/synfig/savecanvas.cpp #
	synfig-core/src/synfig/valuenode.cpp #
	synfig-core/src/synfig/valuenodes/valuenode_bline.cpp #
	synfig-core/src/synfig/valuenodes/valuenode_bone.cpp #
	synfig-core/src/synfig/valuenodes/valuenode_boneinfluence.cpp #
	synfig-core/src/synfig/valuenodes/valuenode_boneweightpair.cpp #
	synfig-core/src/synfig/valuenodes/valuenode_composite.cpp #
	synfig-core/src/synfig/valuenodes/valuenode_const.cpp #
	synfig-core/src/synfig/valuenodes/valuenode_dynamiclist.cpp #
	synfig-core/src/synfig/valuenodes/valuenode_modulo.cpp #
	synfig-core/src/synfig/valuenodes/valuenode_staticlist.cpp #
	synfig-studio/src/gui/canvasview.cpp #
	synfig-studio/src/gui/dialogs/dialog_gradient.cpp

2022-06-19  rodolforg <rodolforg@users.noreply.github.com>

	* synfig-studio/src/synfigapp/actions/valuedescconnect.cpp: fix:
	don't allow to Connect to exported value node if it has wrong type
	(#2694)

2022-05-25  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/po/LINGUAS, synfig-studio/po/ar.po,
	synfig-studio/po/ar_EG.po, synfig-studio/po/bs.po,
	synfig-studio/po/ca.po, synfig-studio/po/ca@valencia.po,
	synfig-studio/po/cs.po, synfig-studio/po/da.po,
	synfig-studio/po/de.po, synfig-studio/po/el_GR.po,
	synfig-studio/po/en_GB.po, synfig-studio/po/es.po,
	synfig-studio/po/es_PY.po, synfig-studio/po/eu.po,
	synfig-studio/po/eu_ES.po, synfig-studio/po/fa_IR.po,
	synfig-studio/po/fr.po, synfig-studio/po/gl.po,
	synfig-studio/po/he.po, synfig-studio/po/hi.po,
	synfig-studio/po/hu.po, synfig-studio/po/it.po,
	synfig-studio/po/ja_JP.po, synfig-studio/po/kab.po,
	synfig-studio/po/ko_KR.po, synfig-studio/po/lt.po,
	synfig-studio/po/lv.po, synfig-studio/po/nb.po,
	synfig-studio/po/nl.po, synfig-studio/po/pl_PL.po,
	synfig-studio/po/pt.po, synfig-studio/po/pt_BR.po,
	synfig-studio/po/ro.po, synfig-studio/po/ru.po,
	synfig-studio/po/si.po, synfig-studio/po/sk.po,
	synfig-studio/po/sk_SK.po, synfig-studio/po/sl.po,
	synfig-studio/po/sr_RS.po, synfig-studio/po/sv_SE.po,
	synfig-studio/po/tr.po, synfig-studio/po/uk.po,
	synfig-studio/po/ur.po, synfig-studio/po/uz@Latn.po,
	synfig-studio/po/zh-Hant.po, synfig-studio/po/zh_CN.po,
	synfig-studio/po/zh_TW.po, synfig-studio/src/languages.inc.c: Update
	translations

2022-05-24  ice0 <konoplin@gmail.com>

	* synfig-studio/src/gui/autorecover.cpp,
	synfig-studio/src/gui/autorecover.h: Fixed issue with autosave not
	working when interval is set to 15 seconds. (#2647) Closes #2646.

2022-05-17  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/src/gui/trees/layertreestore.cpp: fix regression:
	importing papagayo file didn't show the expected layers (#2495) Reported-by: BigBang

	https://forums.synfig.org/t/no-group-for-the-tones-of-papagayao/12849guilty commit: f63ade3652fa6d9d41315c227f71cf2ec764e9ec

2022-05-03  ice0 <konoplin@gmail.com>

	* synfig-studio/src/gui/dialogs/about.cpp: Bumped year (#2623)

2022-05-03  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/plugins/lottie-exporter/lottie-exporter.py: Fix
	module search path for Lottie Exporter (#2621)

2022-04-05  rodolforg <rodolforg@users.noreply.github.com>

	* synfig-studio/src/gui/dialogs/about.cpp: Update contributor name
	list (#2601)

2022-01-06  rodolforg <rodolforg@users.noreply.github.com>

	* synfig-studio/src/gui/states/state_width.cpp: fix crash when using
	Width Tool on Skeleton Layer (#2500) fix #2381

2021-12-26  rodolforg <rodolforg@users.noreply.github.com>

	* synfig-studio/src/synfigapp/actions/valuedescbonelink.cpp: 
	BoneLink: Ask if user wants to link transformation instead of origin
	(#2468) Fixes #2089 (Problems when linking Group to Bone - Origin Parameter
	is linked instead of Transformation Parameter).

2021-12-27  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/src/gui/renddesc.cpp,
	synfig-studio/src/gui/renddesc.h: Make sure flags are correctly
	updated when setting renddesc or toggling (#2463)

2021-12-13  rodolforg <rodolforg@users.noreply.github.com>

	* synfig-studio/src/gui/docks/dock_timetrack.cpp: Parameters and
	Timeline panels show the same row selected (#2422) Based on #2422.

2021-11-22  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/src/gui/docks/dockable.cpp: Revert changes for Panel
	Tabs made in #2189 (#2436) Fixes #2435

2021-11-17  flurick <the3drick@gmail.com>

	* synfig-studio/src/gui/app.cpp,
	synfig-studio/src/gui/docks/dock_toolbox.cpp,
	synfig-studio/src/gui/docks/dockable.cpp,
	synfig-studio/src/gui/mainwindow.cpp,
	synfig-studio/src/synfigapp/actions/valuedescexport.cpp: Usability
	tweaks (#2189) * Show docked tab titles * Kepp minimum size of toolbox panes * Clarify where "exported" value goes * Update help menu links * Typo (forgot a quote)

2021-10-11  Firas Hanife <FirasHanife@gmail.com>

	* synfig-studio/src/gui/renddesc.cpp,
	synfig-studio/src/gui/renddesc.h: Enable "Link width and height" by
	default in Render Settings (#2351)

2021-10-11  Firas Hanife <FirasHanife@gmail.com>

	* synfig-studio/src/gui/canvasview.cpp: Apply action to all selected
	layers from pop-over menu (#2352)

2020-11-09  rodolforg <rodolforg@users.noreply.github.com>

	* synfig-studio/src/gui/docks/dockdialog.cpp,
	synfig-studio/src/gui/docks/dockdialog.h: Dock widget shortcuts have
	priority over App Accels - fix #1820 (#1827)

2021-10-09  rodolforg <rodolforg@users.noreply.github.com>

	* synfig-studio/src/synfigapp/actions/valuedescblinelink.cpp: Fix
	regression on Link To Spline: Vertex should be linkable (#2345).
	Closes #2344.
	https://forums.synfig.org/t/does-not-show-link-to-spline-when-trying-to-connect-vertex-to-spline/12607

2021-07-26  rodolforg <rodolforg@users.noreply.github.com>

	* synfig-studio/src/gui/canvasview.cpp: Fixed a crash when trying to
	import a file into yourself (#2239) Reported-by: veermetri05

	https://forums.synfig.org/t/synfig-crashes-while-trying-to-import-a-file-into-itself/12406

2021-10-04  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/src/synfigapp/canvasinterface.cpp: Fix regression:
	importing image making it upside-down (#2333) When "Fit to Canvas" wasn't set in Import Image dialog.  fix #2328

2021-08-23  rodolforg <rodolforg@users.noreply.github.com>

	* synfig-studio/src/synfigapp/canvasinterface.cpp: Fix image size
	when importing onto canvas with non-standard size (#2252) When importing a raster image without "Resize to Scale" set, its
	size could be wrong, if the target canvas is not 60px/unit.  Reported-by: Arturo
	https://forums.synfig.org/t/scaling-circle-with-outline/12425/4

2021-10-04  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/configure.ac,
	synfig-studio/org.synfig.SynfigStudio.appdata.xml.in,
	synfig-studio/src/gui/CMakeLists.txt: Bump version to 1.4.3

2021-07-28  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/NEWS,
	synfig-studio/org.synfig.SynfigStudio.appdata.xml.in: Release
	version 1.4.2

2021-07-26  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/NEWS,
	synfig-studio/org.synfig.SynfigStudio.appdata.xml.in: Revert
	"Release version 1.4.2" This reverts commit 6add9ebbd373fe90aecc09f09f276f16b6c1c36c.

2021-07-26  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/NEWS,
	synfig-studio/org.synfig.SynfigStudio.appdata.xml.in: Release
	version 1.4.2

2021-07-15  Anish Gulati <anish.gulati@research.iiit.ac.in>

	*
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	outline.py: Resolved 'nan' exception (#2227)

2021-07-15  Anish Gulati <anish.gulati@research.iiit.ac.in>

	*
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	advanced_outline.py: [Lottie exporter] Remove minor error (#2229)

2021-07-15  rodolforg <rodolforg@users.noreply.github.com>

	* synfig-studio/plugins/lottie-exporter/lottie-exporter.py: Merge PR
	#2226: Lottie-Exporter plugin: fix missing .json and .log export

2021-07-13  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/po/LINGUAS, synfig-studio/po/aa_DJ.po,
	synfig-studio/po/ar.po, synfig-studio/po/bs.po,
	synfig-studio/po/ca.po, synfig-studio/po/ca@valencia.po,
	synfig-studio/po/cs.po, synfig-studio/po/da.po,
	synfig-studio/po/de.po, synfig-studio/po/el_GR.po,
	synfig-studio/po/en_CZ.po, synfig-studio/po/en_GB.po,
	synfig-studio/po/es.po, synfig-studio/po/es_AR.po,
	synfig-studio/po/es_PY.po, synfig-studio/po/eu.po,
	synfig-studio/po/eu_ES.po, synfig-studio/po/fa_IR.po,
	synfig-studio/po/fr.po, synfig-studio/po/gl.po,
	synfig-studio/po/he.po, synfig-studio/po/hi.po,
	synfig-studio/po/hu.po, synfig-studio/po/it.po,
	synfig-studio/po/ja_JP.po, synfig-studio/po/kab.po,
	synfig-studio/po/ko_KR.po, synfig-studio/po/lt.po,
	synfig-studio/po/lv.po, synfig-studio/po/nb.po,
	synfig-studio/po/ne.po, synfig-studio/po/nl.po,
	synfig-studio/po/pl_PL.po, synfig-studio/po/pt.po,
	synfig-studio/po/pt_BR.po, synfig-studio/po/ro.po,
	synfig-studio/po/ru.po, synfig-studio/po/si.po,
	synfig-studio/po/sk.po, synfig-studio/po/sk_SK.po,
	synfig-studio/po/sl.po, synfig-studio/po/sr_RS.po,
	synfig-studio/po/sv_SE.po, synfig-studio/po/tr.po,
	synfig-studio/po/uk.po, synfig-studio/po/ur.po,
	synfig-studio/po/uz@Latn.po, synfig-studio/po/zh-Hant.po,
	synfig-studio/po/zh_CN.po, synfig-studio/po/zh_TW.po,
	synfig-studio/src/languages.inc.c: Apply latest translations form
	Transifex (#2220) Includes new Korean translation.

2021-07-11  rodolforg <rodolforg@users.noreply.github.com>

	* synfig-studio/src/gui/trees/layertreestore.cpp,
	synfig-studio/src/gui/trees/layertreestore.h: Fixed crash in rare
	cases caused by race condition when rebuilding LayerTreeStore
	(#2209) There was a mistake in 'queued' assignment in queue_rebuild().  Besides, internal class methods directly call rebuild() and it could
	crash due to race condition.

2021-07-09  Anish Gulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/plugins/lottie-exporter/common/Angle.py,
	synfig-studio/plugins/lottie-exporter/common/DashItem.py,
	synfig-studio/plugins/lottie-exporter/common/DashItemList.py,
	synfig-studio/plugins/lottie-exporter/common/Hermite.py,
	synfig-studio/plugins/lottie-exporter/common/Makefile.am,
	synfig-studio/plugins/lottie-exporter/common/Vector.py,
	synfig-studio/plugins/lottie-exporter/common/WidthPoint.py,
	synfig-studio/plugins/lottie-exporter/common/WidthPointList.py,
	synfig-studio/plugins/lottie-exporter/properties/shapeKeyframed.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	Makefile.am,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	advanced_outline.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	helper.py, synfig-studio/plugins/lottie-exporter/settings.py: Lottie
	Exporter: add support for Advanced Outline (#2199) * Add initial stages of Advanced outline export * Complete Advanced outline; Add angle class * Advanced outline working for non-animated Synfig files; Need to
	make the size of polygons equal for it to work in animated files * Attempt to supported animated advanced outlines * Some mistakes removed; Will have to make multiple outline in order
	to render properly, and will have to play with opacity * Hold interpolation between frames so that advanced outline work
	properly * Remove some errors when blineloop * Remove error when iterator is equal to .end(), and it's value is
	accessed in Synfig * Remove null values * Bline looped outlines working properly * Add documentation for all the methods * 015-switch_group.sif working properly now * Add changes to Makefile

2021-07-08  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/plugins/lottie-exporter/Makefile.am,
	synfig-studio/plugins/lottie-exporter/bodymovin.js,
	synfig-studio/plugins/lottie-exporter/bodymovin_5.6.5.js,
	synfig-studio/plugins/lottie-exporter/canvas.py,
	synfig-studio/plugins/lottie-exporter/common/Bline.py,
	synfig-studio/plugins/lottie-exporter/common/Canvas.py,
	synfig-studio/plugins/lottie-exporter/common/Color.py,
	synfig-studio/plugins/lottie-exporter/common/Gradient.py,
	synfig-studio/plugins/lottie-exporter/common/Layer.py,
	synfig-studio/plugins/lottie-exporter/common/Makefile.am,
	synfig-studio/plugins/lottie-exporter/common/Param.py,
	synfig-studio/plugins/lottie-exporter/common/misc.py,
	synfig-studio/plugins/lottie-exporter/effects/color.py,
	synfig-studio/plugins/lottie-exporter/effects/controller.py,
	synfig-studio/plugins/lottie-exporter/effects/fill.py,
	synfig-studio/plugins/lottie-exporter/effects/opacity.py,
	synfig-studio/plugins/lottie-exporter/effects/point.py,
	synfig-studio/plugins/lottie-exporter/effects/slider.py,
	synfig-studio/plugins/lottie-exporter/export_without_variable_width
	.py, synfig-studio/plugins/lottie-exporter/helpers/transform.py,
	synfig-studio/plugins/lottie-exporter/layers/Makefile.am,
	synfig-studio/plugins/lottie-exporter/layers/blur.py,
	synfig-studio/plugins/lottie-exporter/layers/driver.py,
	synfig-studio/plugins/lottie-exporter/layers/group.py,
	synfig-studio/plugins/lottie-exporter/layers/image.py,
	synfig-studio/plugins/lottie-exporter/layers/preComp.py,
	synfig-studio/plugins/lottie-exporter/layers/rotate_layer.py,
	synfig-studio/plugins/lottie-exporter/layers/shape.py,
	synfig-studio/plugins/lottie-exporter/layers/shape_solid.py,
	synfig-studio/plugins/lottie-exporter/layers/solid.py,
	synfig-studio/plugins/lottie-exporter/layers/translate_layer.py,
	synfig-studio/plugins/lottie-exporter/lottie-exporter.py,
	synfig-studio/plugins/lottie-exporter/properties/multiDimensionalKe
	yframed.py,
	synfig-studio/plugins/lottie-exporter/properties/offsetKeyframe.py,
	synfig-studio/plugins/lottie-exporter/properties/shapeKeyframed.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	Makefile.am,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	circle.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	constant_width_outline.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	helper.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	outline.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	rectangle.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	region.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	star.py,
	synfig-studio/plugins/lottie-exporter/properties/valueKeyframe.py,
	synfig-studio/plugins/lottie-exporter/properties/valueKeyframed.py,
	synfig-studio/plugins/lottie-exporter/settings.py,
	synfig-studio/plugins/lottie-exporter/shapes/Makefile.am,
	synfig-studio/plugins/lottie-exporter/shapes/circle.py,
	synfig-studio/plugins/lottie-exporter/shapes/fill.py,
	synfig-studio/plugins/lottie-exporter/shapes/gFill.py,
	synfig-studio/plugins/lottie-exporter/shapes/rectangle.py,
	synfig-studio/plugins/lottie-exporter/shapes/shape.py,
	synfig-studio/plugins/lottie-exporter/shapes/star.py,
	synfig-studio/plugins/lottie-exporter/sources/precomp.py,
	synfig-studio/plugins/lottie-exporter/synfig/Makefile.am,
	synfig-studio/plugins/lottie-exporter/synfig/animation.py,
	synfig-studio/plugins/lottie-exporter/synfig/group.py,
	synfig-studio/plugins/lottie-exporter/synfig/rectangle.py: Update
	Lottie Exporter plugin - Convert methods not working with radius of simple circle layer
	(#1101) - [Lottie exporter] Add support for variable gamma correction
	(#1174) - Changes made to offsetKeyFrame file (#1233) - Add support for converters: sine, cos, integer, linear gradient,
	aTan2, Vector angle, radial_composite, radial gradient, vector x,
	vector y, power, dot product, logarithm, reciprocal, range, vector
	length, not (#1236 #1254 #1286 #1363 #1409 #1447 #1446 #1516 #1515
	#1593 #1586 #1619 #1606 #1650 #1587) - Add support for blur layers (#1505) - Add support for Outline layer without variable widths (#1647) - Improve support for exported values (#2182) - Some code cleanup (#1199 #1213 #1226 #1456 #2061)

2021-07-09  Keyikedalube Ndang <keyikedalubendang@protonmail.ch>

	* synfig-studio/src/gui/docks/dockbook.cpp: Middle click on a tab
	now closes the root canvas only when all child canvases are closed
	(#2210) If a sub-canvas tab was middle clicked, hide that tab instead of
	force closing the root canvas which has an unintended side effect of
	closing all other exported sub-canvases.

2021-07-08  ice0 <konoplin@gmail.com>

	* synfig-studio/src/gui/audiocontainer.cpp,
	synfig-studio/src/gui/trees/canvastreestore.cpp,
	synfig-studio/src/gui/trees/layergrouptreestore.cpp,
	synfig-studio/src/gui/trees/layerparamtreestore.cpp,
	synfig-studio/src/gui/trees/layertreestore.cpp,
	synfig-studio/src/synfigapp/blineconvert.cpp,
	synfig-studio/src/synfigapp/canvasinterface.cpp: `etl::clock`
	refactored to use `std::chrono` (PR #1853) fix synfig-core tests after etl::clock change (based on #2004)

2021-05-31  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/dialogs/dialog_setup.cpp,
	synfig-studio/src/gui/dialogs/dialog_setup.h: [Studio] Add a button
	for restoring default accels (only) (PR #2173)

2021-05-31  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/dialogs/dialog_setup.cpp: [Studio] Shortcut
	editor warns user about repeated shortcut And so it doesn't let it happen.

2021-05-31  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/app.cpp, synfig-studio/src/gui/app.h,
	synfig-studio/src/gui/dialogs/dialog_setup.cpp: [Studio] shortcut
	editor now is a treeview

2021-06-01  ice0 <konoplin@gmail.com>

	* synfig-studio/src/gui/app.cpp,
	synfig-studio/src/gui/canvasview.cpp,
	synfig-studio/src/gui/trees/layertree.cpp,
	synfig-studio/src/gui/widgets/widget_curves.cpp: Fix some
	shortcuts/accels - for item deletion and animation stop (PR #2172) - Add Numpad Delete key to some widgets as an alternative to regular
	Delete key - Remove Numpad Delete key from CanvasView accels, because
	deprecated Gtk::UIManager only allows one accel per action - Restore old 'Stop' ('Pause' on GUI) : it was renamed by mistake
	and missed this action # Conflicts: #
	synfig-studio/src/gui/widgets/widget_timetrack.cpp

2021-05-23  rodolforg <rodolforg@users.noreply.github.com>

	* synfig-studio/src/gui/app.cpp, synfig-studio/src/gui/app.h,
	synfig-studio/src/gui/dialogs/dialog_setup.cpp,
	synfig-studio/src/gui/dialogs/dialog_setup.h: Basic implementation
	of Keyboard Shortcut Editor (#2160) Some other features could be done, for example: - Own button for 'restore default shortcuts only' (instead of
	together with all other Synfig Studio settings) - Save and load specific/custom accel map file (it always
	read/overwrite [config-folder]/accelrc) - List all available actions (currently it lists only those with a
	default shortcut set in app.cpp) - Group actions in a Tree view structure (but I'm lazy for that) - List with better (simpler) names and maybe tooltips: right now
	it's the action full path. However, it would require a proper
	registration on every case, and this PR is just a quick
	implementation - Warn user if a shortcut is used for another action fix #422

2021-05-19  ice0 <konoplin@gmail.com>

	* synfig-studio/src/gui/app.cpp: Improved error reporting [studio]
	(#2156) Expanded support for some types of errors

2021-02-26  Keyikedalube Ndang <keyikedalubendang@protonmail.ch>

	* synfig-studio/src/gui/app.cpp,
	synfig-studio/src/gui/canvasview.cpp: [Synfig Studio] Implemented
	toggle animate hotkey (#2033)

2020-12-26  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/app.cpp: app.cpp: remove ACCEL macro to
	cleanup default accel map definition (PR #1953)

2020-12-26  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/app.cpp: app.cpp: replace macro ACCEL2 with
	ACCEL

2020-11-18  Firas Hanife <FirasHanife@gmail.com>

	* synfig-studio/src/gui/app.cpp: Add accelerator key for Cutout tool
	(#1855)

2021-05-26  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/app.cpp,
	synfig-studio/src/gui/canvasview.cpp: Implementing Canvas Zoom
	Legacy Keyboard shortcuts (partial PR #1848) Co-authored-by: DhairyaBahl <dhairyabahl5@gmail.com>

2020-11-14  DhairyaBahl <71627983+DhairyaBahl@users.noreply.github.com>

	* synfig-studio/src/gui/app.cpp: Improving Keyboard Shortcuts for
	the toolbox items (#1823) * Improving Keyboard Shortcuts for the toolbox items

2020-10-29  Keyikedalube Ndang <keyikedalubendang@protonmail.ch>

	* synfig-studio/src/gui/app.cpp: Changed redo shortcut to Ctr+Y
	(Win)/Shift+Ctrl+Z (Linux) (#1811) Also Ctrl+Z/Shift+Ctrl+Z is changed to Cmd+Z/Shift+Cmd+Z for MacOS

2021-05-26  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/app.cpp: improved navigation keyboard
	shortcuts (based on PR #1776) Co-authored-by: Keyikedalube Ndang <keyikedalubendang@protonmail.ch>

2020-10-10  Anshita Vishwa <vishwaanshita09@gmail.com>

	* synfig-studio/src/gui/app.cpp: Improve Canvas Zoom Keyboard
	Shortcut UX

2021-04-21  rodolforg <rodolforg@users.noreply.github.com>

	* synfig-studio/src/gui/trees/layertreestore.cpp: Fixed crash when
	user drags a group to a child group (#2116) fix #2110

2021-04-21  Keyikedalube Ndang <keyikedalubendang@protonmail.ch>

	* synfig-studio/src/gui/docks/dockbook.cpp: Fixed an issue due to
	which menus were not displayed on all panels except the canvas
	(#2120)

2021-04-17  Keyikedalube Ndang <keyikedalubendang@protonmail.ch>

	* synfig-studio/src/gui/docks/dockbook.cpp: Close tabs with middle
	mouse click (#2107) * Close tabs with middle mouse click * Check canvas is not null after dynamic cast

2021-04-17  rodolforg <rodolforg@users.noreply.github.com>

	* synfig-studio/src/gui/docks/dockbook.cpp: [Synfig Studio] fix
	'Undock Panel' menu item always showing (#2109) even when it's a solo panel in a floating window.  Related to #2047

2020-12-13  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/docks/dockable.cpp,
	synfig-studio/src/gui/docks/dockbook.cpp: add menu item "Undock
	panel" to Panel tab (PR #1929) now user doesn't need to drag panel out to undock it.  Some users couldn't figure it out easily how to do it, so here we
	give them an alternative way.  https://forums.synfig.org/t/moving-panels-in-layout/11634

2020-12-13  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/docks/dockable.cpp,
	synfig-studio/src/gui/docks/dockable.h: when undocking a panel, it
	shows up near mouse pointer (cherry-pick from commit 3a07fe28a582f235c5a39085d2b1aa8a91504b3a)

2021-04-09  rodolforg <rodolforg@users.noreply.github.com>

	* synfig-studio/src/gui/widgets/widget_vector.cpp: sometimes
	Widget_Vector didn't use locale for decimal separator (#2102) Example:  In Canvas Properties dialog, we have the Image Area delimited by
	 two points: the top left corner and the bottom right corner.  Both
	points use Widget_Vector to edit it.  There, you could only type
	real numbers by using 'dot' (.) to separate integer from the
	fractional part (e.g. 4.5). However, this character depends on
	 locale. Brazil and Germany, for example, use 'comma' (,).  Another
	case: on the same dialog, the Focus Point field.  This commit also fixes synfig::remove_trailing_zeroes() - I
	accidentally let two chars to be summed instead of appending them to
	string

2021-04-14  ice0 <konoplin@gmail.com>

	* synfig-studio/src/gui/canvasview.cpp: Exported canvas can be
	reopened again after closing (#2092)

2021-03-29  rodolforg <rodolforg@users.noreply.github.com>

	* synfig-studio/src/gui/exception_guard.h: [Synfig Studio] fix
	format string for synfigapp exception guard (#2084)

2021-03-17  rodolforg <rodolforg@users.noreply.github.com>

	* synfig-studio/src/synfigapp/instance.cpp: [Synfig Studio] make
	TimeLoop valuenode editable via workspace (#2066) fix issue pointed in

	https://forums.synfig.org/t/animate-a-parameter-converted-to-a-time-loop/11839

2021-03-11  rodolforg <rodolforg@users.noreply.github.com>

	* synfig-studio/src/synfigapp/actions/valuedescset.cpp: [Core]
	LinkableValueNode now provides methods for inverse manipulation
	(#2057) Instead of limiting get_inverse() method to only a few valuenodes,
	and to let synfigapp action ValueDescSet more generalistic,
	LinkableValueNode now has to two methods two provide the inverse
	transformation of a value.

2021-01-27  rodolforg <rodolforg@users.noreply.github.com>

	* synfig-studio/src/gui/workarearenderer/workarearenderer.h: 
	[Core/Studio] Fix missing const qualifier for some relational
	operators overrides (#2001)

2021-04-17  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/synfigapp/actions/valuedescset.cpp,
	synfig-studio/src/synfigapp/actions/valuedescset.h: [Synfig Studio]
	add convenient private method to create and add ValueDescSet action
	(PR #2046)

2021-02-25  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/synfigapp/actions/valuedescset.cpp: [Synfig
	Studio] use helper comparison functions

2021-02-24  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/synfigapp/actions/valuedescset.cpp: [Synfig
	Studio] fix compiler warning for signedness issue

2021-02-24  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/synfigapp/actions/valuedescset.cpp: [Synfig
	Studio] better comparison for Real with 0 value

2021-02-24  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/synfigapp/actions/valuedescset.cpp: [Synfig
	Studio] avoid double dynamic_cast

2021-03-09  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/test/app_layerduplicate.cpp: add LayerDuplicate
	action tests for Skeleton layer (PR #2059)

2021-03-07  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/synfigapp/actions/layerduplicate.cpp: [Synfig
	Studio] fix Action LayerDuplicate for Skeleton Layer Now Bone Links are properly fixed when duplicating a skeleton layer
	AND layers linked to its bones Note, however, that duplicating a skeleton doesn't duplicate the
	layers linked to its bone by itself: those layers should be included
	in 'layers' parameter of this action

2021-03-07  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/synfigapp/actions/layerduplicate.cpp,
	synfig-studio/src/synfigapp/actions/layerduplicate.h: prefer
	ValueNode::RHandle rather explicit etl::rhandle<ValueNode> reasons: 1. etl will be moved to synfig 2. maybe C++ standard provide this feature in future?

2021-01-23  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/app.cpp,
	synfig-studio/src/gui/dialogs/dialog_workspaces.cpp,
	synfig-studio/src/gui/docks/dock_soundwave.cpp,
	synfig-studio/src/gui/workspacehandler.cpp,
	synfig-studio/src/gui/workspacehandler.h: create string_helper.h to
	avoid code duplication (PR #1995)

2021-01-11  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/trees/layertree.cpp,
	synfig-studio/src/gui/trees/layertree.h: LayerTree: remove unused
	variable quick_layer (PR #1979)

2021-01-11  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/trees/layertree.cpp,
	synfig-studio/src/gui/trees/layertree.h: LayerTree: remove unused
	callback on_dirty_preview()

2021-01-11  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/trees/layertree.cpp,
	synfig-studio/src/gui/trees/layertree.h: [Synfig Studio] LayerTree:
	remove unused widgets

2020-04-14  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/cellrenderer/cellrenderer_value.cpp,
	synfig-studio/src/gui/widgets/widget_value.cpp: sublayer parameter
	now pops up in one single click (PR #1351) (Switch layer)

2020-04-14  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/cellrenderer/cellrenderer_value.cpp,
	synfig-studio/src/gui/widgets/widget_value.cpp,
	synfig-studio/src/gui/widgets/widget_value.h: canvas and bone
	parameters now pop up in one single click fix #1349

2020-04-11  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/trees/layertree.cpp,
	synfig-studio/src/gui/trees/layertree.h,
	synfig-studio/src/gui/widgets/widget_value.cpp: single click for
	edit parameters of any type (PR #1337) with 4 previous commits

2020-04-11  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/trees/layertree.h: fix internal property
	scope: private

2020-04-11  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/trees/layertree.cpp: reduces variable scope
	and fixes type

2020-04-11  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/trees/layertree.cpp: prefer nullptr rather
	NULL or 0

2020-04-11  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/canvasview.cpp: remove wrong callback
	binding

2020-04-11  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/src/gui/cellrenderer/cellrenderer_value.cpp,
	synfig-studio/src/gui/cellrenderer/cellrenderer_value.h,
	synfig-studio/src/gui/widgets/widget_value.cpp,
	synfig-studio/src/gui/widgets/widget_value.h: Merge PR #1325: Allow
	enum parameter be edited with a double click instead of triple click

2020-05-21  rodolforg <rodolforg@users.noreply.github.com>

	* synfig-studio/src/gui/trees/childrentree.cpp,
	synfig-studio/src/gui/trees/childrentree.h,
	synfig-studio/src/gui/trees/layertree.cpp,
	synfig-studio/src/gui/trees/layertree.h: Remove old commented-out
	code (gui/layertree) (#1429)

2021-04-16  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/trees/layertree.cpp,
	synfig-studio/src/gui/trees/layertree.h: LayerTree: remove unused
	headers (partial PR #1963)

2020-02-23  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/docks/dock_soundwave.cpp: don't show extra
	vertical scrollbar for Dock Sound (PR #1173)

2021-05-16  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/configure.ac,
	synfig-studio/org.synfig.SynfigStudio.appdata.xml.in,
	synfig-studio/src/gui/CMakeLists.txt: Bump version to 1.4.2 (#2149)

2021-04-26  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/NEWS,
	synfig-studio/org.synfig.SynfigStudio.appdata.xml.in: Release
	version 1.4.1

2021-04-26  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/po/ar.po, synfig-studio/po/el_GR.po,
	synfig-studio/po/en_GB.po, synfig-studio/po/es.po,
	synfig-studio/po/fa_IR.po, synfig-studio/po/fr.po,
	synfig-studio/po/pt_BR.po: Update translations

2021-04-20  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/ChangeLog.old, synfig-studio/NEWS: Add tools for
	maintaining ChangeLog [1.4.1] (#2093) * ChangeLog - first WIP * Commits from master branch now stored in separate file -
	"ChangeLog-development.md" * Remove the script intended for automatic transfer of changelog
	entries from maser to stable (as automatic approach will not work
	anyway) * chore(changelog): Store last commit ID in separate file
	(ChangeLog.last_id) * chore(changelog): Suppress warning if no
	ChangeLog-development.mdChangeLog file exists * chore(changelog): Generate formatted output * chore(changelog): Regenerated ChangeLog files * chore(changelog): Display commit IDs with fixed-width font * chore(changelog): Update ChangeLog files * chore(changelog): Fix headings * Shorter formatting * Update changelog files * Escape "*" and "_" symbols * Move all stable commits up to tag v1.3.14 * Remove redundant symbol * Complete moving changelog entries for v1.4.0 * Move remaining commits which are backported to  1.4.x branch
	(upcoming 1.4.1).  * Rename script for ChangeLog generating * Add script to generate separate ChangeLog's for "ETL",
	"synfig-core" and "synfig-studio" dirs * Remove 1.4.0 version entries from ChangeLog.md - we do not need
	them, as we have everything summarized in old ChangeLog.  * Move contents of NEWS files into "ChangeLog.old". The NEWS files
	will be generated from main ChangeLog.md file.  * Update NEWS files (test run) * [Autotools] Add "ChangeLog.old" into distribution tarball * Add missing file - "ChangeLog.last_id" * Make sure to update NEWS files on release

2021-01-14  ice0 <konoplin@gmail.com>

	* synfig-studio/src/gui/dialogs/about.cpp: [Synfig Studio] Bumped
	year in About dialog (#1977)

2021-01-12  rodolforg <rodolforg@users.noreply.github.com>

	* synfig-studio/src/gui/docks/dockmanager.cpp: [Synfig Studio] fix
	mainwindow not showing when is offscreen (#1973) Synfig Studio restores the last position and size of Main Window on
	launching.  If user had multiple monitors when closing Synfig last time he used
	it, Main Window could be moved to a no-more existent monitor/area
	and not be visible.  Some Window Managers (like on MS Windows case) does not prevents
	opening a window on a invisible area.  On MS Windows, closing Synfig Studio app in a minified state moves
	the window to position (-32000,-32000).  fix #1871

2021-01-06  rodolforg <rodolforg@users.noreply.github.com>

	* synfig-studio/src/gui/dialogs/dialog_waypoint.cpp,
	synfig-studio/src/gui/widgets/widget_waypoint.cpp,
	synfig-studio/src/gui/widgets/widget_waypoint.h: [Synfig Studio]
	Waypoint Editor didn't properly support enums (#1968) fix #1965

2020-12-04  Firas Hanife <FirasHanife@gmail.com>

	* synfig-studio/src/gui/dialogs/dialog_waypoint.cpp: Change order of
	Waypoint Editor buttons to match other dialogs (#1880)

2020-03-03  Keyikedalube Ndang <keyikedalubendang@protonmail.ch>

	* synfig-studio/src/gui/widgets/widget_waypoint.cpp,
	synfig-studio/src/gui/widgets/widget_waypoint.h: Merge PR #1182:
	Improved dialog waypoint UX * Improved dialog waypoint UX * Change arg name 'ok' to 'show_labels' * Updated func & arg name * Updated to rodolforg suggestion :) * Updated Out Interpolation and Continuity mnemonics * ice0 review update * rodolforg review update

2021-02-28  ice0 <konoplin@gmail.com>

	* synfig-studio/src/synfigapp/actions/layerduplicate.cpp,
	synfig-studio/test/app_layerduplicate.cpp: [Synfig Studio] don't let
	inner layer be duplicated twice (#2050) If action LayerDuplicate has among the layers to be duplicated a
	layer named "a" that is 'inside' of a group layer (pastecanvas)
	named "g". In case of "g" is a layer included in the action layer
	list too, don't duplicate the "a" twice, ie. the group and its
	contents - including "a" - are duplicated, but "a" won't be
	duplicated again.  It would clash the GUID of both "a" duplicates, and that leads to
	crash.  A way to avoid it in a general way would be too troublesome
	:P Many hierarchy levels and special GUIDs to handle.  Regular (and advanced) user normally won't need it, anyway.  Full description and minor discussion here:

	https://forums.synfig.org/t/proposal-of-change-of-behavior-duplicating-both-group-and-an-inner-layer/11823(cherry picked from commit c526bf2186871d5b4133f3527b3da54390e44f78)

2021-02-28  ice0 <konoplin@gmail.com>

	* synfig-studio/Makefile.am, synfig-studio/configure.ac,
	synfig-studio/src/synfigapp/actions/layerduplicate.cpp,
	synfig-studio/src/synfigapp/actions/layerduplicate.h,
	synfig-studio/src/synfigapp/actions/valuenodeadd.cpp,
	synfig-studio/src/synfigapp/canvasinterface.cpp,
	synfig-studio/test/Makefile.am,
	synfig-studio/test/app_layerduplicate.cpp: Merge PR#1971: [Synfig
	Studio] Fix action LayerDuplicate with layers "duplicate" [Synfig Studio] Fix action LayerDuplicate with layers "duplicate"
	o.O (cherry picked from commit d8e183799995c5ade40bfac4a031e3d9c25266ea)

2021-02-28  ice0 <konoplin@gmail.com>

	* synfig-studio/src/synfigapp/actions/valuedescblinelink.cpp: 
	[Synfig Studio] fix "Link to Spline" showing when a vertex of spline
	itself is selected (#1988) fix GH #1987 (cherry picked from commit 03fd60fe879f9be0619f68cd9fbffec5ba243830)

2021-02-28  ice0 <konoplin@gmail.com>

	* synfig-studio/src/gui/exception_guard.h: [Synfig Studio]
	exception-guard now lists SynfigApp exception too (#2028) (cherry picked from commit 06d71c59856fb40951235a478f7d996191404e91)

2021-02-28  ice0 <konoplin@gmail.com>

	* synfig-studio/src/gui/trees/layertree.cpp: [Synfig Studio] avoid
	dereference of invalid TreeIter on Layer TreeView (#2043) related to #540 (cherry picked from commit ba9149aaf3839cd205560fad2630daa23131554e)

2021-02-03  ice0 <konoplin@gmail.com>

	* synfig-studio/src/gui/render.cpp: [Synfig Studio/Windows] Fixed
	issue with rendering to file when using non-Latin filenames (#1940) (cherry picked from commit 349810e2f9a25af3297b776ee88c6c035abdb717)

2021-01-24  ice0 <konoplin@gmail.com>

	* synfig-studio/Makefile.am: Fixed Changelog building from
	synfigstudio-release.sh script

2021-01-24  ice0 <konoplin@gmail.com>

	* synfig-studio/build_tools/Makefile.am,
	synfig-studio/images/Makefile.am: Fixed release build on Windows
	MSYS2

2020-12-14  ice0 <konoplin@gmail.com>

	* synfig-studio/src/gui/asyncrenderer.cpp,
	synfig-studio/src/gui/workarea.cpp,
	synfig-studio/src/gui/workarearenderer/CMakeLists.txt,
	synfig-studio/src/gui/workarearenderer/Makefile_insert,
	synfig-studio/src/gui/workarearenderer/renderer_canvas.cpp,
	synfig-studio/src/gui/workarearenderer/renderer_canvas.h,
	synfig-studio/src/gui/workarearenderer/renderer_frameerror.cpp,
	synfig-studio/src/gui/workarearenderer/renderer_frameerror.h: Merge
	PR #1861: [Synfig Studio] Fixed crash when frame rendering throws
	exception while animating [Synfig Studio] Fixed crash when frame rendering throws exception
	while animating (cherry picked from commit f47d6740bacae90b52019aee338c272cef02f49a)

2020-12-13  rodolforg <rodolforg@users.noreply.github.com>

	* synfig-studio/src/gui/instance.cpp: [Synfig Studio] Fixed crash
	when right-clicking on group in the Sets panel (#1920) Fix #1917 (cherry picked from commit 9653378d5f91f1539a8ab5d4d6c4b17dff2578ce)

2020-12-13  ice0 <konoplin@gmail.com>

	* synfig-studio/src/gui/app.cpp: [Synfig Studio/Windows] Fixed
	non-working command "Edit image editing in external tool..." (#1912) (cherry picked from commit 9f9a09e67711728ccbdb54028f2a22a0f952bed5)

2020-12-11  ice0 <konoplin@gmail.com>

	* synfig-studio/src/gui/modules/mod_palette/dock_paledit.cpp: Merge
	PR #1889: [Synfig Studio/Windows] Fixed load/save operations for
	Palette editor [Synfig Studio/Windows] Fixed load/save operations for Palette
	editor (cherry picked from commit 0bd6fd5bde72abe358f841c8a06cc56f3c1f8f86)

2020-12-05  ice0 <konoplin@gmail.com>

	* synfig-studio/src/gui/instance.cpp: Fixed problem with non-working
	plugins when using paths containing non-Latin characters (#1882) [Synfig Studio/Windows] Fixed problem with non-working plugins when
	using paths containing non-Latin characters (cherry picked from commit f7e71c95d4aa0b2fd63e40fdc43fc5e1b2168f63)

2020-11-06  rodolforg <rodolforg@users.noreply.github.com>

	* synfig-studio/src/gui/dialogs/dialog_color.cpp,
	synfig-studio/src/gui/dialogs/dialog_gradient.cpp: Restore ctrl-c
	ctrl+v ctrl+a in Color and Gradient Dialogs (#1821) fix #1713 As a consequence, application shortcuts/hotkeys will only work when
	those dialogs are not on focus, but this behaviour should be
	expected by user.  (cherry picked from commit 7deb121deaf940c269f71b11c15fdf11e23e6b7e)

2020-08-30  ice0 <konoplin@gmail.com>

	* synfig-studio/src/gui/app.cpp: Return true only if id=1 (accept)
	is clicked (#1573) (cherry picked from commit bbd7a85b1f65d2ac02397853b79c19d0f8b672e0)

2020-05-03  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/src/gui/app.cpp, synfig-studio/src/gui/app.h,
	synfig-studio/src/gui/canvasview.cpp,
	synfig-studio/src/gui/canvasview.h,
	synfig-studio/src/gui/mainwindow.cpp,
	synfig-studio/src/gui/mainwindow.h: Merge PR #1386: Toolbar menu

2020-03-13  Arya Bhardwaj <37707674+ARYA-BHARDWAJ@users.noreply.github.com>

	* synfig-studio/src/gui/dialogs/about.cpp: Year is fixed in About
	dialog (#1238) * Year is fixed in About dialog * indentation fixed * added newline at end of file
	synfig-studio/src/gui/dialogs/about.cpp Co-authored-by: Arya <ARYA-BHARDWAJ>

2020-08-20  rodolforg <rodolforg@users.noreply.github.com>

	* synfig-studio/src/gui/trees/historytreestore.cpp: Fix crash on
	unsuccessful action with a clean undo history (#1643) Example: On a new synfig document - without any action history
	actually - an unsuccessful image importing (due to it's corrupted),
	Synfig crashes (in debug version).  It doesn't occur in previous versions because it was introduced when
	fixing other types of crashes.

2020-11-30  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/configure.ac,
	synfig-studio/org.synfig.SynfigStudio.appdata.xml.in,
	synfig-studio/src/gui/CMakeLists.txt: Bump version to 1.4.1

2020-11-14  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/NEWS: Update NEWS files. Release version 1.4.0.

2020-11-14  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/configure.ac: Mark version as stable release

2020-11-14  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/configure.ac,
	synfig-studio/org.synfig.SynfigStudio.appdata.xml.in,
	synfig-studio/src/gui/CMakeLists.txt: Bump version to 1.4.0

2020-08-06  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/org.synfig.SynfigStudio.appdata.xml.in: Release
	version 1.3.16

2020-08-06  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/po/ar.po: Update Arabic translation

2020-08-06  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/docks/dock_soundwave.cpp,
	synfig-studio/src/gui/docks/dock_soundwave.h,
	synfig-studio/src/gui/widgets/widget_keyframe_list.cpp: fix big
	keyframe markers in Dock_SoundLayer (and any other now) Its default height was 64px. Now it's 10.  Besides, I also copied
	the Dock_Curves code for height updating.

2020-08-05  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/docks/dock_timetrack.cpp: fix old timetrack
	crashing on waypoint right-clicking Reported by tawatoons in

	https://forums.synfig.org/t/synfig-1-3-15-crash-on-right-clicking-waypoint/11252It's probably due to a commit reverting for fixing another issue in
	Windows

2020-08-04  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/configure.ac,
	synfig-studio/org.synfig.SynfigStudio.appdata.xml.in,
	synfig-studio/src/gui/CMakeLists.txt: Bump version to 1.3.16

2020-07-22  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/org.synfig.SynfigStudio.appdata.xml.in: Release
	version 1.3.15

2020-07-22  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/src/gui/Makefile.am: Autotools: Add missing header

2020-07-12  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/trees/historytreestore.cpp,
	synfig-studio/src/gui/trees/historytreestore.h: fix crash when
	undoing creation of a moved/changed vertex of spline It happened because the history tree rebuilds on every undo/redo. It
	doesn't do it anymore.  Long chain: The history tree row description would call to
	Action::ValueDescSet::get_local_name() and it would make a 'long'
	stack until it crashes, as follow: > Action::ValueDescSet::get_local_name()  > ValueDesc::get_description()   > ValueDesc::is_exported()    > ValueDesc::get_value_node()     > LinkableValueNode::get_link() AND FINALLY it crashes due to
	the invalid link index! Test case: * Create a polygon or spline.  * Click on a vertex to open context menu * Select "Create Item" * Move the new vertex * Ctrl+Z (ok, vertex 'unmoved') * Ctrl+Z (crash)

2020-07-12  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/trees/historytreestore.cpp: minor cleanup:
	nullptr and avoid old-style cast

2020-07-12  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/trees/historytreestore.cpp,
	synfig-studio/src/gui/trees/historytreestore.h: make method private
	and remove unused parameter

2020-07-12  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/trees/historytreestore.cpp: remove unused
	#Includes and a commented-out code for > 6 years

2020-07-12  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/trees/historytreestore.cpp: just change the
	loop structure

2020-07-12  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/trees/historytreestore.h: restrict
	constructor access modifier and do minor header cleanup

2020-07-18  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/po/ar.po, synfig-studio/po/tr.po: Update
	translations

2020-07-17  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/src/gui/exception_guard.h: Fix compilation in
	previous commit

2020-07-13  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/exception_guard.h: refine (a bit) the class
	of exception thrown it can help to find out the origin of an exception

2020-07-13  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/synfigapp/value_desc.cpp,
	synfig-studio/src/synfigapp/value_desc.h: ValueDesc of exported
	valuenode keeps tracking its name changes and invalidate if necessary

2020-07-13  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/workarea.cpp: another exception-thrown guard
	- now in a draw-event

2020-06-07  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/exception_guard.h: Let Windows print useful
	function name

2020-07-16  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/src/gui/canvasview.cpp,
	synfig-studio/src/gui/cellrenderer/cellrenderer_time.cpp,
	synfig-studio/src/gui/cellrenderer/cellrenderer_timetrack.cpp,
	synfig-studio/src/gui/cellrenderer/cellrenderer_timetrack.h,
	synfig-studio/src/gui/cellrenderer/cellrenderer_value.cpp,
	synfig-studio/src/gui/cellrenderer/cellrenderer_value.h,
	synfig-studio/src/gui/dialogs/dialog_preview.cpp,
	synfig-studio/src/gui/dials/zoomdial.cpp,
	synfig-studio/src/gui/docks/dock_history.cpp,
	synfig-studio/src/gui/docks/dock_history.h,
	synfig-studio/src/gui/docks/dock_layers.cpp,
	synfig-studio/src/gui/docks/dock_navigator.cpp,
	synfig-studio/src/gui/docks/dock_timetrack.cpp,
	synfig-studio/src/gui/docks/dockbook.cpp,
	synfig-studio/src/gui/docks/dockbook.h,
	synfig-studio/src/gui/docks/dockdialog.cpp,
	synfig-studio/src/gui/exception_guard.h,
	synfig-studio/src/gui/main.cpp,
	synfig-studio/src/gui/mainwindow.cpp,
	synfig-studio/src/gui/preview.cpp,
	synfig-studio/src/gui/selectdraghelper.h,
	synfig-studio/src/gui/states/state_mirror.cpp,
	synfig-studio/src/gui/trees/childrentree.cpp,
	synfig-studio/src/gui/trees/keyframetree.cpp,
	synfig-studio/src/gui/trees/keyframetree.h,
	synfig-studio/src/gui/trees/layergrouptree.cpp,
	synfig-studio/src/gui/trees/layergrouptree.h,
	synfig-studio/src/gui/trees/layertree.cpp,
	synfig-studio/src/gui/trees/layertree.h,
	synfig-studio/src/gui/widgets/widget_canvastimeslider.cpp,
	synfig-studio/src/gui/widgets/widget_color.cpp,
	synfig-studio/src/gui/widgets/widget_coloredit.cpp,
	synfig-studio/src/gui/widgets/widget_coloredit.h,
	synfig-studio/src/gui/widgets/widget_curves.cpp,
	synfig-studio/src/gui/widgets/widget_defaults.cpp,
	synfig-studio/src/gui/widgets/widget_distance.cpp,
	synfig-studio/src/gui/widgets/widget_distance.h,
	synfig-studio/src/gui/widgets/widget_gradient.cpp,
	synfig-studio/src/gui/widgets/widget_gradient.h,
	synfig-studio/src/gui/widgets/widget_keyframe_list.cpp,
	synfig-studio/src/gui/widgets/widget_keyframe_list.h,
	synfig-studio/src/gui/widgets/widget_soundwave.cpp,
	synfig-studio/src/gui/widgets/widget_time.cpp,
	synfig-studio/src/gui/widgets/widget_timeslider.cpp,
	synfig-studio/src/gui/workarea.cpp,
	synfig-studio/src/gui/workarearenderer/renderer_dragbox.cpp,
	synfig-studio/src/gui/workarearenderer/renderer_dragbox.h,
	synfig-studio/src/gui/workarearenderer/renderer_guides.h: try to
	catch all exceptions thrown in GTK event callback handlers This huge commit was made based on the discovery of the error
	reported by Svarov-RZM in Github issue comment
	https://github.com/synfig/synfig/issues/1442#issuecomment-633446649 After some investigation (reported in
	https://github.com/synfig/synfig/issues/1442#issuecomment-633718069
	), the problem is some GTK callback events call some synfigapp
	actions that may throw exceptions to report errors that would never
	be caught except by the main App class and main() standard function.
	So, in an user perspective: Synfig Studio crashes.  For this reason, I surrounded all callback contents (60) with a
	try-catch statement.  This commit avoids the crash, prints the error (or tries to) and
	make the callback return the failure (if the callback can do it),
	propagating the error without a sudden close of the software.  I also renamed one to follow the convention used by the rest of the
	code: onKeyPressed() -> on_key_pressed_event().  Besides, I ensure every callback to be private or protected: there's
	no reason to they be public.  Finally, I checked if the callbacks methods were being called by
	other methods that were not signal calls. Only
	Workarea::on_drawing_area_event() is used that way, but inside the
	same class in the methods: on_hruler_event() and on_vruler_event().
	So I think it's safe, because I made them look to the return value
	and handle it.

2020-07-09  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/src/gui/main.cpp: Improve fix for parsing
	commandline arguments. Thanks to Rodolfo Ribeiro Gomes.

2020-07-06  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/src/gui/render.cpp: Fix exporting to files with
	Arabic names

2020-07-06  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/src/gui/app.cpp, synfig-studio/src/gui/ipc.cpp,
	synfig-studio/src/gui/main.cpp: Fix opening of files with Arabic
	names

2020-07-10  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/src/gui/render.cpp: fix initial value for filename
	entry of Render Settings dialog (#1544)

2020-07-07  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/src/synfigapp/canvasinterface.cpp: Set defaults for
	Homogenous parameter of Advanced Outline: enabled and static (#1533)

2020-06-14  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/src/gui/canvasview.cpp,
	synfig-studio/src/gui/canvasview.h,
	synfig-studio/src/gui/docks/dock_curves.cpp,
	synfig-studio/src/gui/docks/dock_curves.h,
	synfig-studio/src/gui/docks/dock_layers.cpp,
	synfig-studio/src/gui/docks/dock_params.cpp,
	synfig-studio/src/gui/docks/dock_params.h,
	synfig-studio/src/gui/docks/dock_timetrack.cpp,
	synfig-studio/src/gui/docks/dock_timetrack.h,
	synfig-studio/src/gui/docks/dockable.h,
	synfig-studio/src/gui/helpers.cpp, synfig-studio/src/gui/helpers.h,
	synfig-studio/src/gui/trees/layertree.cpp,
	synfig-studio/src/gui/trees/layertree.h,
	synfig-studio/src/gui/widgets/widget_keyframe_list.cpp,
	synfig-studio/src/gui/widgets/widget_soundwave.cpp,
	synfig-studio/src/gui/widgets/widget_timegraphbase.cpp: Revert "fix
	sync scrolling of params and timetrack" This reverts commit aeb01c14cafdb409f5a67a865a5ad8b5fa06b0b7.

2020-05-22  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/duckmatic.cpp: avoid (an improbable) crash

2020-06-05  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/src/synfigapp/actions/valuedescblinelink.cpp: Fix
	#1467: "Link to Spline" places vertex into wrong position when
	Spline is looped (#1468)

2020-05-21  rodolforg <rodolforg@users.noreply.github.com>

	* synfig-studio/src/gui/trees/layerparamtreestore.cpp: fix crashing
	when removing spline point too fast (#1434) repetitive quick undo/redo after insert-item-smart could be fatal

2020-05-19  rodolforg <rodolforg@users.noreply.github.com>

	* synfig-studio/src/gui/widgets/widget_filename.cpp: Activate
	widget_filename when user chooses file via button/file dialog
	(#1425) otherwise the parameter value change is only propagated when widget
	looses focus or user explicitly activates (by pressing
	Enter/Return).  If it's a Sound layer, clicking on Play button right after choose a
	file (and the edit-widget not yet loosing focus), it would play the
	previous audio.

2020-05-15  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/src/gui/app.cpp: Merge PR #1094: Remove unused
	Change Preview Quality menu item

2020-05-10  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/widgets/widget_curves.cpp: fix time and
	delta values in tooltip while dragging in Graph panel fix #1405

2020-05-09  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/src/gui/CMakeLists.txt,
	synfig-studio/src/gui/Makefile.am,
	synfig-studio/src/gui/asyncrenderer.cpp,
	synfig-studio/src/gui/asyncrenderer.h,
	synfig-studio/src/gui/progresslogger.cpp,
	synfig-studio/src/gui/progresslogger.h,
	synfig-studio/src/gui/render.cpp, synfig-studio/src/gui/render.h,
	synfig-studio/src/synfigapp/instance.cpp: Avoid crash on
	pngspritesheet exporting (#1339) * avoid duplicate cast_dynamic * replace success/error vars with render status property * show error message on render error * fix string for i18n * try to report the png_spritesheet error reason * please don't throw if you can report via progress_callback * avoid null pointer dereference * add callback report to target_scanline::add_frame finally fix #356 * try to avoid crash due to exception throwing * report render errors in GUI * fix enum for windows

2020-05-09  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/configure.ac,
	synfig-studio/org.synfig.SynfigStudio.appdata.xml.in,
	synfig-studio/src/gui/CMakeLists.txt: Bump version to 1.3.15

2020-04-30  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/org.synfig.SynfigStudio.appdata.xml.in: Release
	version 1.3.14

2020-04-24  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/po/ar.po, synfig-studio/po/it.po,
	synfig-studio/po/pt_BR.po: Update translations 2020-04-24

2020-04-21  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/src/gui/dialogs/about.cpp: Improve formatting of
	Vectorizer license in About dialog

2020-04-19  ankit-kumar-dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/dialogs/about.cpp: added vectorizer feature
	credits to about dialog.

2020-04-18  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/src/gui/canvasview.cpp: Show interpolation type
	directly in waypoint's context menu. (#1353)

2020-04-16  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/src/gui/duckmatic.cpp: Cleanup unwanted console
	messages (#1352)

2020-04-15  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/src/gui/docks/dock_timetrack.cpp: Fix TimeTrack not
	updating when new waypoints added to bone. Closes #1342.  Thanks to Rodolfo Ribeiro Gomes.

2020-01-05  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/synfigapp/actions/layerremove.cpp: don't unset
	as dirty if it is due to another to-be-deleted layer

2020-01-05  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/synfigapp/actions/layerremove.cpp,
	synfig-studio/src/synfigapp/actions/layerremove.h: fix undoing layer
	deletion from different groups I think it solves the secondary problem mentioned in #1070 Example: Consider this scene layer tree *  \- Group A     \- L A1     \- L A2  \- Group B     \- L B3     \- L B4 If one selects "Group A", "L A2" and "L B3" for deletion
	simultaneously, it works fine: *  \- Group B     \- L B4 But when user undo it, the scene layer tree would wrongly be: *  \- Group B     \- Group A        \- L A1        \- L A2     \- L B3     \- L B4

2020-01-05  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/synfigapp/actions/layerremove.cpp,
	synfig-studio/src/synfigapp/actions/layerremove.h: fix crash when
	undoing deletion of layer group and an inner layer fix #1070

2020-01-05  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/synfigapp/actions/layerremove.cpp,
	synfig-studio/src/synfigapp/actions/layerremove.h: delete
	old-commented code

2020-03-31  Firas Hanife <firashanife@gmail.com>

	* synfig-studio/src/gui/asyncrenderer.cpp: Fixed
	current_rendered_frames_count assignment

2020-03-28  ice0 <konoplin@gmail.com>

	* synfig-studio/src/gui/ipc.cpp: Fixed hang when opening a second
	.sif file from Explorer (Windows)

2020-03-24  rodolforg <rodolforg@users.noreply.github.com>

	* synfig-studio/src/gui/states/state_bline.cpp,
	synfig-studio/src/gui/widgets/widget_gradient.cpp: Fixed popup menu
	popping down right after button release for Widget Gradient/Spline
	(#1277)

2020-03-28  rodolforg <rodolforg@users.noreply.github.com>

	* synfig-studio/src/gui/states/state_rectangle.cpp,
	synfig-studio/src/gui/states/state_star.cpp: Fixed memory leaks
	(#1292) Coverity Report ID: 308984 and 308974 and minor fix for some number typing

2020-03-26  rodolforg <rodolforg@users.noreply.github.com>

	* synfig-studio/src/gui/trees/canvastreestore.cpp,
	synfig-studio/src/gui/trees/layerparamtreestore.cpp: Fixed crash
	when removing a Spline vertex using "Remove item (Smart)" (#1188) * fix crash when removing a list item of a parameter * avoid some possible null dereferences in invalid valuenodes and
	report them * fix missing explicit initializer

2020-03-26  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/configure.ac,
	synfig-studio/org.synfig.SynfigStudio.appdata.xml.in,
	synfig-studio/src/gui/CMakeLists.txt: Bump version to 1.3.14

2020-03-13  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/org.synfig.SynfigStudio.appdata.xml.in: Release
	version 1.3.13

2020-03-13  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/po/ar.po: Update translations (ar,ru)

2020-03-13  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/src/gui/app.cpp: Bump version for settings file

2020-03-09  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/src/gui/workarea.cpp: Disable background rendering
	by default. Closes #1170.

2020-02-29  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/docks/dockdialog.cpp: get away, ghost
	dockers fix #1143

2020-02-29  Ivan Mahonin <bh@icystar.com>

	* synfig-studio/src/synfigapp/actions/layermove.cpp: fix bugs with
	iterators, thx to ice0

2020-02-29  Ivan Mahonin <bh@icystar.com>

	* synfig-studio/src/gui/docks/dock_toolbox.cpp,
	synfig-studio/src/gui/docks/dock_toolbox.h,
	synfig-studio/src/gui/docks/dockable.cpp,
	synfig-studio/src/gui/instance.cpp: fix smach

2020-02-24  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/LICENSE, synfig-studio/README: Add a separate
	LICENSE file. Closes #1111.

2020-02-20  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/po/aa_DJ.po, synfig-studio/po/ar.po,
	synfig-studio/po/bs.po, synfig-studio/po/ca.po,
	synfig-studio/po/ca@valencia.po, synfig-studio/po/cs.po,
	synfig-studio/po/da.po, synfig-studio/po/de.po,
	synfig-studio/po/el_GR.po, synfig-studio/po/en_CZ.po,
	synfig-studio/po/en_GB.po, synfig-studio/po/es.po,
	synfig-studio/po/es_AR.po, synfig-studio/po/es_PY.po,
	synfig-studio/po/eu.po, synfig-studio/po/eu_ES.po,
	synfig-studio/po/fa_IR.po, synfig-studio/po/fr.po,
	synfig-studio/po/gl.po, synfig-studio/po/he.po,
	synfig-studio/po/hi_IN.po, synfig-studio/po/hu.po,
	synfig-studio/po/it.po, synfig-studio/po/ja_JP.po,
	synfig-studio/po/kab.po, synfig-studio/po/lt.po,
	synfig-studio/po/lv.po, synfig-studio/po/nb.po,
	synfig-studio/po/ne.po, synfig-studio/po/nl.po,
	synfig-studio/po/pl_PL.po, synfig-studio/po/pt.po,
	synfig-studio/po/pt_BR.po, synfig-studio/po/ro.po,
	synfig-studio/po/ru.po, synfig-studio/po/si.po,
	synfig-studio/po/sk.po, synfig-studio/po/sk_SK.po,
	synfig-studio/po/sl.po, synfig-studio/po/sr_RS.po,
	synfig-studio/po/sv_SE.po, synfig-studio/po/tr.po,
	synfig-studio/po/uk.po, synfig-studio/po/ur.po,
	synfig-studio/po/uz@Latn.po, synfig-studio/po/zh-Hant.po,
	synfig-studio/po/zh_CN.po, synfig-studio/po/zh_TW.po: Update
	translations

2020-02-10  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/src/gui/autorecover.cpp: Fix #1140: Clicking
	"Ignore" button doesn't removes backup

2020-02-13  Firas Hanife <FirasHanife@gmail.com>

	* synfig-studio/src/gui/dialogs/dialog_setup.cpp,
	synfig-studio/src/gui/renddesc.cpp,
	synfig-studio/src/gui/states/state_bline.cpp,
	synfig-studio/src/gui/states/state_circle.cpp,
	synfig-studio/src/gui/states/state_draw.cpp,
	synfig-studio/src/gui/states/state_polygon.cpp,
	synfig-studio/src/gui/states/state_rectangle.cpp,
	synfig-studio/src/gui/states/state_star.cpp,
	synfig-studio/src/synfigapp/actions/layerencapsulateswitch.cpp: Fix
	some typos and some non translatable strings (#1159) * Make menu entry consistent Change menu entry to group layers into Switch to make it consistent
	with Group and Filter (layer is plural) * Fix ellipsis * Fix articles * Fix spacing * Fix typo * Fix non translatable strings

2020-02-11  Firas Hanife <FirasHanife@gmail.com>

	* synfig-studio/src/gui/canvasview.cpp,
	synfig-studio/src/synfigapp/actions/canvasremove.cpp,
	synfig-studio/src/synfigapp/actions/layerembed.cpp: Merge PR #1157:
	Fix some ui typos * Fix typo * Fix double space

2020-02-10  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/src/synfigapp/canvasinterface.cpp: Fix typo

2020-02-10  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/src/gui/canvasview.cpp: Fix previous commit

2020-02-09  Firas Hanife <FirasHanife@gmail.com>

	* synfig-studio/src/gui/canvasview.cpp: Fix typo

2020-02-08  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/po/aa_DJ.po, synfig-studio/po/ar.po,
	synfig-studio/po/bs.po, synfig-studio/po/ca.po,
	synfig-studio/po/ca@valencia.po, synfig-studio/po/cs.po,
	synfig-studio/po/da.po, synfig-studio/po/de.po,
	synfig-studio/po/el_GR.po, synfig-studio/po/en_CZ.po,
	synfig-studio/po/en_GB.po, synfig-studio/po/es.po,
	synfig-studio/po/es_AR.po, synfig-studio/po/es_PY.po,
	synfig-studio/po/eu.po, synfig-studio/po/eu_ES.po,
	synfig-studio/po/fa_IR.po, synfig-studio/po/fr.po,
	synfig-studio/po/gl.po, synfig-studio/po/he.po,
	synfig-studio/po/hi_IN.po, synfig-studio/po/hu.po,
	synfig-studio/po/it.po, synfig-studio/po/ja_JP.po,
	synfig-studio/po/kab.po, synfig-studio/po/lt.po,
	synfig-studio/po/lv.po, synfig-studio/po/nb.po,
	synfig-studio/po/ne.po, synfig-studio/po/nl.po,
	synfig-studio/po/pl_PL.po, synfig-studio/po/pt.po,
	synfig-studio/po/pt_BR.po, synfig-studio/po/ro.po,
	synfig-studio/po/ru.po, synfig-studio/po/si.po,
	synfig-studio/po/sk.po, synfig-studio/po/sk_SK.po,
	synfig-studio/po/sl.po, synfig-studio/po/sr_RS.po,
	synfig-studio/po/sv_SE.po, synfig-studio/po/tr.po,
	synfig-studio/po/uk.po, synfig-studio/po/ur.po,
	synfig-studio/po/uz@Latn.po, synfig-studio/po/zh-Hant.po,
	synfig-studio/po/zh_CN.po, synfig-studio/po/zh_TW.po: Update
	translations (new pot)

2020-02-08  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/po/aa_DJ.po, synfig-studio/po/ar.po,
	synfig-studio/po/bs.po, synfig-studio/po/ca.po,
	synfig-studio/po/ca@valencia.po, synfig-studio/po/cs.po,
	synfig-studio/po/da.po, synfig-studio/po/de.po,
	synfig-studio/po/el_GR.po, synfig-studio/po/en_CZ.po,
	synfig-studio/po/en_GB.po, synfig-studio/po/es.po,
	synfig-studio/po/es_AR.po, synfig-studio/po/es_PY.po,
	synfig-studio/po/eu.po, synfig-studio/po/eu_ES.po,
	synfig-studio/po/fa_IR.po, synfig-studio/po/fr.po,
	synfig-studio/po/gl.po, synfig-studio/po/he.po,
	synfig-studio/po/hi_IN.po, synfig-studio/po/hu.po,
	synfig-studio/po/it.po, synfig-studio/po/ja_JP.po,
	synfig-studio/po/kab.po, synfig-studio/po/lt.po,
	synfig-studio/po/lv.po, synfig-studio/po/nb.po,
	synfig-studio/po/ne.po, synfig-studio/po/nl.po,
	synfig-studio/po/pl_PL.po, synfig-studio/po/pt.po,
	synfig-studio/po/pt_BR.po, synfig-studio/po/ro.po,
	synfig-studio/po/ru.po, synfig-studio/po/si.po,
	synfig-studio/po/sk.po, synfig-studio/po/sk_SK.po,
	synfig-studio/po/sl.po, synfig-studio/po/sr_RS.po,
	synfig-studio/po/sv_SE.po, synfig-studio/po/tr.po,
	synfig-studio/po/uk.po, synfig-studio/po/ur.po,
	synfig-studio/po/uz@Latn.po, synfig-studio/po/zh-Hant.po,
	synfig-studio/po/zh_CN.po, synfig-studio/po/zh_TW.po: Update
	translations

2020-02-01  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/sounds/Makefile.am: Automake: Add sounds to
	Extra_Dist

2020-02-01  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/images/Makefile.am: Autotools: Add missing file

2020-02-01  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/images/CMakeLists.txt,
	synfig-studio/images/Makefile.am,
	synfig-studio/images/layer_example_filledrectangle_icon.sif,
	synfig-studio/src/gui/iconcontroller.cpp: Remove traces of Filled
	Rectangle Layer

2020-02-08  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/configure.ac,
	synfig-studio/org.synfig.SynfigStudio.appdata.xml.in,
	synfig-studio/src/gui/CMakeLists.txt: Bump version to 1.3.13

2020-01-29  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/org.synfig.SynfigStudio.appdata.xml.in: Release
	version 1.3.12

2020-01-27  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/src/gui/app.cpp, synfig-studio/src/gui/ipc.cpp: Fix
	opening files with non-lating characters from commandline. Fixes
	#680.

2020-01-25  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/src/gui/app.cpp: Avoid duplicated entries in "File"
	-> "Open Recent" menu (Windows)

2020-01-22  ankit-kumar-dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/synfigapp/vectorizer/centerlinetostrokes.cpp: 
	make width depend on TL/BR

2020-01-24  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/po/POTFILES.in: update POTFILES.in

2020-01-09  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/instance.cpp: Avoid ambiguity in translation
	of Set (verb x noun) and fix Add Layer to Set

2020-01-25  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/src/gui/app.cpp: Add Sound panel to default layouts

2020-01-25  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/src/gui/app.cpp,
	synfig-studio/src/gui/docks/dock_soundwave.cpp: Rename panel "Sound
	Wave" to "Sound"

2020-01-05  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/widgets/widget_soundwave.cpp,
	synfig-studio/src/gui/widgets/widget_soundwave.h: avoid direct
	pointer

2020-01-04  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/po/POTFILES.in,
	synfig-studio/src/gui/docks/dock_soundwave.cpp,
	synfig-studio/src/gui/widgets/widget_soundwave.cpp,
	synfig-studio/src/gui/widgets/widget_soundwave.h,
	synfig-studio/src/gui/widgets/widget_timegraphbase.cpp: minor fixes - allow l10n for new dock & widget files - sound delay widget now uses canvas FPS - properly initialize Widget_Soundwave properties from
	initialization list - fix possible(?) NULL deference when there is no audio - setting channel index was not redrawing widget - fix color and width of current time line

2020-01-04  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/docks/dock_soundwave.cpp,
	synfig-studio/src/gui/docks/dock_soundwave.h,
	synfig-studio/src/gui/widgets/widget_soundwave.cpp,
	synfig-studio/src/gui/widgets/widget_soundwave.h: let user set a
	delay for soundwave

2020-01-04  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/docks/dock_soundwave.cpp,
	synfig-studio/src/gui/docks/dock_soundwave.h: add sound channel
	selection to display waveform

2020-01-04  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/docks/dock_soundwave.cpp,
	synfig-studio/src/gui/docks/dock_soundwave.h: prepare for more sound
	controls

2020-01-03  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/widgets/widget_soundwave.cpp,
	synfig-studio/src/gui/widgets/widget_soundwave.h,
	synfig-studio/src/gui/widgets/widget_timegraphbase.cpp,
	synfig-studio/src/gui/widgets/widget_timegraphbase.h: avoid virtual
	call from destructor

2020-01-02  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/widgets/widget_soundwave.cpp,
	synfig-studio/src/gui/widgets/widget_soundwave.h: basic
	implementation of sound wave widget

2019-12-31  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/app.cpp, synfig-studio/src/gui/app.h,
	synfig-studio/src/gui/docks/CMakeLists.txt,
	synfig-studio/src/gui/docks/Makefile_insert,
	synfig-studio/src/gui/docks/dock_soundwave.cpp,
	synfig-studio/src/gui/docks/dock_soundwave.h,
	synfig-studio/src/gui/widgets/CMakeLists.txt,
	synfig-studio/src/gui/widgets/Makefile_insert,
	synfig-studio/src/gui/widgets/widget_soundwave.cpp,
	synfig-studio/src/gui/widgets/widget_soundwave.h: draft of SoundWave
	dock and widget

2019-12-31  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/widgets/CMakeLists.txt,
	synfig-studio/src/gui/widgets/Makefile_insert,
	synfig-studio/src/gui/widgets/widget_curves.cpp,
	synfig-studio/src/gui/widgets/widget_curves.h,
	synfig-studio/src/gui/widgets/widget_timegraphbase.cpp,
	synfig-studio/src/gui/widgets/widget_timegraphbase.h: create a base
	class for widget that are time-related graphs

2019-12-30  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/selectdraghelper.h: stop requiring methods
	from templated class for SelectDragHelper now it doesn't need nor invalidate() neither is_valid(), making it
	more flexible

2020-01-24  ice0 <konoplin@gmail.com>

	* synfig-studio/org.synfig.SynfigStudio.appdata.xml.in: Added
	<summary> field to appdata.xml

2020-01-20  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/states/state_bline.cpp: finish Spline with
	Numpad Enter key too and not just with Return key (PR #1007)

2020-01-20  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/app.cpp, synfig-studio/src/gui/main.cpp,
	synfig-studio/src/synfigapp/action.cpp,
	synfig-studio/src/synfigapp/actions/layerembed.cpp: remove double
	semicolon

2020-01-20  ice0 <konoplin@gmail.com>

	* synfig-studio/src/gui/ipc.cpp: Fixed exit error on Windows

2020-01-18  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/instance.cpp: avoid null derefence

2020-01-18  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/instance.cpp: fix use of not-initialized
	variable in plugin run

2020-01-20  Ivan Mahonin <bh@icystar.com>

	* synfig-studio/src/gui/workarearenderer/renderer_canvas.cpp: fix
	ThreadPool

2020-01-09  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/workarearenderer/renderer_canvas.cpp: fix an
	improbable case of access violation

2020-01-17  ice0 <konoplin@gmail.com>

	* synfig-studio/src/gui/ipc.cpp: Disable waiting for IPC thread

2020-01-10  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/widgets/widget_filename.cpp,
	synfig-studio/src/gui/widgets/widget_filename.h: replace button
	label with open icon for widget_filename

2020-01-07  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/states/state_bline.cpp: Fix wrong type of
	arguments to formatting function lgtm report

2020-01-07  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/states/state_bline.cpp: Avoid throwing
	exception in StateBLine destructor Coverity report #308951

2020-01-07  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/states/state_bline.cpp: avoid usage of
	invalid iterator if vertex (and its iter) was deleted Coverity report #344398

2020-01-07  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/states/state_circle.cpp: fix memleak on
	circle state Coverity report #308953

2020-01-06  ankit-kumar-dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/synfigapp/actions/vectorization.cpp: changed
	action local name

2020-01-06  ankit-kumar-dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/synfigapp/vectorizer/centerlinetostrokes.cpp: 
	fixed origin shifting

2020-01-06  ankit-kumar-dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/synfigapp/vectorizer/centerlinetostrokes.cpp: 
	added a separate function for preprocessing segments

2019-12-31  ankit-kumar-dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/synfigapp/vectorizer/centerlinetostrokes.cpp: 
	change width divison factor from 2 to 2.5

2019-12-31  ankit-kumar-dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/synfigapp/vectorizer/centerlinetostrokes.cpp: 
	fixed image TL BR scaling

2019-12-29  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/src/gui/actionmanagers/layeractionmanager.cpp,
	synfig-studio/src/gui/actionmanagers/layeractionmanager.h: Remove
	unused action

2019-12-29  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/src/gui/actionmanagers/layeractionmanager.cpp: Use
	"Increase Opacity/Decrease Opacity" instead of "Increase
	Amount/Decrease Amount" when needed.

2019-12-27  ice0 <konoplin@gmail.com>

	* synfig-studio/src/gui/actionmanagers/layeractionmanager.cpp: #411:
	Rename 'Amount' to 'Opacity'

2019-12-25  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/src/gui/workarearenderer/renderer_ducks.cpp: Change
	color for Origin handle of Group Layer

2019-12-24  Ivan Mahonin <bh@icystar.com>

	* synfig-studio/src/synfigapp/canvasinterface.cpp: bake layer_name
	while import sequence (fix #987)

2019-12-21  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/configure.ac,
	synfig-studio/org.synfig.SynfigStudio.appdata.xml.in,
	synfig-studio/src/gui/CMakeLists.txt: Bump version to 1.3.12

2019-12-21  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/src/gui/app.cpp: Bump major version strings in code

2019-12-14  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/src/gui/instance.cpp: Fix compilation error

2019-12-13  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/src/gui/instance.cpp: Fixes according to
	recommendations given by @ice0

2019-12-10  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/src/gui/app.cpp: Fix Windows build error introduced
	in 009341987ca46e

2019-12-10  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/src/gui/instance.cpp: Fix Windows build

2019-12-09  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/src/gui/instance.cpp: Fix identation and cleanup

2019-12-09  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/src/gui/instance.cpp: Now works for unsaved files
	too.

2019-12-09  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/src/gui/instance.cpp: Now works for uncompressed
	(.sif) files too.

2019-12-09  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/src/gui/CMakeLists.txt,
	synfig-studio/src/gui/Makefile.am, synfig-studio/src/gui/app.cpp,
	synfig-studio/src/gui/app.h, synfig-studio/src/{synfigapp =>
	gui}/pluginmanager.cpp, synfig-studio/src/{synfigapp =>
	gui}/pluginmanager.h, synfig-studio/src/synfigapp/CMakeLists.txt,
	synfig-studio/src/synfigapp/Makefile.am: Move PluginManager to
	src/gui.

2019-12-09  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/src/synfigapp/pluginmanager.cpp: Remove unused
	headers

2019-12-09  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/src/gui/instance.cpp: Cleanup temporary file

2019-12-09  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/src/gui/instance.cpp: Fix bug. Plugin execution now
	works.

2019-12-09  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/src/gui/app.cpp, synfig-studio/src/gui/app.h,
	synfig-studio/src/gui/instance.cpp,
	synfig-studio/src/synfigapp/pluginmanager.cpp,
	synfig-studio/src/synfigapp/pluginmanager.h: Step 4: Move plugin
	execution code to studio::Instance::run_plugin(). Remove
	PluginLauncher class.

2019-12-09  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/src/gui/instance.cpp: Reset streams

2019-12-09  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/src/gui/instance.cpp,
	synfig-studio/src/synfigapp/pluginmanager.cpp: Step 3: Backup file
	is copied for plugin execution. Plugin execution still doesn't
	works.

2019-11-29  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/src/gui/instance.cpp,
	synfig-studio/src/synfigapp/instance.cpp,
	synfig-studio/src/synfigapp/instance.h: Step 2: Closing and
	re-opening file now works via autobackup system.

2019-11-28  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/src/gui/instance.cpp,
	synfig-studio/src/gui/instance.h,
	synfig-studio/src/synfigapp/instance.cpp: New approach, step 1:
	Allow to close file without removing temporary files

2019-11-11  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/src/gui/app.cpp, synfig-studio/src/gui/app.h,
	synfig-studio/src/gui/mainwindow.cpp: Remove App::open_as() method,
	as it doesn't serves its purpose anyway.  See https://github.com/synfig/synfig/issues/949

2019-11-11  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/src/gui/instance.cpp,
	synfig-studio/src/synfigapp/pluginmanager.cpp: Ugly fix for issue
	#949: File not saved properly after executing a plugin

2019-11-28  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/selectdraghelper.h,
	synfig-studio/src/gui/widgets/widget_curves.cpp,
	synfig-studio/src/gui/widgets/widget_curves.h: SelectDragHelper
	knows initial position of dragged item

2019-11-27  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/selectdraghelper.h,
	synfig-studio/src/gui/widgets/widget_curves.cpp: provide some
	feature controls for SelectDragHelper

2019-11-27  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/selectdraghelper.h: improves
	SelectDragHelper documentation

2019-11-24  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/widgets/widget_curves.cpp,
	synfig-studio/src/gui/widgets/widget_curves.h: Graph Panel: double
	click in a curve creates a waypoint Its value is the same as the interpolation dictates at click time

2019-11-24  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/widgets/widget_curves.cpp,
	synfig-studio/src/gui/widgets/widget_curves.h: Pressing Delete key
	remove selected waypoints in Graph Panel

2019-11-24  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/selectdraghelper.h: creates new signal for
	SelectDrawHelper: hovered_item_changed

2019-11-23  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/dialogs/dialog_waypoint.cpp,
	synfig-studio/src/gui/dialogs/dialog_waypoint.h: keep Dialog
	Waypoint data updated with Graphs changes

2019-11-23  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/widgets/widget_curves.cpp: fix: move points
	to an overlap time and then move other ones synfig would complain and action-history would mess up

2019-11-22  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/docks/dock_curves.cpp,
	synfig-studio/src/gui/selectdraghelper.h,
	synfig-studio/src/gui/widgets/widget_curves.cpp,
	synfig-studio/src/gui/widgets/widget_curves.h: make Graph waypoints
	responsive to single and double click

2019-11-22  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/docks/dock_curves.cpp,
	synfig-studio/src/gui/widgets/widget_curves.cpp,
	synfig-studio/src/gui/widgets/widget_curves.h: show tooltip for
	waypoint info in Graphs widget

2019-11-22  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/widgets/widget_curves.cpp: use foreground
	color for selection box outline

2019-11-22  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/timeplotdata.cpp,
	synfig-studio/src/gui/timeplotdata.h,
	synfig-studio/src/gui/widgets/widget_curves.cpp,
	synfig-studio/src/gui/widgets/widget_curves.h: fix axis-locking
	while dragging Graph curve points

2019-11-20  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/selectdraghelper.h,
	synfig-studio/src/gui/widgets/widget_curves.cpp,
	synfig-studio/src/gui/widgets/widget_curves.h: implement panning for
	Graphs widget

2019-11-20  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/widgets/widget_timeslider.cpp: fix
	timeslider scroll

2019-11-20  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/widgets/widget_curves.cpp: clean some
	history actions and avoid some unnecessary computations

2019-11-17  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/widgets/widget_curves.cpp,
	synfig-studio/src/gui/widgets/widget_curves.h: fix overlapping
	issues with selected points

2019-11-17  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/widgets/widget_curves.cpp,
	synfig-studio/src/gui/widgets/widget_curves.h: use proper var type
	for channel index

2019-11-15  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/selectdraghelper.h,
	synfig-studio/src/gui/timeplotdata.cpp,
	synfig-studio/src/gui/widgets/widget_curves.cpp: fix undesirable
	y-changes when dragging multiple points the reason is cached values of curve points

2019-11-14  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/selectdraghelper.h: add to SelectDragHelper
	new signal: item-clicked

2019-11-14  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/selectdraghelper.h,
	synfig-studio/src/gui/widgets/widget_curves.cpp: forgot to re-add
	scroll actions

2019-11-14  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/Makefile.am,
	synfig-studio/src/gui/selectdraghelper.h,
	synfig-studio/src/gui/widgets/widget_curves.cpp,
	synfig-studio/src/gui/widgets/widget_curves.h: isolate select-drag
	items code in a proper class

2019-11-12  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/widgets/widget_curves.cpp: prefer event
	motion pointer info rather than direct pointer

2019-11-10  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/waypointrenderer.cpp: fix missing default
	constructor

2019-11-10  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/mainwindow.cpp,
	synfig-studio/src/gui/widgets/widget_curves.cpp,
	synfig-studio/src/gui/widgets/widget_curves.h: (un)select all curve points by Ctrl+A and Ctrl+D

2019-11-10  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/widgets/widget_curves.cpp: draw
	converted/linked curve points with 50% transparency

2019-11-10  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/widgets/widget_curves.cpp,
	synfig-studio/src/gui/widgets/widget_curves.h: fix dragging of
	converted/linked layer parameter Its children worked fine, but not the parent.

2019-11-10  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/widgets/widget_curves.cpp,
	synfig-studio/src/gui/widgets/widget_curves.h: draw marks for
	overlapped waypoints while dragging curve points As shown here
	https://github.com/synfig/synfig/pull/982#issuecomment-552116299

2019-11-10  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/widgets/widget_curves.cpp,
	synfig-studio/src/gui/widgets/widget_curves.h: fix bug when moving
	curve points in time issue described here
	https://github.com/synfig/synfig/pull/982#issuecomment-551694936

2019-11-10  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/widgets/widget_curves.cpp: avoid waypoint
	move action duplicates when moving more than one channel point...

2019-11-09  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/waypointrenderer.cpp,
	synfig-studio/src/gui/waypointrenderer.h,
	synfig-studio/src/gui/widgets/widget_curves.cpp: draw curve points
	after last timepoint in a dashed pattern

2019-11-04  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/widgets/widget_curves.cpp,
	synfig-studio/src/synfigapp/canvasinterface.cpp,
	synfig-studio/src/synfigapp/canvasinterface.h: allow to move Graph
	points along time axis and axis locking with Shift, like Handle dragging does:
	https://wiki.synfig.org/Handle

2019-11-03  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/widgets/widget_curves.cpp,
	synfig-studio/src/gui/widgets/widget_curves.h: Graph points can now
	be moved by keyboard too and same strategy for handle moving as described in
	https://wiki.synfig.org/Handle

2019-11-03  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/widgets/widget_curves.cpp,
	synfig-studio/src/gui/widgets/widget_curves.h: make sure action
	group do not leak and rename variable for better reading

2019-11-03  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/widgets/widget_curves.cpp,
	synfig-studio/src/gui/widgets/widget_curves.h: clicking and not
	dragging a selected point changes selection

2019-11-03  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/widgets/widget_curves.cpp: make Graph points
	selection consistent with WorkArea style Ctrl : toggle selected nodes Shift: add to selection

2019-11-03  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/widgets/widget_curves.cpp,
	synfig-studio/src/gui/widgets/widget_curves.h,
	synfig-studio/src/synfigapp/canvasinterface.cpp,
	synfig-studio/src/synfigapp/canvasinterface.h: no need to enter in
	edit mode

2019-11-03  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/widgets/widget_curves.cpp: properly cancel
	dragging if a modal window blur Graphs focus

2019-11-02  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/widgets/widget_curves.cpp,
	synfig-studio/src/gui/widgets/widget_curves.h: curve dragging
	creates a single undoable action

2019-11-02  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/widgets/widget_curves.cpp,
	synfig-studio/src/gui/widgets/widget_curves.h: improve code reading by splitting it up in different methods

2019-11-02  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/widgets/widget_curves.cpp: fix curves
	zooming after changes in d5c4fb52e935

2019-10-31  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/widgets/widget_curves.cpp,
	synfig-studio/src/gui/widgets/widget_curves.h: autoswitch to
	edit-mode if needed while dragging curve

2019-10-30  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/widgets/widget_curves.cpp,
	synfig-studio/src/gui/widgets/widget_curves.h: separate
	start-dragging code

2019-10-29  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/docks/dock_curves.cpp,
	synfig-studio/src/gui/widgets/widget_curves.cpp,
	synfig-studio/src/gui/widgets/widget_curves.h,
	synfig-studio/src/synfigapp/canvasinterface.cpp,
	synfig-studio/src/synfigapp/canvasinterface.h: implementation draft
	of dragging curve points It misses: * allow to drag in non-edit-mode * better undo history handling

2019-10-29  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/widgets/widget_curves.cpp: clicking on a not
	selected item makes it the solo selection and prepare for dragging it if pointer moves

2019-10-28  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/widgets/widget_curves.cpp,
	synfig-studio/src/gui/widgets/widget_curves.h: inverted method logic
	for better reading

2019-10-28  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/widgets/widget_curves.cpp: fix hovered point
	highlighting when showing more than one param

2019-10-28  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/widgets/widget_curves.cpp,
	synfig-studio/src/gui/widgets/widget_curves.h: not reliable pointer
	usage: copy data

2019-10-28  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/timeplotdata.cpp,
	synfig-studio/src/gui/widgets/widget_curves.cpp: don't change sign
	of value in Curves

2019-10-26  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/docks/dock_curves.cpp,
	synfig-studio/src/gui/widgets/widget_curves.cpp: prepare Dock_Curves
	to support displaying multiple params

2019-10-26  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/synfigapp/value_desc.h: fix typo in comment

2019-10-26  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/widgets/widget_curves.cpp,
	synfig-studio/src/gui/widgets/widget_curves.h: memorize what curve
	(layer parameter) a channel point belongs to

2019-10-24  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/widgets/widget_curves.cpp: discard useless
	signal connections When changing what curves to show (by selecting a parameter),
	on-change signals for previous parameter values can be discarded.

2019-10-23  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/widgets/widget_curves.cpp: excludes
	commented and unused code erroneously committed :(

2019-10-22  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/widgets/widget_curves.cpp,
	synfig-studio/src/gui/widgets/widget_curves.h: allow waypoint
	selection in Widget_Curves

2019-10-22  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/CMakeLists.txt: don't forget CMake...

2019-10-20  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/widgets/widget_curves.cpp: zooming on
	Widget_Curves keeps pointer focus

2019-10-20  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/workarea.cpp: fix minor compilation warning

2019-10-20  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/widgets/widget_curves.cpp: fix switch
	statement case without break

2019-10-20  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/widgets/widget_curves.cpp,
	synfig-studio/src/gui/widgets/widget_curves.h: uses a new struct to
	handle curve points

2019-08-04  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/widgets/widget_curves.cpp,
	synfig-studio/src/gui/widgets/widget_curves.h: highlight hovered
	waypoints in Curves

2019-08-04  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/waypointrenderer.cpp,
	synfig-studio/src/gui/waypointrenderer.h,
	synfig-studio/src/gui/widgets/widget_curves.cpp,
	synfig-studio/src/gui/widgets/widget_curves.h: draw waypoints in
	Curves dock

2019-08-03  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/cellrenderer/cellrenderer_timetrack.cpp,
	synfig-studio/src/gui/waypointrenderer.cpp,
	synfig-studio/src/gui/waypointrenderer.h: allow visual feedback for
	waypoint hovering

2019-08-03  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/CMakeLists.txt,
	synfig-studio/src/gui/Makefile.am,
	synfig-studio/src/gui/cellrenderer/cellrenderer_timetrack.cpp,
	synfig-studio/src/gui/waypointrenderer.cpp,
	synfig-studio/src/gui/waypointrenderer.h: move waypoint renderer
	code to proper file

2019-08-02  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/widgets/widget_canvastimeslider.cpp,
	synfig-studio/src/gui/widgets/widget_timeslider.cpp,
	synfig-studio/src/gui/widgets/widget_timeslider.h: Widget_Timeslider
	and Widget_CanvasTimeslider use TimePlotData

2019-08-02  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/widgets/widget_curves.cpp: fix coding style

2019-08-02  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/timeplotdata.cpp,
	synfig-studio/src/gui/timeplotdata.h,
	synfig-studio/src/gui/widgets/widget_curves.cpp: fix invalid never
	unset, add documentation, create more methods

2019-08-02  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/timeplotdata.cpp,
	synfig-studio/src/gui/timeplotdata.h: forgot method constness

2019-08-02  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/Makefile.am,
	synfig-studio/src/gui/timeplotdata.cpp,
	synfig-studio/src/gui/timeplotdata.h,
	synfig-studio/src/gui/widgets/widget_curves.cpp: move TimePlotData
	to a separate file

2019-08-02  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/widgets/widget_curves.cpp,
	synfig-studio/src/gui/widgets/widget_curves.h: make TimePlotData
	smarter

2019-08-02  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/widgets/widget_curves.cpp: curves uses
	auxiliary methods

2019-07-31  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/widgets/widget_curves.cpp,
	synfig-studio/src/gui/widgets/widget_curves.h: avoid recalculating
	time plot geometry data on every draw just when time model changes or when widget is scrolled  or resized.

2019-07-31  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/widgets/widget_curves.cpp: rename local
	variables to better reading

2019-07-31  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/widgets/widget_curves.cpp: remove unused
	#include s in Widget_Curves

2019-12-10  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/configure.ac: Remove AC_CONFIG_MACRO_DIRS because of
	https://github.com/morevnaproject/morevna-builds/issues/17

2019-12-09  ice0 <konoplin@gmail.com>

	* synfig-studio/src/gui/ipc.cpp: Spelling fixed

2019-12-09  Ivan Mahonin <bh@icystar.com>

	* synfig-studio/src/gui/ipc.cpp: atomic flag for IPC thread

2019-12-08  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/ipc.cpp: let extra IPC thread quit

2019-12-08  Ivan Mahonin <bh@icystar.com>

	* synfig-studio/src/gui/duckmatic.cpp: fix width handles position
	(fix #1027)

2019-12-06  ice0 <konoplin@gmail.com>

	* synfig-studio/images/Makefile.am: Fixed some warnings when
	building icons for Synfig Studio

2019-12-06  Ivan Mahonin <bh@icystar.com>

	* synfig-studio/src/gui/duckmatic.cpp: fix width point positions
	(fix #1014)

2019-12-05  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/workarearenderer/renderer_canvas.cpp,
	synfig-studio/src/gui/workarearenderer/renderer_canvas.h: replace
	some deprecated Glib::[Threads::]Mutex with std::mutex

2019-12-04  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/synfigapp/actions/layerpaint.cpp: rename private
	mutex_ member to mutex

2019-12-03  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/ipc.cpp: on Windows, let extra IPC thread
	join on quit

2019-12-01  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/m4/ETL.m4: remove autotools references to threads in
	ETL

2019-11-30  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/ipc.cpp: fix win32 build: but I don't know
	if this thread should be dettached there is no way to the thread ends except the Pipe creation error.

2019-11-30  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/workarea.cpp: replace synfig::RWLock with
	Glib::Threads::RWLock

2019-11-30  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/ipc.cpp,
	synfig-studio/src/synfigapp/actions/layerpaint.cpp: replace
	synfig::Mutex and synfig::RecMutex with std:: ones

2019-11-30  ankit-kumar-dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/canvasview.cpp: use smaller compare value

2019-11-29  ankit-kumar-dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/canvasview.cpp,
	synfig-studio/src/gui/dialogs/vectorizersettings.h: fixed progress
	hide/show logic

2019-11-24  ankit-kumar-dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/dialogs/vectorizersettings.cpp: removed
	unused functions

2019-11-24  ankit-kumar-dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/canvasview.cpp,
	synfig-studio/src/synfigapp/vectorizer/centerlineskeletonizer.cpp,
	synfig-studio/src/synfigapp/vectorizer/centerlinevectorizer.cpp: 
	added back code related to isCanceled() and some fixes

2019-11-21  ankit-kumar-dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/canvasview.cpp,
	synfig-studio/src/gui/dialogs/vectorizersettings.cpp,
	synfig-studio/src/synfigapp/actions/vectorization.cpp,
	synfig-studio/src/synfigapp/vectorizer/centerlinepolygonizer.cpp,
	synfig-studio/src/synfigapp/vectorizer/centerlinevectorizer.cpp: 
	added debug::log() and updated gitignore for
	synfig-studio/tmpwrk3127/*

2019-11-19  ankit-kumar-dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/synfigapp/vectorizer/centerlinevectorizer.cpp,
	synfig-studio/src/synfigapp/vectorizer/centerlinevectorizer.h: final
	fixes

2019-11-19  ankit-kumar-dwivedi <dwivedi.ankit21@gmail.com>

	*
	synfig-studio/src/synfigapp/vectorizer/centerlineskeletonizer.cpp,
	synfig-studio/src/synfigapp/vectorizer/centerlinevectorizer.cpp: 
	complete progress bar and code cleaning

2019-11-19  ankit-kumar-dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/synfigapp/vectorizer/polygonizerclasses.h: 
	remove this from polygonize function args

2019-11-19  ankit-kumar-dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/canvasview.cpp: added
	studio::App::process_all_events();

2019-10-23  ankit-kumar-dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/canvasview.cpp,
	synfig-studio/src/gui/dialogs/vectorizersettings.cpp,
	synfig-studio/src/synfigapp/actions/vectorization.cpp,
	synfig-studio/src/synfigapp/vectorizer/centerlinevectorizer.cpp: 
	update:progress bar working

2019-10-22  ankit-kumar-dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/canvasview.cpp,
	synfig-studio/src/synfigapp/actions/vectorization.cpp,
	synfig-studio/src/synfigapp/actions/vectorization.h,
	synfig-studio/src/synfigapp/vectorizer/centerlinevectorizer.cpp,
	synfig-studio/src/synfigapp/vectorizer/centerlinevectorizer.h: added
	UIInterface to vectorizer and some refactoring

2019-10-09  ankit-kumar-dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/dialogs/vectorizersettings.cpp: remove
	instances of OneMoment

2019-11-19  ankit-kumar-dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/canvasview.cpp,
	synfig-studio/src/gui/canvasview.h,
	synfig-studio/src/gui/dialogs/vectorizersettings.cpp,
	synfig-studio/src/synfigapp/actions/vectorization.cpp: resolved
	conflicts

2019-09-21  ankit-kumar-dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/canvasview.cpp,
	synfig-studio/src/gui/canvasview.h: add progress bar to canvasview

2019-09-21  ankit-kumar-dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/dialogs/vectorizersettings.cpp,
	synfig-studio/src/gui/dialogs/vectorizersettings.h: remove
	progressbar from vectorizersettings dialog

2019-11-27  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* : Merge PR #1018: Lottie export - Add support for Exponent Convert
	method and Stretch Layer

2019-11-27  AnishGulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/plugins/lottie-exporter/common/Param.py,
	synfig-studio/plugins/lottie-exporter/common/Vector.py,
	synfig-studio/plugins/lottie-exporter/common/misc.py,
	synfig-studio/plugins/lottie-exporter/effects/controller.py,
	synfig-studio/plugins/lottie-exporter/layers/preComp.py,
	synfig-studio/plugins/lottie-exporter/layers/scale_layer.py,
	synfig-studio/plugins/lottie-exporter/settings.py: Fixes: #917, #939

2019-11-26  Ivan Mahonin <bh@icystar.com>

	* synfig-studio/src/gui/duck.cpp,
	synfig-studio/src/gui/duckmatic.cpp: fix handling zeros in linked
	tangents (fix #1000)

2019-11-26  AnishGulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/plugins/lottie-exporter/canvas.py: Fixes: #931

2019-11-26  AnishGulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/plugins/lottie-exporter/common/Param.py,
	synfig-studio/plugins/lottie-exporter/effects/controller.py,
	synfig-studio/plugins/lottie-exporter/settings.py: Add exponent
	convert method

2019-11-21  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/src/gui/instance.cpp,
	synfig-studio/src/gui/instance.h: Improve logic of gather_uri()
	function. Cleanup.

2019-11-19  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/eventkey.h,
	synfig-studio/src/gui/states/state_bline.cpp,
	synfig-studio/src/gui/states/state_polygon.cpp,
	synfig-studio/src/gui/workarea.cpp: double-click to finish spline
	and polygon shape - fix #1009

2019-10-28  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/Makefile.am,
	synfig-studio/src/gui/compview.cpp,
	synfig-studio/src/gui/compview.h: remove unused CompView class It isn't even listed in CMake files

2019-11-17  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/states/state_bline.cpp: finish (and loop)
	spline if first vertex is clicked

2019-11-16  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/states/state_bline.cpp: fix #492 - ENTER
	finish ("run") spline tool; ESC do cancel it partial fix #491 Besides the new key assignment, Escape now really cancels spline.
	Before this commit, it just hid the spline drawing (if you click
	'run' toolbutton the spline appears).

2019-11-16  Keyikedalube Ndang <keyikedalubendang@protonmail.ch>

	* synfig-studio/src/gui/renddesc.cpp: Redesigned layout

2019-11-15  Keyikedalube Ndang <keyikedalubendang@protonmail.ch>

	* synfig-studio/src/gui/renddesc.cpp: Implemented slider snapping
	behavior for gamma widgets scales

2019-11-14  Keyikedalube Ndang <keyikedalubendang@protonmail.ch>

	* synfig-studio/src/gui/renddesc.cpp,
	synfig-studio/src/gui/renddesc.h: Re-arranged Gamma widgets layout
	to make render window fit on lower resolution screens

2019-11-11  Keyikedalube Ndang <keyikedalube@debian.kedalu>

	* synfig-studio/src/gui/renddesc.cpp,
	synfig-studio/src/gui/renddesc.h: Removed slider widget from Gamma
	correction tab to make render dialog window fit on lower resolution
	monitors

2019-11-11  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/src/gui/canvasview.cpp: Fix Current Time Widget
	behavior broken in 0589a7d: it should display text in red only when
	there is a keyframe at current time

2019-11-11  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/src/gui/workarearenderer/renderer_timecode.cpp,
	synfig-studio/src/synfigapp/canvasinterface.cpp: Remove try/catch
	statements, not needed after 0589a7d

2019-11-08  Keyikedalube Ndang <keyikedalube@debian.kedalu>

	* synfig-studio/src/gui/preview.cpp: Changed default preview zoom to
	Fit

2019-10-28  Igor <igordsm@gmail.com>

	* synfig-studio/src/gui/cellrenderer/cellrenderer_timetrack.cpp,
	synfig-studio/src/gui/docks/dock_timetrack.cpp: Fix #262

2019-10-27  Voldracarno Draconor <thafiredragonofdeath@gmail.com>

	* synfig-studio/src/CMakeLists.txt: Fixed CMake build errors and
	improved the automatical build tool (#984) * Fixed CMake build errors and improved the automatical build tool * Fixed logical error in cmake buildscript

2019-10-25  luzpaz <luzpaz@users.noreply.github.com>

	* synfig-studio/plugins/lottie-exporter/layers/group.py,
	synfig-studio/src/synfigapp/vectorizer/centerlineskeletonizer.cpp: 
	Fix source typos (#974) * Fix source typos * Revised commit per feedback

2019-10-11  luz.paz <luzpaz@users.noreply.github.com>

	* synfig-studio/config/package,
	synfig-studio/plugins/lottie-exporter/common/Canvas.py,
	synfig-studio/plugins/lottie-exporter/common/Param.py,
	synfig-studio/plugins/lottie-exporter/common/misc.py,
	synfig-studio/plugins/lottie-exporter/layers/group.py,
	synfig-studio/plugins/lottie-exporter/layers/rotate_layer.py,
	synfig-studio/plugins/lottie-exporter/properties/offsetKeyframe.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	outline.py, synfig-studio/plugins/lottie-exporter/settings.py,
	synfig-studio/src/gui/app.cpp,
	synfig-studio/src/gui/states/state_draw.cpp,
	synfig-studio/src/gui/states/state_lasso.cpp,
	synfig-studio/src/gui/states/state_width.cpp,
	synfig-studio/src/synfigapp/vectorizer/centerlineadjustments.cpp,
	synfig-studio/src/synfigapp/vectorizer/centerlinecolors.cpp,
	synfig-studio/src/synfigapp/vectorizer/centerlinepolygonizer.cpp,
	synfig-studio/src/synfigapp/vectorizer/centerlineskeletonizer.cpp,
	synfig-studio/src/synfigapp/vectorizer/centerlinetostrokes.cpp,
	synfig-studio/src/synfigapp/vectorizer/centerlinevectorizer.cpp,
	synfig-studio/src/synfigapp/vectorizer/polygonizerclasses.h,
	synfig-studio/src/synfigapp/vectorizer/vectorizerparameters.h: Fix
	source comment typos and some comment formatting Found via `codespell -q 3 -L

	,ang,ba,childs,eiter,forse,objext,pevent,shouldbe,thru,uint,unselect,vertexes --skip="./synfig-studio/po,./synfig-core/po,/synfig-core/m4,./synfig-osx/,./gtkmm-osx,./bugs,.*.eps,*.sif"`

2019-10-18  Ivan Mahonin <bh@icystar.com>

	* synfig-studio/src/gui/workarearenderer/renderer_ducks.cpp: make
	move-origin duck semitransparent

2019-10-18  Ivan Mahonin <bh@icystar.com>

	* synfig-studio/src/synfigapp/Makefile.am,
	synfig-studio/src/synfigapp/action.cpp,
	synfig-studio/src/synfigapp/actions/CMakeLists.txt,
	synfig-studio/src/synfigapp/actions/valuedescbake.cpp,
	synfig-studio/src/synfigapp/actions/valuedescbake.h: bake action
	(closes #979)

2019-10-18  Ivan Mahonin <bh@icystar.com>

	* synfig-studio/src/synfigapp/canvasinterface.cpp: set fps while
	importing sequence (fix #978)

2019-10-18  Ivan Mahonin <bh@icystar.com>

	* synfig-studio/src/gui/duckmatic.cpp: fix move-origin duck (fixes
	#977)

2019-10-16  Ivan Mahonin <bh@icystar.com>

	* synfig-studio/src/gui/app.cpp, synfig-studio/src/gui/app.h,
	synfig-studio/src/gui/asyncrenderer.cpp,
	synfig-studio/src/gui/canvasview.cpp,
	synfig-studio/src/gui/canvasview.h,
	synfig-studio/src/synfigapp/canvasinterface.cpp,
	synfig-studio/src/synfigapp/canvasinterface.h: Import sequence

2019-10-16  Ivan Mahonin <bh@icystar.com>

	* synfig-studio/src/gui/trees/layertreestore.cpp,
	synfig-studio/src/gui/widgets/widget_sublayer.cpp: allow to select
	layer in swith by index (depth)

2019-10-16  Ivan Mahonin <bh@icystar.com>

	* synfig-studio/src/gui/duck.cpp, synfig-studio/src/gui/duck.h,
	synfig-studio/src/gui/duckmatic.cpp,
	synfig-studio/src/gui/duckmatic.h: move-origin duck

2019-10-15  Ivan Mahonin <bh@icystar.com>

	* synfig-studio/src/gui/docks/dialog_tooloptions.cpp: fix
	scrollfighting in tool options (fixes #962)

2019-10-14  Ivan Mahonin <bh@icystar.com>

	* synfig-studio/src/gui/cellrenderer/cellrenderer_timetrack.cpp: fix
	crash on export value

2019-10-13  Ivan Mahonin <bh@icystar.com>

	* synfig-studio/src/gui/renddesc.cpp: fix crash of canvas gamma
	property page (fix #975)

2019-10-13  Ivan Mahonin <bh@icystar.com>

	* synfig-studio/src/gui/workarearenderer/renderer_canvas.cpp,
	synfig-studio/src/gui/workarearenderer/renderer_canvas.h: fix crash
	on prerendering

2019-10-12  Ivan Mahonin <bh@icystar.com>

	* synfig-studio/src/gui/duck.h, synfig-studio/src/gui/duckmatic.h,
	synfig-studio/src/gui/trees/keyframetreestore.cpp,
	synfig-studio/src/gui/workarea.h: thread-safe etl::reference_counter

2019-10-11  Ivan Mahonin <bh@icystar.com>

	* synfig-studio/src/gui/docks/dock_info.cpp: fix Dock_Info

2019-10-10  Ivan Mahonin <bh@icystar.com>

	* synfig-studio/src/gui/app.cpp, synfig-studio/src/gui/app.h,
	synfig-studio/src/gui/asyncrenderer.cpp,
	synfig-studio/src/gui/asyncrenderer.h,
	synfig-studio/src/gui/dialogs/canvasproperties.h,
	synfig-studio/src/gui/dialogs/dialog_color.h,
	synfig-studio/src/gui/dialogs/dialog_gradient.h,
	synfig-studio/src/gui/dialogs/dialog_setup.cpp,
	synfig-studio/src/gui/dialogs/dialog_setup.h,
	synfig-studio/src/gui/docks/dock_info.cpp,
	synfig-studio/src/gui/modules/mod_palette/dock_paledit.h,
	synfig-studio/src/gui/preview.cpp,
	synfig-studio/src/gui/renddesc.cpp,
	synfig-studio/src/gui/renddesc.h,
	synfig-studio/src/gui/widgets/widget_color.cpp,
	synfig-studio/src/gui/widgets/widget_color.h,
	synfig-studio/src/gui/widgets/widget_coloredit.cpp,
	synfig-studio/src/gui/widgets/widget_coloredit.h,
	synfig-studio/src/gui/widgets/widget_defaults.cpp,
	synfig-studio/src/gui/widgets/widget_value.h,
	synfig-studio/src/gui/widgets/widget_vector.cpp,
	synfig-studio/src/gui/workarearenderer/renderer_canvas.cpp,
	synfig-studio/src/gui/workarearenderer/renderer_ducks.cpp,
	synfig-studio/src/synfigapp/actions/vectorization.cpp,
	synfig-studio/src/synfigapp/vectorizer/centerlinecolors.cpp,
	synfig-studio/src/synfigapp/vectorizer/centerlinepolygonizer.cpp,
	synfig-studio/src/synfigapp/vectorizer/centerlinevectorizer.cpp,
	synfig-studio/src/synfigapp/vectorizer/centerlinevectorizer.h,
	synfig-studio/src/synfigapp/vectorizer/polygonizerclasses.h: Gamma
	correction as a canvas option

2019-10-10  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/src/gui/mainwindow.cpp: Fix "Edit workspaces..."
	menu item

2019-09-07  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/po/POTFILES.in, synfig-studio/src/gui/app.cpp,
	synfig-studio/src/gui/app.h,
	synfig-studio/src/gui/dialogs/CMakeLists.txt,
	synfig-studio/src/gui/dialogs/Makefile_insert,
	synfig-studio/src/gui/dialogs/dialog_workspaces.cpp,
	synfig-studio/src/gui/dialogs/dialog_workspaces.h,
	synfig-studio/src/gui/mainwindow.cpp,
	synfig-studio/src/gui/mainwindow.h,
	synfig-studio/src/gui/workspacehandler.cpp,
	synfig-studio/src/gui/workspacehandler.h,
	synfig-studio/ui/CMakeLists.txt, synfig-studio/ui/Makefile.am,
	synfig-studio/ui/dialog_workspaces.ui: add feature: edit custom
	workspace list Now they can be deleted or renamed.

2019-09-07  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/mainwindow.cpp: add icon to Save Custom
	Workspace (item menu) action

2019-09-07  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/app.cpp,
	synfig-studio/src/gui/workspacehandler.cpp,
	synfig-studio/src/gui/workspacehandler.h: WorkspaceHandler emits
	signal for list changing

2019-09-07  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/app.cpp,
	synfig-studio/src/gui/workspacehandler.cpp,
	synfig-studio/src/gui/workspacehandler.h: WorkspaceHandler can load
	from a file and save in another one

2019-08-25  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/app.cpp: avoid memleak if this method is
	eventually called elsewhere

2019-08-25  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/app.cpp: warn user about workspace
	overwritting

2019-08-25  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/app.cpp,
	synfig-studio/src/gui/mainwindow.cpp,
	synfig-studio/src/gui/mainwindow.h: let "Save Workspace..." menu
	item after custom workspace list

2019-08-25  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/mainwindow.cpp: rename variables for clarity
	and readability

2019-08-25  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/workspacehandler.cpp: fix workspace name
	list

2019-08-25  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/workspacehandler.h: minor improvement on
	workspace handler doc

2019-08-11  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/CMakeLists.txt,
	synfig-studio/src/gui/Makefile.am, synfig-studio/src/gui/app.cpp,
	synfig-studio/src/gui/app.h, synfig-studio/src/gui/mainwindow.cpp,
	synfig-studio/src/gui/mainwindow.h,
	synfig-studio/src/gui/workspacehandler.cpp,
	synfig-studio/src/gui/workspacehandler.h: partial fix #245 -
	save/load custom workspace still has floating panels problems after workspace switching

2019-08-10  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/app.cpp, synfig-studio/src/gui/app.h: avoid
	code repetition for workspace setting

2019-10-08  Ivan Mahonin <bh@icystar.com>

	* synfig-studio/src/gui/canvasview.cpp,
	synfig-studio/src/gui/canvasview.h,
	synfig-studio/src/gui/docks/dock_layers.cpp,
	synfig-studio/src/gui/trees/layertree.cpp,
	synfig-studio/src/gui/trees/layertree.h: fix crash on closing studio
	(affects #971)

2019-09-21  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/app.cpp,
	synfig-studio/src/synfigapp/settings.cpp,
	synfig-studio/src/synfigapp/settings.h: set workspace layout as
	default if first time using this fix Settings' file field docks.layout has been deprecated, now we use
	workspace.layout due to 7a2f46f1e11988a3f38a13a566a140da19cbd2cd and
	https://github.com/synfig/synfig/pull/915#issuecomment-522211800

2019-08-25  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/docks/dockmanager.cpp: change preferences
	field name prefix from "dock" to "workspace" previous versions now could use the config file of this version
	without messing their workspace (see
	https://github.com/synfig/synfig/pull/915#issuecomment-521965632 )

2019-08-10  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/docks/dock_toolbox.cpp,
	synfig-studio/src/gui/docks/dock_toolbox.h,
	synfig-studio/src/gui/docks/dockable.cpp,
	synfig-studio/src/gui/docks/dockable.h,
	synfig-studio/src/gui/docks/dockmanager.cpp,
	synfig-studio/src/gui/docks/dockmanager.h: fix #243 - save/restore
	the Widget_Defaults position in Toolbox

2019-08-10  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/docks/dockmanager.cpp: remove commented code similar to previous lines - just use dockable as pointer instead of
	reference

2019-09-27  ice0 <konoplin@gmail.com>

	* synfig-studio/src/gui/app.cpp,
	synfig-studio/src/gui/dialogs/about.cpp,
	synfig-studio/src/gui/docks/dock_timetrack.cpp,
	synfig-studio/src/gui/mainwindow.cpp,
	synfig-studio/src/synfigapp/actions/valuedesclink.cpp: Updated
	synfig web-site urls

2019-09-25  ice0 <konoplin@gmail.com>

	* synfig-studio/src/gui/trees/layertree.cpp,
	synfig-studio/src/gui/trees/layertree.h: Fixed LayerTree resource
	leak

2019-09-25  ice0 <konoplin@gmail.com>

	* synfig-studio/src/gui/actionmanagers/layeractionmanager.cpp,
	synfig-studio/src/gui/cellrenderer/cellrenderer_timetrack.h,
	synfig-studio/src/gui/duckmatic.cpp,
	synfig-studio/src/gui/states/state_bline.cpp,
	synfig-studio/src/gui/trees/canvastreestore.cpp,
	synfig-studio/src/gui/workarearenderer/renderer_timecode.cpp,
	synfig-studio/src/synfigapp/action_system.cpp,
	synfig-studio/src/synfigapp/actions/activepointadd.cpp,
	synfig-studio/src/synfigapp/actions/activepointremove.cpp,
	synfig-studio/src/synfigapp/actions/activepointset.cpp,
	synfig-studio/src/synfigapp/actions/activepointsetsmart.cpp,
	synfig-studio/src/synfigapp/actions/layerduplicate.cpp,
	synfig-studio/src/synfigapp/actions/waypointadd.cpp,
	synfig-studio/src/synfigapp/actions/waypointremove.cpp,
	synfig-studio/src/synfigapp/actions/waypointset.cpp,
	synfig-studio/src/synfigapp/actions/waypointsetsmart.cpp,
	synfig-studio/src/synfigapp/canvasinterface.cpp: Fixed bunch of
	"pass by value errors"

2019-09-08  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/docks/dock_layers.cpp,
	synfig-studio/src/gui/trees/layertree.cpp,
	synfig-studio/src/gui/trees/layertree.h: fix #254 right-click in
	layer window should show layer options

2019-09-08  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/docks/dock_layers.cpp,
	synfig-studio/src/gui/docks/dock_layers.h: disable tool button "New
	Layer" when no canvas is available

2019-09-08  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/docks/dock_layers.h: remove not-implemented
	and unused method declarations

2019-09-08  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/docks/dock_layers.cpp: partial-fix #254 :
	add tool button "New Layer"

2019-09-20  ice0 <konoplin@gmail.com>

	* synfig-studio/src/gui/app.cpp,
	synfig-studio/src/synfigapp/inputdevice.cpp: Fixed wrong format
	specifications

2019-09-18  ice0 <konoplin@gmail.com>

	* synfig-studio/src/synfigapp/vectorizer/CMakeLists.txt,
	synfig-studio/src/synfigapp/vectorizer/polygonizerclasses.h: Added
	header guards

2019-09-08  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/app.cpp: let some missing action names be
	translatable

2019-09-18  ice0 <konoplin@gmail.com>

	* synfig-studio/src/synfigapp/CMakeLists.txt,
	synfig-studio/src/synfigapp/vectorizer/CMakeLists.txt: Fixed broken
	CMake build

2019-09-11  Ivan Mahonin <bh@icystar.com>

	* synfig-studio/src/gui/app.cpp,
	synfig-studio/src/gui/dialogs/dialog_setup.cpp,
	synfig-studio/src/gui/dialogs/dialog_setup.h,
	synfig-studio/src/gui/docks/dock_info.cpp,
	synfig-studio/src/gui/widgets/widget_color.cpp,
	synfig-studio/src/gui/widgets/widget_coloredit.cpp: Apply gamma
	correction to alpha channel

2019-09-11  Ivan Mahonin <bh@icystar.com>

	* synfig-studio/src/gui/workarearenderer/renderer_canvas.cpp: fix
	"Exclude from rendering" feature (fixes #921)

2019-09-08  Ivan Mahonin <bh@icystar.com>

	* synfig-studio/src/gui/duckmatic.cpp,
	synfig-studio/src/gui/trees/canvastreestore.cpp: adv.outline: width
	from vertices if no widthpoints

2019-09-08  Ivan Mahonin <bh@icystar.com>

	* synfig-studio/src/gui/instance.cpp: inverted tip types for
	advanced outline

2019-09-02  ankit-kumar-dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/instance.cpp: add active layer param check
	fix https://github.com/synfig/synfig/issues/913

2019-09-07  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/src/synfigapp/vectorizer/centerlinetostrokes.cpp,
	synfig-studio/src/synfigapp/vectorizer/polygonizerclasses.h: Fix
	compilation error in synfig-studio

2019-08-25  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/trees/layertree.cpp: minor cleaning in layer
	tree code

2019-08-30  ankit-kumar-dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/app.cpp, synfig-studio/src/gui/app.h,
	synfig-studio/src/gui/dialogs/vectorizersettings.cpp,
	synfig-studio/src/gui/dialogs/vectorizersettings.h,
	synfig-studio/src/gui/instance.cpp,
	synfig-studio/src/gui/instance.h: removed global
	my_layer_bitmap,insideSwitch and reference_layer

2019-08-20  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/synfigapp/vectorizer/centerlinetostrokes.cpp: 
	fix no output when max thickness is zero

2019-08-20  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/app.cpp,
	synfig-studio/src/gui/dialogs/vectorizersettings.cpp,
	synfig-studio/src/gui/dialogs/vectorizersettings.h: fixed
	https://github.com/synfig/synfig/issues/925

2019-08-19  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/synfigapp/vectorizer/centerlinetostrokes.cpp: 
	fix result scaling in accordance with canvas properties

2019-08-18  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/dialogs/vectorizersettings.cpp: attempt to
	make onemoment

2019-08-17  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/dialogs/vectorizersettings.h: fix
	set_progress() declaration

2019-08-17  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/dialogs/vectorizersettings.cpp,
	synfig-studio/src/gui/dialogs/vectorizersettings.h: added
	set_progress()

2019-08-17  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/dialogs/vectorizersettings.cpp: added
	onemoment but not correctly working

2019-08-16  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/dialogs/vectorizersettings.cpp: fix margin
	and add text

2019-08-16  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/app.cpp: added default height of progressbar

2019-08-16  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/dialogs/vectorizersettings.cpp,
	synfig-studio/src/gui/dialogs/vectorizersettings.h: init progress
	bar

2019-08-15  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/dialogs/vectorizersettings.cpp: fix
	https://github.com/synfig/synfig/issues/920

2019-08-15  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/dialogs/vectorizersettings.cpp: Removed
	references to non-implemented features
	fix:https://github.com/synfig/synfig/issues/920

2019-08-15  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/synfigapp/actions/vectorization.cpp: fix error
	related to depth

2019-08-15  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/dialogs/vectorizersettings.cpp,
	synfig-studio/src/synfigapp/vectorizer/centerlinepolygonizer.cpp,
	synfig-studio/src/synfigapp/vectorizer/centerlinetostrokes.cpp,
	synfig-studio/src/synfigapp/vectorizer/centerlinevectorizer.h: 
	miscellaneous comment and debug improvements

2019-08-15  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/synfigapp/actions/vectorization.cpp: Added
	move_depth to move till appropriate depth fix:https://github.com/synfig/synfig/issues/912

2019-08-15  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/app.cpp, synfig-studio/src/gui/app.h,
	synfig-studio/src/gui/dialogs/vectorizersettings.cpp,
	synfig-studio/src/gui/dialogs/vectorizersettings.h,
	synfig-studio/src/gui/instance.cpp: Fix result outside of
	switch(when inside layer clicked) Added bool insideswitch

2019-08-12  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/synfigapp/Makefile.am,
	synfig-studio/src/synfigapp/vectorizer/Makefile_insert: makefile
	modifications for last commit

2019-08-11  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/synfigapp/vectorizer/centerlinepolygonizer.cpp,
	synfig-studio/src/synfigapp/vectorizer/centerlineskeletonizer.cpp,
	synfig-studio/src/synfigapp/vectorizer/centerlineskeletonizer.h,
	synfig-studio/src/synfigapp/vectorizer/centerlinevectorizer.cpp: 
	comment fix: remove unused dead code from comment

2019-08-11  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/synfigapp/actions/vectorization.cpp: fix
	https://github.com/synfig/synfig/issues/912

2019-08-10  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/synfigapp/actions/vectorization.cpp: fixed
	placement of result

2019-08-10  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/synfigapp/vectorizer/centerlinetostrokes.cpp: 
	Possible fix for ouline width and  removed multiple function call
	and for loop for speed improvements

2019-08-09  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/synfigapp/vectorizer/centerlinetostrokes.cpp: Do
	not modify width and check if non zero

2019-08-09  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	*
	synfig-studio/src/synfigapp/vectorizer/centerlineskeletonizer.cpp,
	synfig-studio/src/synfigapp/vectorizer/centerlineskeletonizer.h: Fix
	https://github.com/synfig/synfig/issues/909

2019-08-08  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/synfigapp/vectorizer/centerlineskeletonizer.cpp: 
	fix wrong result and crash

2019-08-08  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/app.cpp, synfig-studio/src/gui/app.h,
	synfig-studio/src/gui/dialogs/vectorizersettings.cpp,
	synfig-studio/src/gui/dialogs/vectorizersettings.h,
	synfig-studio/src/gui/instance.cpp,
	synfig-studio/src/synfigapp/actions/vectorization.cpp,
	synfig-studio/src/synfigapp/actions/vectorization.h: copy
	transformation from switch to outline group

2019-08-07  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/synfigapp/vectorizer/centerlinevectorizer.cpp: 
	add delete skeleton

2019-08-07  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/synfigapp/actions/vectorization.cpp,
	synfig-studio/src/synfigapp/vectorizer/centerlineskeletonizer.cpp: 
	add more debug code

2019-08-06  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/synfigapp/vectorizer/centerlineskeletonizer.cpp: 
	error is present in sskeltonize function

2019-08-05  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/synfigapp/vectorizer/centerlinevectorizer.cpp: 
	added debug lines to see output variation PS:at this step output is always same

2019-08-05  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/synfigapp/vectorizer/centerlinepolygonizer.cpp: 
	remove commented code

2019-08-05  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/dialogs/vectorizersettings.cpp,
	synfig-studio/src/synfigapp/vectorizer/centerlinevectorizer.cpp: 
	some debug code

2019-08-04  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/synfigapp/vectorizer/centerlinetostrokes.cpp: 
	use shifting to overlap original image

2019-08-03  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/synfigapp/vectorizer/centerlinetostrokes.cpp: 
	fix last point addition in outline

2019-08-03  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/synfigapp/vectorizer/centerlinetostrokes.cpp: 
	attempt to fix outline width

2019-08-03  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/synfigapp/vectorizer/centerlinetostrokes.cpp: 
	fix (0,0) added at the bline_point_list

2019-08-02  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/app.cpp, synfig-studio/src/gui/app.h,
	synfig-studio/src/gui/dialogs/vectorizersettings.cpp,
	synfig-studio/src/gui/dialogs/vectorizersettings.h,
	synfig-studio/src/gui/instance.cpp,
	synfig-studio/src/synfigapp/actions/vectorization.cpp: implement
	canvas related imrovements

2019-08-01  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/dialogs/vectorizersettings.cpp,
	synfig-studio/src/synfigapp/actions/vectorization.cpp: implemented
	recommendations

2019-08-01  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/synfigapp/actions/vectorization.cpp,
	synfig-studio/src/synfigapp/actions/vectorization.h: undo() added

2019-08-01  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/synfigapp/actions/vectorization.cpp: Implemented
	recommendations for vectorization action

2019-08-01  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/dialogs/vectorizersettings.cpp,
	synfig-studio/src/gui/dialogs/vectorizersettings.h: Fixed wrong
	isOutline condition this was causing vectorizer to pass outline config when centerline
	was called

2019-08-01  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/synfigapp/actions/vectorization.cpp: fix
	vectorization action crash

2019-07-31  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/dialogs/vectorizersettings.cpp,
	synfig-studio/src/synfigapp/actions/vectorization.cpp: Test:
	vectorization perform() still crashed

2019-07-31  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/dialogs/vectorizersettings.cpp,
	synfig-studio/src/gui/dialogs/vectorizersettings.h: Test: replace
	Vectorizer with LayerAdd

2019-07-30  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/synfigapp/actions/vectorization.cpp: add debug
	lines

2019-07-30  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/CMakeLists.txt,
	synfig-studio/src/gui/Makefile.am,
	synfig-studio/src/synfigapp/CMakeLists.txt,
	synfig-studio/src/synfigapp/Makefile.am,
	synfig-studio/src/synfigapp/actions/vectorization.cpp,
	synfig-studio/src/synfigapp/actions/vectorization.h,
	synfig-studio/src/{gui => synfigapp}/vectorizer/CMakeLists.txt,
	synfig-studio/src/{gui => synfigapp}/vectorizer/Makefile_insert,
	synfig-studio/src/{gui =>
	synfigapp}/vectorizer/centerlineadjustments.cpp,
	synfig-studio/src/{gui =>
	synfigapp}/vectorizer/centerlinecolors.cpp, synfig-studio/src/{gui
	=> synfigapp}/vectorizer/centerlinepolygonizer.cpp,
	synfig-studio/src/{gui =>
	synfigapp}/vectorizer/centerlineskeletonizer.cpp,
	synfig-studio/src/{gui =>
	synfigapp}/vectorizer/centerlineskeletonizer.h,
	synfig-studio/src/{gui =>
	synfigapp}/vectorizer/centerlinetostrokes.cpp,
	synfig-studio/src/{gui =>
	synfigapp}/vectorizer/centerlinevectorizer.cpp,
	synfig-studio/src/{gui =>
	synfigapp}/vectorizer/centerlinevectorizer.h,
	synfig-studio/src/{gui =>
	synfigapp}/vectorizer/outlinevectorizer.cpp, synfig-studio/src/{gui
	=> synfigapp}/vectorizer/polygonizerclasses.h,
	synfig-studio/src/{gui =>
	synfigapp}/vectorizer/vectorizerparameters.h: Moved gui/vectorizer
	to synfigapp/vectorizer

2019-07-30  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/dialogs/vectorizersettings.cpp,
	synfig-studio/src/gui/dialogs/vectorizersettings.h: show 'under
	development' when outline selected

2019-07-30  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/synfigapp/action.cpp: add vectorization to
	action::book()

2019-07-29  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/app.cpp,
	synfig-studio/src/gui/dialogs/vectorizersettings.cpp,
	synfig-studio/src/gui/dialogs/vectorizersettings.h: added instance
	to vectorizersettings Note: compiled successfully

2019-07-28  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/dialogs/vectorizersettings.cpp,
	synfig-studio/src/synfigapp/actions/vectorization.cpp,
	synfig-studio/src/synfigapp/actions/vectorization.h: fix
	redeclaration error

2019-07-28  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/dialogs/vectorizersettings.cpp,
	synfig-studio/src/gui/dialogs/vectorizersettings.h,
	synfig-studio/src/synfigapp/Makefile.am,
	synfig-studio/src/synfigapp/actions/CMakeLists.txt,
	synfig-studio/src/synfigapp/actions/vectorization.cpp,
	synfig-studio/src/synfigapp/actions/vectorization.h: call vectorizer
	action and add to makelist

2019-07-28  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/vectorizer/centerlinevectorizer.cpp,
	synfig-studio/src/gui/vectorizer/centerlinevectorizer.h: Change
	function definition to return outline list

2019-07-28  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/synfigapp/actions/vectorization.cpp,
	synfig-studio/src/synfigapp/actions/vectorization.h: added
	is_ready() and undo()

2019-07-27  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/synfigapp/actions/vectorization.cpp,
	synfig-studio/src/synfigapp/actions/vectorization.h: added
	get_param_vocab() and is_candidate()

2019-07-27  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/synfigapp/actions/vectorization.h: inherit from
	undoable not superaction

2019-07-27  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/synfigapp/actions/vectorization.cpp,
	synfig-studio/src/synfigapp/actions/vectorization.h: added vCore and
	configuration

2019-07-26  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/synfigapp/actions/vectorization.cpp,
	synfig-studio/src/synfigapp/actions/vectorization.h: added config
	function and set_param()

2019-07-25  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/synfigapp/actions/vectorization.cpp,
	synfig-studio/src/synfigapp/actions/vectorization.h: some progress
	on action

2019-07-24  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/synfigapp/actions/vectorization.cpp,
	synfig-studio/src/synfigapp/actions/vectorization.h: init
	vectorization action

2019-07-24  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/vectorizer/centerlinevectorizer.cpp: Group
	of outlines is now outside of switch Note: We need to create a layer on top to refresh panel and see
	changes

2019-07-23  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/vectorizer/centerlinetostrokes.cpp: set
	outline width=5.0

2019-07-23  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/vectorizer/centerlinetostrokes.cpp: fix
	tangent and point in case of 4 point segment

2019-07-23  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/vectorizer/centerlinetostrokes.cpp: pixel to
	unit conversion

2019-07-22  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/vectorizer/centerlinetostrokes.cpp: change
	origin to previous last

2019-07-22  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/vectorizer/centerlinevectorizer.cpp: change
	group canvas

2019-07-22  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/vectorizer/centerlinevectorizer.cpp: to
	check

2019-07-21  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/vectorizer/centerlinetostrokes.cpp,
	synfig-studio/src/gui/vectorizer/centerlinevectorizer.cpp: 
	multiplier issue and revert group creation

2019-07-20  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/vectorizer/centerlinevectorizer.cpp: attempt
	to create group layer

2019-07-20  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/vectorizer/centerlinetostrokes.cpp,
	synfig-studio/src/gui/vectorizer/centerlinevectorizer.cpp: Fixed
	incorrect control points

2019-07-19  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/vectorizer/centerlinetostrokes.cpp: Fix
	affine transformation matrix

2019-07-19  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/vectorizer/centerlinetostrokes.cpp: add
	debug code for checking control points

2019-07-19  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/vectorizer/centerlinetostrokes.cpp: set
	width to 1 for all vertices

2019-07-18  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/src/gui/vectorizer/centerlinetostrokes.cpp,
	synfig-studio/src/gui/vectorizer/centerlinevectorizer.cpp,
	synfig-studio/src/gui/vectorizer/polygonizerclasses.h: Fix outline
	creation

2019-07-17  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/vectorizer/centerlinetostrokes.cpp: test 3
	for stroke output

2019-07-15  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/vectorizer/centerlinetostrokes.cpp: Test for
	outline 2

2019-07-15  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/instance.cpp: Remove debug output

2019-07-12  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/vectorizer/centerlinetostrokes.cpp,
	synfig-studio/src/gui/vectorizer/centerlinevectorizer.cpp: attempt
	to display oulines

2019-07-11  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/vectorizer/centerlinetostrokes.cpp,
	synfig-studio/src/gui/vectorizer/centerlinevectorizer.cpp,
	synfig-studio/src/gui/vectorizer/polygonizerclasses.h: Change
	Outline* to etl::handle<synfig::Layer> for new Outline layer Close
	https://github.com/synfig/synfig/issues/851

2019-07-10  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/vectorizer/centerlinetostrokes.cpp: Added
	BezierToOutline changes //TODO resolve undefined reference error for
	Outline()

2019-07-10  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/dialogs/vectorizersettings.cpp: Hide config
	dialog when convert pressed

2019-07-09  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/vectorizer/centerlinetostrokes.cpp: Minor
	fix related to synfig::Vector to double multiplication

2019-07-09  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/vectorizer/centerlinetostrokes.cpp: Added
	BezierToOutline method

2019-07-09  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/vectorizer/CMakeLists.txt,
	synfig-studio/src/gui/vectorizer/Makefile_insert,
	synfig-studio/src/gui/vectorizer/polygonizerclasses.h: Added
	centerlinetostrokes.cpp to makefiles

2019-07-08  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/vectorizer/centerlinetostrokes.cpp: Replace
	Taffine with synfig::Matrix

2019-07-07  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/vectorizer/centerlinetostrokes.cpp: Correct
	point access

2019-07-07  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/vectorizer/centerlinecolors.cpp: 
	centerlinecolors not currently neede

2019-07-06  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/vectorizer/centerlinetostrokes.cpp,
	synfig-studio/src/gui/vectorizer/centerlinevectorizer.cpp: Added
	SequenceConverter and SequenceSimplifier TODO: Taffine handling

2019-07-04  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/dialogs/vectorizersettings.cpp,
	synfig-studio/src/gui/dialogs/vectorizersettings.h: Removed
	thickness ratio start/end fixes
	https://github.com/synfig/synfig/issues/875

2019-07-02  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/vectorizer/centerlinecolors.cpp: Init apply
	strokes color

2019-07-01  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/vectorizer/centerlinetostrokes.cpp: init
	centerlinetostrokes

2019-06-30  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/vectorizer/centerlinecolors.cpp: 
	Centerlinecolors.cpp completed (Compiled Successfuly) Fixes
	https://github.com/synfig/synfig/issues/849

2019-06-30  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/vectorizer/CMakeLists.txt,
	synfig-studio/src/gui/vectorizer/Makefile_insert,
	synfig-studio/src/gui/vectorizer/centerlinevectorizer.cpp,
	synfig-studio/src/gui/vectorizer/polygonizerclasses.h: Added
	centerlinecolors.cpp to CMake files

2019-06-29  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/vectorizer/centerlinecolors.cpp: Added
	firstInkChangePosition()

2019-06-28  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/vectorizer/centerlinecolors.cpp,
	synfig-studio/src/gui/vectorizer/centerlinevectorizer.cpp,
	synfig-studio/src/gui/vectorizer/polygonizerclasses.h: Replace cm32
	with raster

2019-06-26  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/vectorizer/centerlineadjustments.cpp,
	synfig-studio/src/gui/vectorizer/centerlinecolors.cpp: Added
	sampleColor function Note: need to replace the color map related
	functions https://github.com/synfig/synfig/issues/849

2019-06-24  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/vectorizer/centerlineadjustments.cpp,
	synfig-studio/src/gui/vectorizer/centerlinevectorizer.cpp: Remove
	debug code and some minor fix

2019-06-24  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/vectorizer/centerlinecolors.cpp: init
	centerlinecolors.cpp This file will contain functions to to calculate the sequence color
	using sampling

2019-06-23  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/vectorizer/centerlineskeletonizer.cpp: fixes
	https://github.com/synfig/synfig/issues/862

2019-06-21  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/vectorizer/CMakeLists.txt,
	synfig-studio/src/gui/vectorizer/Makefile_insert,
	synfig-studio/src/gui/vectorizer/centerlineadjustments.cpp,
	synfig-studio/src/gui/vectorizer/centerlineskeletonizer.cpp,
	synfig-studio/src/gui/vectorizer/centerlinevectorizer.cpp,
	synfig-studio/src/gui/vectorizer/polygonizerclasses.h: Added the
	organizegraph aka centerlineadjustments.cpp to cmakelist Now the compilation works successfuly

2019-06-20  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/vectorizer/centerlineadjustments.cpp: Added
	globals and code fix

2019-06-20  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/vectorizer/polygonizerclasses.h: Added
	joints and sequences definition

2019-06-20  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/vectorizer/centerlineadjustments.cpp,
	synfig-studio/src/gui/vectorizer/centerlinevectorizer.cpp: init
	centerlineadjustment.cpp

2019-06-19  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/vectorizer/centerlinevectorizer.cpp: Added
	debug code for skeletonizer

2019-06-18  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/vectorizer/centerlinepolygonizer.cpp,
	synfig-studio/src/gui/vectorizer/centerlineskeletonizer.h: Cross and
	other related functions added again

2019-06-17  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/vectorizer/centerlinepolygonizer.cpp,
	synfig-studio/src/gui/vectorizer/centerlineskeletonizer.h: Remove
	function copies

2019-06-16  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/vectorizer/centerlineskeletonizer.cpp,
	synfig-studio/src/gui/vectorizer/centerlineskeletonizer.h,
	synfig-studio/src/gui/vectorizer/centerlinevectorizer.cpp: Added
	skeletonizer to centerlinevectorizer(compiled successfuly)

2019-06-15  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/vectorizer/polygonizerclasses.h: Added
	append template function

2019-06-15  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/vectorizer/CMakeLists.txt,
	synfig-studio/src/gui/vectorizer/Makefile_insert: Added
	vectorizer/centerlineskeletonizer.cpp and
	vectorizer/centerlineskeletonizer.h

2019-06-15  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/vectorizer/centerlinevectorizer.h: Added -
	bool isCanceled()

2019-06-15  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/vectorizer/polygonizerclasses.h: SkeletonArc
	m_slope correction

2019-06-15  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/vectorizer/centerlinepolygonizer.cpp: fixed
	output rotation

2019-06-14  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/vectorizer/centerlineskeletonizer.cpp: Fixed
	vector(Point) and Vector3 multiplication order

2019-06-13  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/vectorizer/centerlineskeletonizer.cpp,
	synfig-studio/src/gui/vectorizer/centerlineskeletonizer.h: Replace
	TPoint with synfig::Point and T3DpointD with Point3 along with their
	functions

2019-06-12  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/vectorizer/centerlineskeletonizer.cpp: Added
	more function to skeletonizer

2019-06-12  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/vectorizer/centerlineskeletonizer.h: Added
	centerlineskeletonizer with skeletonizer classes

2019-06-12  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/vectorizer/centerlinevectorizer.cpp,
	synfig-studio/src/gui/vectorizer/polygonizerclasses.h: Added
	skeletonizer classes

2019-06-11  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/vectorizer/centerlinepolygonizer.cpp: Fix
	pixel row <-> col interchange

2019-06-11  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/dialogs/vectorizersettings.cpp: new default
	config for centerlinevectorizer

2019-06-10  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/vectorizer/centerlinepolygonizer.cpp: debug
	code to check RGB variation

2019-06-10  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/vectorizer/centerlinevectorizer.cpp: Remove
	debug code from cvectorizer

2019-06-09  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/vectorizer/centerlineskeletonizer.cpp: Init
	the skeletonizer

2019-06-08  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/vectorizer/centerlinepolygonizer.cpp,
	synfig-studio/src/gui/vectorizer/centerlinevectorizer.cpp: Add debug
	lines

2019-06-07  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/vectorizer/centerlinepolygonizer.cpp: Added
	pixel related functions

2019-06-07  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/dialogs/vectorizersettings.cpp: Remove pixel
	RGB debug output

2019-06-07  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/dialogs/vectorizersettings.h,
	synfig-studio/src/gui/vectorizer/centerlinevectorizer.h,
	synfig-studio/src/gui/vectorizer/outlinevectorizer.cpp: Fixed issue
	occuring on # include removed the cpp and include only .h files also remove not needed
	included to remove redeclaration error PS: Building works now!

2019-06-07  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/vectorizer/Makefile_insert: fix error due to
	lowercase

2019-06-07  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/dialogs/vectorizersettings.cpp,
	synfig-studio/src/gui/dialogs/vectorizersettings.h,
	synfig-studio/src/gui/vectorizer/centerlinepolygonizer.cpp,
	synfig-studio/src/gui/vectorizer/centerlinevectorizer.cpp,
	synfig-studio/src/gui/vectorizer/centerlinevectorizer.h,
	synfig-studio/src/gui/vectorizer/outlinevectorizer.cpp,
	synfig-studio/src/gui/vectorizer/polygonizerclasses.h: changed
	headers

2019-06-06  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/dialogs/vectorizersettings.cpp,
	synfig-studio/src/gui/dialogs/vectorizersettings.h,
	synfig-studio/src/gui/vectorizer/CMakeLists.txt,
	synfig-studio/src/gui/vectorizer/Makefile_insert,
	synfig-studio/src/gui/vectorizer/centerlinepolygonizer.cpp,
	synfig-studio/src/gui/vectorizer/centerlinevectorizer.cpp,
	synfig-studio/src/gui/vectorizer/centerlinevectorizer.h,
	synfig-studio/src/gui/vectorizer/outlinevectorizer.cpp,
	synfig-studio/src/gui/vectorizer/polygonizerclasses.h: Added
	centerlinevectorizer related files

2019-06-04  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/dialogs/vectorizersettings.cpp: Error

2019-06-04  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/vectorizer/centerlinepolygonizer.cpp: Added
	all functions TODO: replace pixel functions

2019-06-04  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/vectorizer/centerlinepolygonizer.cpp: Added
	signature map Todo: Replace the pixel related functions

2019-06-03  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/app.cpp, synfig-studio/src/gui/app.h,
	synfig-studio/src/gui/dialogs/vectorizersettings.cpp,
	synfig-studio/src/gui/dialogs/vectorizersettings.h,
	synfig-studio/src/gui/instance.cpp,
	synfig-studio/src/gui/vectorizer/centerlinepolygonizer.cpp: added
	handle to layer_bitmap(only for group layer)

2019-06-01  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/vectorizer/centerlinepolygonizer.cpp,
	synfig-studio/src/gui/vectorizer/polygonizerclasses.h: applied
	synfig template

2019-06-01  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/CMakeLists.txt,
	synfig-studio/src/gui/Makefile.am,
	synfig-studio/src/gui/vectorizer/CMakeLists.txt,
	synfig-studio/src/gui/vectorizer/Makefile_insert: changes in
	makefile for vectorizer classes

2019-06-01  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/dialogs/vectorizersettings.cpp: made changes
	for configuration

2019-06-01  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/dialogs/vectorizersettings.h: Added the
	method for vectorizerconfiguration centerlineconfiguration and
	newoutlineconfiguration added

2019-06-01  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/vectorizer/vectorizerparameters.h: added
	vectorizerparameters.h

2019-05-28  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/vectorizer/centerlinepolygonizer.cpp,
	synfig-studio/src/gui/vectorizer/polygonizerclasses.h: Added
	centerlinepolygonizer.cpp and polygonizerclasses.h

2019-05-28  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/dialogs/vectorizersettings.cpp: Changed
	label alignment to right side

2019-05-28  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/app.cpp,
	synfig-studio/src/gui/dialogs/CMakeLists.txt,
	synfig-studio/src/gui/dialogs/Makefile_insert,
	synfig-studio/src/gui/dialogs/{vectorizer.cpp =>
	vectorizersettings.cpp},
	synfig-studio/src/gui/dialogs/{vectorizer.h =>
	vectorizersettings.h}: Renamed filename to vectorizersettings

2019-05-24  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/app.cpp, synfig-studio/src/gui/app.h,
	synfig-studio/src/gui/dialogs/vectorizer.cpp,
	synfig-studio/src/gui/instance.cpp,
	synfig-studio/src/gui/instance.h: Added vectorizerpopup and some
	fixes

2019-05-23  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/dialogs/CMakeLists.txt,
	synfig-studio/src/gui/dialogs/Makefile_insert,
	synfig-studio/src/gui/instance.cpp,
	synfig-studio/src/gui/instance.h: Add "convert to vector" option

2019-05-23  Ankit Kumar Dwivedi <dwivedi.ankit21@gmail.com>

	* synfig-studio/src/gui/dialogs/vectorizer.cpp,
	synfig-studio/src/gui/dialogs/vectorizer.h: Add dialogs/vectorizer
	files

2019-08-23  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* : Merge Lottie exporter from PR #756 Added support for converts: - Add - Linear - Radial Composite - Scale - Subtract - Switch - Weighted Average - Bone Link (WIP) Added support for exported values.  Added support for bones (WIP).

2019-08-20  ice0 <konoplin@gmail.com>

	* synfig-studio/src/CMakeLists.txt,
	synfig-studio/src/synfigapp/CMakeLists.txt: Fixed CMake MSYS2 build

2019-08-20  AnishGulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/plugins/lottie-exporter/common/Param.py: Fix: #926

2019-08-20  AnishGulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/plugins/lottie-exporter/common/Param.py: Removed rls
	from the exporter until debugged

2019-08-20  AnishGulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/plugins/lottie-exporter/common/Param.py: Try to
	support recursive scale length in bones

2019-08-12  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/docks/dockdialog.cpp,
	synfig-studio/src/gui/docks/dockmanager.cpp: fix #245 - close
	floating Dock Panes when switching workspaces and when user try to close a floating Dock Pane (before an empty and un'closeable' window titled 'Dock Pane' remains
	there until quitting app)

2019-08-17  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/src/gui/app.cpp,
	synfig-studio/src/gui/canvasview.cpp: Partially revert
	7e7bb9c12e2e0, because 37680c8c16cd covers this case.  Now Delete key allows to delete layers even when Params (or other
	panel) in focus.  For details see discussion here -
	https://github.com/synfig/synfig/issues/257#issuecomment-515879032

2019-08-10  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/docks/dockmanager.cpp: replace deprecated
	Gtk::VPaned/HPaned with Gtk::Paned Both widgets are deprecated since version Gtk 3.2, and Gtk::Paned
	exists since 3.0

2019-08-16  AnishGulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/plugins/lottie-exporter/layers/driver.py,
	synfig-studio/plugins/lottie-exporter/settings.py: Add skeleton
	layer template

2019-08-15  AnishGulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/plugins/lottie-exporter/common/Param.py: Add support
	for local length scale in bones

2019-08-12  AnishGulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/plugins/lottie-exporter/common/Param.py: Add support
	for base value in bones

2019-08-11  AnishGulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/plugins/lottie-exporter/common/Param.py: Update
	time_update when bone-angle is animated

2019-08-11  AnishGulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/plugins/lottie-exporter/properties/valueKeyframe.py: 
	Add a path when two vectors are equal on adjacent time frames

2019-08-07  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/states/state_sketch.cpp: fix #910 - sketch
	tool buttons disappear removed Sketch action group that was 'registered' every time user
	changes to Sketch tool. Gtk complains about it.  Avoid the UI_Manager usage because: 1. As far as I could see, it was the only tool that use it for    toolbar creation by string 2. UIManager is deprecated since Gtk 3.10, and removed in 4.0

2019-08-06  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/states/state_sketch.cpp: remove duplicated
	button sketch-save-as definition

2019-08-06  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/states/state_bline.cpp: remove unused
	buttons

2019-08-11  AnishGulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/plugins/lottie-exporter/common/Layer.py,
	synfig-studio/plugins/lottie-exporter/common/Param.py: Bones now
	working with group layers

2019-08-10  AnishGulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/plugins/lottie-exporter/common/Canvas.py,
	synfig-studio/plugins/lottie-exporter/common/Param.py: Recursively
	find the bones using guid till the top most canvas

2019-08-10  AnishGulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/plugins/lottie-exporter/common/Param.py: Bones
	working with angles! Hurray!

2019-08-08  AnishGulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/plugins/lottie-exporter/common/Param.py: Basic bone
	convert methods working

2019-08-08  AnishGulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/plugins/lottie-exporter/layers/image.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	helper.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	outline.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	polygon.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	rectangle.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	region.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	star.py: Shift to internal function of class: Param ->
	update_frame_window()

2019-08-08  AnishGulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/plugins/lottie-exporter/common/Param.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	circle.py: update_frame_window() shifted to class 'Param'

2019-08-07  AnishGulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/plugins/lottie-exporter/common/Canvas.py,
	synfig-studio/plugins/lottie-exporter/common/Param.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	helper.py, synfig-studio/plugins/lottie-exporter/settings.py: Errors
	from bone convert methods removed; time window updation to be done
	now

2019-08-07  AnishGulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/plugins/lottie-exporter/common/Canvas.py,
	synfig-studio/plugins/lottie-exporter/common/Param.py,
	synfig-studio/plugins/lottie-exporter/settings.py: Some progress on
	skeleton layer

2019-08-05  Ivan Mahonin <bh@icystar.com>

	* : Merge pull request #868 from rodolforg/cov-308605 Cov 308605

2019-08-05  Ivan Mahonin <bh@icystar.com>

	* : Merge pull request #907 from rodolforg/fix_238-dock_placement Fix 238 show tab placement crosses only when dragging tabs

2019-08-05  Ivan Mahonin <bh@icystar.com>

	* synfig-studio/m4/ETL.m4: always use vsscanf in etl::vstrscanf()

2019-08-05  Ivan Mahonin <bh@icystar.com>

	* synfig-studio/src/gui/canvasview.cpp,
	synfig-studio/src/gui/states/state_polygon.cpp: Fix
	CanvasView::rebuild_ducks() (fixes #885)

2019-08-04  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/docks/dockable.cpp,
	synfig-studio/src/gui/docks/dockbook.cpp,
	synfig-studio/src/gui/docks/dockbook.h,
	synfig-studio/src/gui/docks/dockmanager.cpp,
	synfig-studio/src/gui/docks/dockmanager.h: no need to show tab
	placement cross in its own DockBook if the in-dragging panel is the only dock tab

2019-08-04  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/docks/dockable.cpp,
	synfig-studio/src/gui/docks/dockbook.cpp,
	synfig-studio/src/gui/docks/dockbook.h,
	synfig-studio/src/gui/docks/dockmanager.cpp,
	synfig-studio/src/gui/docks/dockmanager.h: fix #238 reveal tab
	placement crosses only on panel dragging

2019-08-04  BobSynfig <45494804+BobSynfig@users.noreply.github.com>

	* synfig-studio/sounds/CMakeLists.txt: Another little fix for cmake
	build In the same style as for Issue #905, before it will appear ^_^

2019-08-04  BobSynfig <45494804+BobSynfig@users.noreply.github.com>

	* synfig-studio/sounds/readme.txt: Typo in readme

2019-08-04  BobSynfig <45494804+BobSynfig@users.noreply.github.com>

	* synfig-studio/ui/CMakeLists.txt: Fix for Issue #905

2019-08-04  BobSynfig <45494804+BobSynfig@users.noreply.github.com>

	* synfig-studio/CMakeLists.txt: Add ui and sounds subdirectories

2019-08-04  Ivan Mahonin <bh@icystar.com>

	* synfig-studio/src/gui/canvasview.cpp: Fix Layer_Sound (fixes #863)

2019-08-03  AnishGulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/plugins/lottie-exporter/common/Canvas.py: Extracting
	bones in the canvas

2019-08-03  AnishGulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/plugins/lottie-exporter/common/Makefile.am: Add
	missed file in Makefile

2019-08-03  Ivan Mahonin <bh@icystar.com>

	* : Merge pull request #904 from rodolforg/fix-windows-ui-path fix ui file path for Windows

2019-08-02  Rodolfo RG <rodolforg@gmail.com>

	* synfig-studio/src/gui/resourcehelper.cpp: fix ui file path for
	Windows They are installed in a different structure images are

2019-08-02  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* : Merge PR #900: Preview Settings dialog via GtkBuilder

2019-07-29  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/mainwindow.cpp,
	synfig-studio/src/gui/mainwindow.h: remove unneeded main window
	property - menubar current status It just queries GTK directly.

2019-07-31  AnishGulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/plugins/lottie-exporter/common/Param.py,
	synfig-studio/plugins/lottie-exporter/layers/group.py: Remove a
	minor bug

2019-07-31  AnishGulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/plugins/lottie-exporter/common/Param.py: Exported
	value nodes working with export in the current canvas

2019-07-31  AnishGulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/plugins/lottie-exporter/common/Param.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	helper.py, synfig-studio/plugins/lottie-exporter/settings.py: Add
	support for weighted_average convert method

2019-07-31  AnishGulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/plugins/lottie-exporter/common/Param.py,
	synfig-studio/plugins/lottie-exporter/synfig/animation.py: Switch
	convert type now working with animated bool

2019-07-31  AnishGulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/plugins/lottie-exporter/common/Param.py,
	synfig-studio/plugins/lottie-exporter/common/misc.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	helper.py, synfig-studio/plugins/lottie-exporter/settings.py: Add
	support for 'switch' convert method; animated bool won't work with
	switch convert yet

2019-07-29  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* : Merge PR #897: Fix more memory leaks in Studio

2019-07-30  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/mainwindow.cpp,
	synfig-studio/src/gui/widgets/widget_time.cpp,
	synfig-studio/src/gui/widgets/widget_time.h,
	synfig-studio/ui/synfig-catalog.xml: Widget_Time now supports
	GtkBuilder Guide how to add a new custom widget in gtkmm: 1. The constructor should explicitly declare class name, eg.          Glib::ObjectBase("widget_time") 2. There should be a constructor based on C-object version, eg.          Widget_Time::Widget_Time(BaseObjectType* cobject) : 3. The class must have a Glib C-object wrapper, eg.          Widget_Time::wrap_new(...) 4. The class must have a custom type register method, eg.          Widget_Time::register(...)         (it registers wrapper via Glib::wrap_register(...) ) 5. Finally, C-object wrapper must be registered in Glib before usage         MainWindow::register_custom_widget_types()         see: 6. And for being accessible via Glade, add it to a catalog:         synfig-studio/ui/synfig-catalog.xml   (the class name in catalog must be prefixed by    "gtkmm__CustomObject_" followed by the name chosen in step 1) 7. Test catalog validation:         xmllint --dtdvalid glade-catalog.dtd --noout
	   synfig-studio/ui/synfig-catalog.xml (DTD is usually in
	/usr/share/glade/catalogs/glade-catalog.dtd)

2019-07-30  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/mainwindow.cpp,
	synfig-studio/src/gui/mainwindow.h: move custom widget type
	registrations into a new method

2019-07-30  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/dialogs/canvasoptions.cpp,
	synfig-studio/src/gui/resourcehelper.h: minor fixes

2019-07-29  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/mainwindow.cpp,
	synfig-studio/src/gui/mainwindow.h: remove unneeded main window
	property - menubar action The action still exists.  The MainWindow class just doesn't held it
	anymore, like every other action it creates.

2019-07-29  AnishGulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/plugins/lottie-exporter/common/Param.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	helper.py, synfig-studio/plugins/lottie-exporter/settings.py: Add
	support for 'subtract' convert method

2019-07-29  AnishGulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/plugins/lottie-exporter/common/Param.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	helper.py, synfig-studio/plugins/lottie-exporter/settings.py: Add
	support for 'scale' convert method

2019-07-29  AnishGulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/plugins/lottie-exporter/common/Param.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	helper.py, synfig-studio/plugins/lottie-exporter/settings.py,
	synfig-studio/plugins/lottie-exporter/synfig/animation.py: Add
	support for 'radial_composite' convert method

2019-07-28  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/mainwindow.cpp,
	synfig-studio/src/gui/mainwindow.h: fix #257 let Gtk::Entry &
	TextView key handlers have priority over Accel keys.  Inspired by :

	https://github.com/GNOME/gimp/blob/732852a471f466fb0e19ab30a11710f060700c06/app/widgets/gimpwindow.c#L159Thanks to Jehan and mitch from #gimp IRC channel

2019-07-29  AnishGulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/plugins/lottie-exporter/common/Param.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	helper.py, synfig-studio/plugins/lottie-exporter/settings.py: Add
	support for linear convert method

2019-07-28  AnishGulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/plugins/lottie-exporter/common/Param.py: Add minus
	sign to composite expression

2019-07-28  AnishGulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/plugins/lottie-exporter/common/Param.py: Missed
	correction in previous commit

2019-07-28  AnishGulati <anish.gulati@research.iiit.ac.in>

	*
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	circle.py: Minor correction in composite convert method

2019-07-28  AnishGulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/plugins/lottie-exporter/common/Param.py,
	synfig-studio/plugins/lottie-exporter/common/misc.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	helper.py, synfig-studio/plugins/lottie-exporter/settings.py: Add
	support for 'composite' convert method

2019-07-28  AnishGulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/plugins/lottie-exporter/common/Param.py: Clear
	subparameters before recalculating

2019-07-28  AnishGulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/plugins/lottie-exporter/common/Param.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	helper.py, synfig-studio/plugins/lottie-exporter/settings.py: Add
	support for average convert method

2019-07-28  AnishGulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/plugins/lottie-exporter/common/Param.py,
	synfig-studio/plugins/lottie-exporter/layers/image.py: Import image
	layer now working

2019-07-27  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/canvasview.cpp: fix memory leak - remove
	never-shown icon

2019-07-27  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/widgets/widget_defaults.cpp,
	synfig-studio/src/gui/widgets/widget_defaults.h: fix memory leak 1. hidden "Widget_Distance" used for Brush width 2. a vbox is no more used

2019-07-28  AnishGulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/plugins/lottie-exporter/common/Param.py,
	synfig-studio/plugins/lottie-exporter/common/misc.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	helper.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	rectangle.py: Rectangle layer now working

2019-07-27  AnishGulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/plugins/lottie-exporter/common/Param.py,
	synfig-studio/plugins/lottie-exporter/common/misc.py,
	synfig-studio/plugins/lottie-exporter/layers/group.py,
	synfig-studio/plugins/lottie-exporter/layers/rotate_layer.py,
	synfig-studio/plugins/lottie-exporter/layers/scale_layer.py,
	synfig-studio/plugins/lottie-exporter/layers/translate_layer.py,
	synfig-studio/plugins/lottie-exporter/properties/offsetKeyframe.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	circle.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	outline.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	polygon.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	rectangle.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	region.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	star.py, synfig-studio/plugins/lottie-exporter/shapes/circle.py: 
	Major changes in axis conversion between lottie/Synfig; Rectangle
	and import image not working

2019-07-27  AnishGulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/plugins/lottie-exporter/layers/rotate_layer.py,
	synfig-studio/plugins/lottie-exporter/layers/scale_layer.py: Rotate
	and scale layers now working

2019-07-22  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/po/POTFILES.in: add missing new ui file in
	POTFILES.in

2019-07-22  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/ui/canvas_options.ui: remove deprecated
	Gtk::Alignment since Gtk 3.14

2019-07-22  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/dialogs/canvasoptions.cpp,
	synfig-studio/src/gui/dialogs/canvasoptions.h,
	synfig-studio/src/gui/widgets/widget_vector.cpp,
	synfig-studio/src/gui/widgets/widget_vector.h: clear some building
	warnings

2019-07-22  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/widgets/widget_vector.cpp,
	synfig-studio/src/gui/widgets/widget_vector.h: avoid deprecated
	Gtk::HBox

2019-07-19  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/canvasview.cpp,
	synfig-studio/src/gui/canvasview.h,
	synfig-studio/src/gui/dialogs/canvasoptions.cpp,
	synfig-studio/src/gui/dialogs/canvasoptions.h,
	synfig-studio/src/gui/mainwindow.cpp,
	synfig-studio/src/gui/widgets/widget_vector.cpp,
	synfig-studio/src/gui/widgets/widget_vector.h,
	synfig-studio/ui/Makefile.am, synfig-studio/ui/canvas_options.ui,
	synfig-studio/ui/synfig-catalog.xml: Canvas Options dialog uses
	Gtk::Builder

2019-07-19  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/Makefile.am, synfig-studio/configure.ac,
	synfig-studio/ui/Makefile.am: install ui files

2019-07-19  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/configure.ac, synfig-studio/src/gui/CMakeLists.txt,
	synfig-studio/src/gui/Makefile.am,
	synfig-studio/src/gui/resourcehelper.cpp,
	synfig-studio/src/gui/resourcehelper.h: adds path for UI files

2019-07-19  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/resourcehelper.cpp: Windows natively accepts
	'/' as directory separator

2019-07-19  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/app.cpp,
	synfig-studio/src/gui/dialogs/about.cpp,
	synfig-studio/src/gui/docks/dockable.cpp,
	synfig-studio/src/gui/onemoment.cpp,
	synfig-studio/src/gui/splash.cpp: make use of
	ResourceHelper::get_image_path

2019-07-19  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/resourcehelper.cpp: includes synfigstudio
	folder in image path for *nix It's used 'everywhere', except by: - MS Windows platform - About dialog - but it makes no difference

2019-07-18  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/CMakeLists.txt,
	synfig-studio/src/gui/Makefile.am,
	synfig-studio/src/gui/resourcehelper.cpp,
	synfig-studio/src/gui/resourcehelper.h: create resource helper class in order to avoid code repetition

2019-07-27  AnishGulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/plugins/lottie-exporter/canvas.py,
	synfig-studio/plugins/lottie-exporter/common/Param.py: Group layers
	working with ADD convert method

2019-07-27  AnishGulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/plugins/lottie-exporter/canvas.py,
	synfig-studio/plugins/lottie-exporter/common/Param.py,
	synfig-studio/plugins/lottie-exporter/common/misc.py,
	synfig-studio/plugins/lottie-exporter/effects/controller.py,
	synfig-studio/plugins/lottie-exporter/effects/point.py,
	synfig-studio/plugins/lottie-exporter/effects/slider.py: One more
	shot at group layers

2019-07-27  AnishGulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/plugins/lottie-exporter/effects/Makefile.am: Add
	missed Makefile changes

2019-07-27  AnishGulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/plugins/lottie-exporter/common/Bline.py,
	synfig-studio/plugins/lottie-exporter/common/Layer.py,
	synfig-studio/plugins/lottie-exporter/common/Param.py,
	synfig-studio/plugins/lottie-exporter/effects/color.py,
	synfig-studio/plugins/lottie-exporter/effects/controller.py,
	synfig-studio/plugins/lottie-exporter/effects/opacity.py,
	synfig-studio/plugins/lottie-exporter/effects/point.py,
	synfig-studio/plugins/lottie-exporter/effects/slider.py,
	synfig-studio/plugins/lottie-exporter/helpers/transform.py,
	synfig-studio/plugins/lottie-exporter/layers/driver.py,
	synfig-studio/plugins/lottie-exporter/layers/group.py,
	synfig-studio/plugins/lottie-exporter/layers/translate_layer.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	outline.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	polygon.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	rectangle.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	region.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	star.py, synfig-studio/plugins/lottie-exporter/settings.py,
	synfig-studio/plugins/lottie-exporter/shapes/circle.py: Try to
	support convert method ADD with group layers

2019-07-26  Ivan Mahonin <bh@icystar.com>

	* : Merge pull request #888 from rodolforg/fix-mem-leaks Fix mem leaks in Studio

2019-07-21  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/dialogs/dialog_setup.cpp,
	synfig-studio/src/gui/dialogs/dialog_setup.h: fix memory leak private property not used anywhere

2019-07-21  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/docks/dockable.h: remove commented out
	properties useless since 2005

2019-07-21  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/trees/layertree.cpp,
	synfig-studio/src/gui/trees/layertree.h: fix memory leak return value is not used anywhere.  scrolled window never contained anything: line commented since 2005

2019-07-21  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/widgets/widget_link.cpp: fix memory leak when allocated by manage(), the object is deleted when its
	parent/container is deleted.  In this case, only one Gtk::Image object has a parent at a time.
	So, the other one wouldn't be deleted after dialog destruction.  Solution: manage memory ourselves

2019-07-21  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/widgets/widget_vector.cpp: fix memory leak labels are not used since 2015

2019-07-21  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/docks/dock_toolbox.cpp: remove obsolete code
	and avoid deprecated class Gtk::Paned exists since 3.0

2019-07-21  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/docks/dock_toolbox.h: remove commented code not used since 2005

2019-07-21  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/docks/dock_toolbox.cpp,
	synfig-studio/src/gui/docks/dock_toolbox.h: fix memory leak and it is not used since 2014 when changed to VPanel

2019-07-21  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/dialogs/about.cpp: fix memory leak In order to manage() be useful, the object needs to have a parent
	that would delete it when destroyed.

2019-07-21  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/app.cpp: fix memory leak As in docs: "In general, a copy is made of the property contents and
	the caller is responsible for freeing the memory in the appropriate
	manner for the type, for instance by calling g_free() or
	g_object_unref()."

2019-07-26  Ivan Mahonin <bh@icystar.com>

	* : Merge pull request #893 from
	rodolforg/remove-unused-commented-code remove some commented and unused code not touched since 2008

2019-07-25  Ivan Mahonin <bh@icystar.com>

	* synfig-studio/src/gui/app.cpp, synfig-studio/src/gui/app.h,
	synfig-studio/src/gui/asyncrenderer.cpp,
	synfig-studio/src/gui/canvasview.cpp,
	synfig-studio/src/gui/instance.cpp,
	synfig-studio/src/gui/onemoment.cpp: App::process_all_events instead
	of App::intreation

2019-07-25  Ivan Mahonin <bh@icystar.com>

	* synfig-studio/src/gui/actionmanagers/keyframeactionmanager.cpp,
	synfig-studio/src/gui/canvasview.cpp,
	synfig-studio/src/gui/docks/dock_keyframes.cpp,
	synfig-studio/src/gui/docks/dock_keyframes.h,
	synfig-studio/src/gui/docks/dockable.cpp,
	synfig-studio/src/gui/trees/keyframetree.cpp,
	synfig-studio/src/gui/trees/keyframetreestore.cpp,
	synfig-studio/src/gui/trees/keyframetreestore.h: fix gtk warning
	about size allocation

2019-07-24  Ivan Mahonin <bh@icystar.com>

	* synfig-studio/src/gui/canvasview.cpp,
	synfig-studio/src/gui/canvasview.h,
	synfig-studio/src/gui/docks/dock_curves.cpp,
	synfig-studio/src/gui/docks/dock_curves.h,
	synfig-studio/src/gui/docks/dock_layers.cpp,
	synfig-studio/src/gui/docks/dock_params.cpp,
	synfig-studio/src/gui/docks/dock_params.h,
	synfig-studio/src/gui/docks/dock_timetrack.cpp,
	synfig-studio/src/gui/docks/dock_timetrack.h,
	synfig-studio/src/gui/docks/dockable.h,
	synfig-studio/src/gui/helpers.cpp, synfig-studio/src/gui/helpers.h,
	synfig-studio/src/gui/trees/layertree.cpp,
	synfig-studio/src/gui/trees/layertree.h,
	synfig-studio/src/gui/widgets/widget_keyframe_list.cpp: fix sync
	scrolling of params and timetrack

2019-07-19  Ivan Mahonin <bh@icystar.com>

	* synfig-studio/src/gui/widgets/widget_canvastimeslider.cpp,
	synfig-studio/src/gui/widgets/widget_timeslider.cpp,
	synfig-studio/src/gui/workarea.cpp: fix extra queue_draw() calls

2019-07-19  Ivan Mahonin <bh@icystar.com>

	* synfig-studio/src/gui/docks/dockable.cpp,
	synfig-studio/src/gui/docks/dockable.h,
	synfig-studio/src/gui/docks/dockmanager.cpp: fix Dockable

2019-07-19  Ivan Mahonin <bh@icystar.com>

	* synfig-studio/src/gui/canvasview.h,
	synfig-studio/src/gui/preview.cpp, synfig-studio/src/gui/preview.h,
	synfig-studio/src/gui/trees/keyframetreestore.h,
	synfig-studio/src/gui/trees/metadatatreestore.h,
	synfig-studio/src/gui/widgets/widget_vector.h,
	synfig-studio/src/gui/workarea.h,
	synfig-studio/src/synfigapp/action.h,
	synfig-studio/src/synfigapp/canvasinterface.h,
	synfig-studio/src/synfigapp/instance.h: return handles by reference
	for getters

2019-07-19  Ivan Mahonin <bh@icystar.com>

	* synfig-studio/src/gui/canvasview.cpp: Gtk::Grid for CanvasView

2019-07-18  Ivan Mahonin <bh@icystar.com>

	* synfig-studio/src/gui/app.cpp,
	synfig-studio/src/gui/canvasview.cpp,
	synfig-studio/src/gui/instance.cpp: tune app signals

2019-07-18  Ivan Mahonin <bh@icystar.com>

	* synfig-studio/src/gui/dialogs/dialog_setup.cpp: fix bug

2019-07-18  Ivan Mahonin <bh@icystar.com>

	* synfig-studio/src/gui/docks/dockmanager.cpp: fix canvas closing

2019-07-18  Ivan Mahonin <bh@icystar.com>

	* synfig-studio/src/gui/docks/dock_children.cpp,
	synfig-studio/src/gui/docks/dock_curves.cpp,
	synfig-studio/src/gui/docks/dock_keyframes.cpp,
	synfig-studio/src/gui/docks/dock_layergroups.cpp,
	synfig-studio/src/gui/docks/dock_layers.cpp,
	synfig-studio/src/gui/docks/dock_metadata.cpp,
	synfig-studio/src/gui/docks/dock_navigator.cpp,
	synfig-studio/src/gui/docks/dock_params.cpp,
	synfig-studio/src/gui/docks/dock_timetrack.cpp,
	synfig-studio/src/gui/docks/dock_toolbox.cpp,
	synfig-studio/src/gui/docks/dockable.cpp,
	synfig-studio/src/gui/docks/dockable.h,
	synfig-studio/src/gui/docks/dockbook.cpp,
	synfig-studio/src/gui/docks/dockmanager.cpp: refactor Dockable

2019-07-18  Ivan Mahonin <bh@icystar.com>

	* synfig-studio/src/gui/docks/dock_timetrack.cpp,
	synfig-studio/src/gui/docks/dock_timetrack.h: Gtk::Grid instead of
	Table in Dock_TimeTrack

2019-07-24  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/canvasview.cpp: Home and End keys of numpad
	can also change current time

2019-07-26  AnishGulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/plugins/lottie-exporter/common/Layer.py,
	synfig-studio/plugins/lottie-exporter/common/Param.py,
	synfig-studio/plugins/lottie-exporter/layers/translate_layer.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	rectangle.py,
	synfig-studio/plugins/lottie-exporter/shapes/circle.py: Addoffset()
	method changed entirely for group layers; group, switch,
	simple_circle layers won't be working until next commit

2019-07-25  AnishGulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/plugins/lottie-exporter/common/Param.py: Changes in
	group layer links

2019-07-25  AnishGulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/plugins/lottie-exporter/common/Param.py,
	synfig-studio/plugins/lottie-exporter/effects/color.py,
	synfig-studio/plugins/lottie-exporter/effects/opacity.py,
	synfig-studio/plugins/lottie-exporter/helpers/transform.py,
	synfig-studio/plugins/lottie-exporter/layers/group.py,
	synfig-studio/plugins/lottie-exporter/layers/image.py,
	synfig-studio/plugins/lottie-exporter/layers/rotate_layer.py,
	synfig-studio/plugins/lottie-exporter/layers/scale_layer.py,
	synfig-studio/plugins/lottie-exporter/layers/translate_layer.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	circle.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	helper.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	outline.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	polygon.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	rectangle.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	region.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	star.py, synfig-studio/plugins/lottie-exporter/settings.py: Support
	ADD convert method for non group layers

2019-07-25  AnishGulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/plugins/lottie-exporter/common/Param.py,
	synfig-studio/plugins/lottie-exporter/effects/color.py,
	synfig-studio/plugins/lottie-exporter/effects/opacity.py,
	synfig-studio/plugins/lottie-exporter/helpers/transform.py,
	synfig-studio/plugins/lottie-exporter/layers/group.py,
	synfig-studio/plugins/lottie-exporter/layers/image.py,
	synfig-studio/plugins/lottie-exporter/layers/rotate_layer.py,
	synfig-studio/plugins/lottie-exporter/layers/scale_layer.py,
	synfig-studio/plugins/lottie-exporter/layers/translate_layer.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	circle.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	helper.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	outline.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	polygon.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	rectangle.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	region.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	star.py: More progress on classes and internal calculation of
	vector's

2019-07-24  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/docks/dock_canvasspecific.cpp,
	synfig-studio/src/gui/docks/dock_canvasspecific.h,
	synfig-studio/src/gui/docks/dock_layers.cpp: remove some commented
	and unused code not touched since 2008 and a private (not even protected) variable not used anywhere

2019-07-25  AnishGulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/plugins/lottie-exporter/common/Layer.py,
	synfig-studio/plugins/lottie-exporter/common/Param.py,
	synfig-studio/plugins/lottie-exporter/layers/group.py,
	synfig-studio/plugins/lottie-exporter/layers/image.py,
	synfig-studio/plugins/lottie-exporter/layers/rotate_layer.py,
	synfig-studio/plugins/lottie-exporter/layers/scale_layer.py,
	synfig-studio/plugins/lottie-exporter/layers/shape.py,
	synfig-studio/plugins/lottie-exporter/layers/shape_solid.py,
	synfig-studio/plugins/lottie-exporter/layers/translate_layer.py,
	synfig-studio/plugins/lottie-exporter/synfig/group.py: MOre progress
	on class Param and Layer

2019-07-24  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/canvasview.cpp,
	synfig-studio/src/gui/trees/layertree.cpp: fix #629: Press Delete on
	canvas deletes selected layer(s) Not the best implementation, I suppose, but it was the only way I
	got a delete-layer action.

2019-07-24  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/app.cpp,
	synfig-studio/src/gui/canvasview.cpp,
	synfig-studio/src/gui/canvasview.h,
	synfig-studio/src/gui/workarea.cpp,
	synfig-studio/src/gui/workarea.h: Home and End change current time
	only if CanvasView is focused This let other widgets to use their normal/natural mapping for those
	keys Fix #403

2019-07-24  AnishGulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/plugins/lottie-exporter/common/Param.py,
	synfig-studio/plugins/lottie-exporter/layers/group.py,
	synfig-studio/plugins/lottie-exporter/layers/image.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	circle.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	rectangle.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	star.py: value_at_frame calculation shifted inside param class

2019-07-24  AnishGulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/plugins/lottie-exporter/common/Param.py,
	synfig-studio/plugins/lottie-exporter/layers/group.py,
	synfig-studio/plugins/lottie-exporter/layers/image.py,
	synfig-studio/plugins/lottie-exporter/layers/rotate_layer.py,
	synfig-studio/plugins/lottie-exporter/layers/scale_layer.py,
	synfig-studio/plugins/lottie-exporter/layers/translate_layer.py,
	synfig-studio/plugins/lottie-exporter/properties/offsetKeyframe.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	circle.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	helper.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	outline.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	polygon.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	rectangle.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	region.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	star.py: Path generation for a parameter shifted inside the
	parameter class

2019-07-24  AnishGulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/plugins/lottie-exporter/common/Param.py,
	synfig-studio/plugins/lottie-exporter/layers/group.py,
	synfig-studio/plugins/lottie-exporter/layers/image.py: Animation and
	path generation of parameters shifted to class Param

2019-07-24  AnishGulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/plugins/lottie-exporter/common/Bline.py,
	synfig-studio/plugins/lottie-exporter/layers/group.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	outline.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	polygon.py: Outline and Polygon layers shifted to the new classes

2019-07-23  AnishGulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/plugins/lottie-exporter/common/Bline.py,
	synfig-studio/plugins/lottie-exporter/common/Param.py,
	synfig-studio/plugins/lottie-exporter/helpers/mask.py,
	synfig-studio/plugins/lottie-exporter/layers/shape_solid.py,
	synfig-studio/plugins/lottie-exporter/properties/shapeKeyframed.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	helper.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	outline.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	region.py: Region Layer ported to new classes; Outline and Polygon
	won't work for now

2019-07-23  AnishGulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/plugins/lottie-exporter/common/Canvas.py,
	synfig-studio/plugins/lottie-exporter/common/Layer.py,
	synfig-studio/plugins/lottie-exporter/common/Param.py,
	synfig-studio/plugins/lottie-exporter/layers/group.py,
	synfig-studio/plugins/lottie-exporter/layers/image.py,
	synfig-studio/plugins/lottie-exporter/layers/rotate_layer.py,
	synfig-studio/plugins/lottie-exporter/layers/scale_layer.py,
	synfig-studio/plugins/lottie-exporter/layers/translate_layer.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	circle.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	rectangle.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	star.py, synfig-studio/plugins/lottie-exporter/sources/image.py: 
	Some more additions in class Layer and Param

2019-07-23  AnishGulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/plugins/lottie-exporter/common/Canvas.py,
	synfig-studio/plugins/lottie-exporter/common/Layer.py,
	synfig-studio/plugins/lottie-exporter/common/Makefile.am,
	synfig-studio/plugins/lottie-exporter/common/Param.py,
	synfig-studio/plugins/lottie-exporter/effects/color.py,
	synfig-studio/plugins/lottie-exporter/effects/opacity.py,
	synfig-studio/plugins/lottie-exporter/helpers/blendMode.py,
	synfig-studio/plugins/lottie-exporter/layers/group.py,
	synfig-studio/plugins/lottie-exporter/layers/image.py,
	synfig-studio/plugins/lottie-exporter/layers/rotate_layer.py,
	synfig-studio/plugins/lottie-exporter/layers/scale_layer.py,
	synfig-studio/plugins/lottie-exporter/layers/shape_solid.py,
	synfig-studio/plugins/lottie-exporter/layers/solid.py,
	synfig-studio/plugins/lottie-exporter/layers/translate_layer.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	circle.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	rectangle.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	star.py, synfig-studio/plugins/lottie-exporter/shapes/circle.py,
	synfig-studio/plugins/lottie-exporter/shapes/fill.py,
	synfig-studio/plugins/lottie-exporter/shapes/star.py,
	synfig-studio/plugins/lottie-exporter/sources/image.py,
	synfig-studio/plugins/lottie-exporter/synfig/group.py: Add class
	'Param'

2019-07-23  AnishGulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/plugins/lottie-exporter/common/Canvas.py,
	synfig-studio/plugins/lottie-exporter/common/Layer.py,
	synfig-studio/plugins/lottie-exporter/helpers/mask.py,
	synfig-studio/plugins/lottie-exporter/layers/driver.py,
	synfig-studio/plugins/lottie-exporter/layers/group.py,
	synfig-studio/plugins/lottie-exporter/layers/shape_solid.py,
	synfig-studio/plugins/lottie-exporter/properties/shapeKeyframed.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	circle.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	rectangle.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	star.py, synfig-studio/plugins/lottie-exporter/sources/precomp.py: 
	Shifting more modules to class Layer

2019-07-22  AnishGulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/plugins/lottie-exporter/helpers/transform.py,
	synfig-studio/plugins/lottie-exporter/layers/group.py,
	synfig-studio/plugins/lottie-exporter/settings.py: Add support for
	skew parameter in group and switch group layer

2019-07-21  AnishGulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/plugins/lottie-exporter/common/Canvas.py,
	synfig-studio/plugins/lottie-exporter/common/Layer.py,
	synfig-studio/plugins/lottie-exporter/common/Makefile.am,
	synfig-studio/plugins/lottie-exporter/layers/driver.py,
	synfig-studio/plugins/lottie-exporter/layers/image.py,
	synfig-studio/plugins/lottie-exporter/layers/preComp.py,
	synfig-studio/plugins/lottie-exporter/lottie-exporter.py,
	synfig-studio/plugins/lottie-exporter/settings.py,
	synfig-studio/plugins/lottie-exporter/sources/image.py,
	synfig-studio/plugins/lottie-exporter/sources/precomp.py: Add canvas
	class for supporting defs and :use

2019-07-20  AnishGulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/plugins/lottie-exporter/common/Layer.py,
	synfig-studio/plugins/lottie-exporter/common/Matrix2.py,
	synfig-studio/plugins/lottie-exporter/common/Vector.py,
	synfig-studio/plugins/lottie-exporter/common/misc.py,
	synfig-studio/plugins/lottie-exporter/effects/allmask.py,
	synfig-studio/plugins/lottie-exporter/effects/color.py,
	synfig-studio/plugins/lottie-exporter/effects/feather.py,
	synfig-studio/plugins/lottie-exporter/effects/fill.py,
	synfig-studio/plugins/lottie-exporter/effects/fillmask.py,
	synfig-studio/plugins/lottie-exporter/effects/invert.py,
	synfig-studio/plugins/lottie-exporter/effects/opacity.py,
	synfig-studio/plugins/lottie-exporter/helpers/bezier.py,
	synfig-studio/plugins/lottie-exporter/helpers/blendMode.py,
	synfig-studio/plugins/lottie-exporter/helpers/transform.py,
	synfig-studio/plugins/lottie-exporter/layers/group.py,
	synfig-studio/plugins/lottie-exporter/layers/image.py,
	synfig-studio/plugins/lottie-exporter/layers/preComp.py,
	synfig-studio/plugins/lottie-exporter/layers/rotate_layer.py,
	synfig-studio/plugins/lottie-exporter/layers/scale_layer.py,
	synfig-studio/plugins/lottie-exporter/layers/shape.py,
	synfig-studio/plugins/lottie-exporter/layers/shape_solid.py,
	synfig-studio/plugins/lottie-exporter/layers/solid.py,
	synfig-studio/plugins/lottie-exporter/layers/translate_layer.py,
	synfig-studio/plugins/lottie-exporter/properties/offsetKeyframe.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	helper.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	outline.py,
	synfig-studio/plugins/lottie-exporter/properties/valueKeyframe.py,
	synfig-studio/plugins/lottie-exporter/shapes/circle.py,
	synfig-studio/plugins/lottie-exporter/shapes/fill.py,
	synfig-studio/plugins/lottie-exporter/shapes/star.py,
	synfig-studio/plugins/lottie-exporter/synfig/animation.py,
	synfig-studio/plugins/lottie-exporter/synfig/group.py: Development
	of class Layer in common modules

2019-07-20  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* : Merge Lottie exporter from PR #756 Added layers: - Region Layer - Polygon Layer - Outline Layer - Rotate Layer - Scale Layer - Translate Layer - Group Layer - Switch Group Layer

2019-07-19  AnishGulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/plugins/lottie-exporter/layers/group.py,
	synfig-studio/plugins/lottie-exporter/layers/shape.py,
	synfig-studio/plugins/lottie-exporter/shapes/circle.py,
	synfig-studio/plugins/lottie-exporter/shapes/star.py: Some more
	modules ported to Layer class

2019-07-19  AnishGulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/plugins/lottie-exporter/common/Layer.py,
	synfig-studio/plugins/lottie-exporter/layers/driver.py,
	synfig-studio/plugins/lottie-exporter/layers/group.py,
	synfig-studio/plugins/lottie-exporter/layers/image.py,
	synfig-studio/plugins/lottie-exporter/layers/preComp.py,
	synfig-studio/plugins/lottie-exporter/layers/rotate_layer.py,
	synfig-studio/plugins/lottie-exporter/layers/scale_layer.py,
	synfig-studio/plugins/lottie-exporter/layers/shape.py,
	synfig-studio/plugins/lottie-exporter/layers/shape_solid.py,
	synfig-studio/plugins/lottie-exporter/layers/solid.py,
	synfig-studio/plugins/lottie-exporter/layers/translate_layer.py,
	synfig-studio/plugins/lottie-exporter/settings.py: Add class Layer
	to some modules; Will be extending it furthur

2019-07-18  AnishGulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/configure.ac,
	synfig-studio/plugins/lottie-exporter/Makefile.am,
	synfig-studio/plugins/lottie-exporter/canvas.py,
	synfig-studio/plugins/lottie-exporter/common/Color.py,
	synfig-studio/plugins/lottie-exporter/common/Count.py,
	synfig-studio/plugins/lottie-exporter/common/Hermite.py,
	synfig-studio/plugins/lottie-exporter/common/Makefile.am,
	synfig-studio/plugins/lottie-exporter/common/Matrix2.py,
	synfig-studio/plugins/lottie-exporter/common/Vector.py,
	synfig-studio/plugins/lottie-exporter/{ => common}/misc.py,
	synfig-studio/plugins/lottie-exporter/effects/allmask.py,
	synfig-studio/plugins/lottie-exporter/effects/color.py,
	synfig-studio/plugins/lottie-exporter/effects/feather.py,
	synfig-studio/plugins/lottie-exporter/effects/fill.py,
	synfig-studio/plugins/lottie-exporter/effects/fillmask.py,
	synfig-studio/plugins/lottie-exporter/effects/invert.py,
	synfig-studio/plugins/lottie-exporter/effects/opacity.py,
	synfig-studio/plugins/lottie-exporter/helpers/mask.py,
	synfig-studio/plugins/lottie-exporter/helpers/transform.py,
	synfig-studio/plugins/lottie-exporter/layers/group.py,
	synfig-studio/plugins/lottie-exporter/layers/image.py,
	synfig-studio/plugins/lottie-exporter/layers/preComp.py,
	synfig-studio/plugins/lottie-exporter/layers/shape.py,
	synfig-studio/plugins/lottie-exporter/layers/shape_solid.py,
	synfig-studio/plugins/lottie-exporter/layers/solid.py,
	synfig-studio/plugins/lottie-exporter/lottie-exporter.py,
	synfig-studio/plugins/lottie-exporter/properties/multiDimensionalKe
	yframed.py,
	synfig-studio/plugins/lottie-exporter/properties/offsetKeyframe.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	circle.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	helper.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	outline.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	polygon.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	rectangle.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	star.py,
	synfig-studio/plugins/lottie-exporter/properties/valueKeyframe.py,
	synfig-studio/plugins/lottie-exporter/properties/valueKeyframed.py,
	synfig-studio/plugins/lottie-exporter/settings.py,
	synfig-studio/plugins/lottie-exporter/shapes/circle.py,
	synfig-studio/plugins/lottie-exporter/shapes/fill.py,
	synfig-studio/plugins/lottie-exporter/shapes/rectangle.py,
	synfig-studio/plugins/lottie-exporter/shapes/star.py,
	synfig-studio/plugins/lottie-exporter/synfig/animation.py,
	synfig-studio/plugins/lottie-exporter/synfig/group.py: Restructure
	the common classes

2019-07-16  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/app.cpp,
	synfig-studio/src/gui/iconcontroller.cpp,
	synfig-studio/src/gui/iconcontroller.h: remove no longer used
	parameter

2019-07-16  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/iconcontroller.cpp: remove no longer used
	#define

2019-07-16  AnishGulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/plugins/lottie-exporter/helpers/transform.py,
	synfig-studio/plugins/lottie-exporter/layers/group.py,
	synfig-studio/plugins/lottie-exporter/misc.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	circle.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	helper.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	rectangle.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	star.py: Refactor newly added modules

2019-07-16  AnishGulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/plugins/lottie-exporter/layers/group.py,
	synfig-studio/plugins/lottie-exporter/synfig/animation.py: Add
	z_depth parameters to group layer

2019-07-16  Ivan Mahonin <bh@icystar.com>

	* synfig-studio/src/gui/workarearenderer/renderer_canvas.cpp: remove
	wrong assertion

2019-07-16  Ivan Mahonin <bh@icystar.com>

	* synfig-studio/src/synfigapp/actions/layerlower.cpp,
	synfig-studio/src/synfigapp/actions/layermove.cpp,
	synfig-studio/src/synfigapp/actions/layerraise.cpp,
	synfig-studio/src/synfigapp/actions/layerremove.cpp: use std::list
	as CanvasBase (instead of deque)

2019-07-16  AnishGulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/plugins/lottie-exporter/lottie-exporter.py,
	synfig-studio/plugins/lottie-exporter/misc.py,
	synfig-studio/plugins/lottie-exporter/settings.py: More reduction in
	file sizes, float precision set to 3

2019-07-16  AnishGulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/plugins/lottie-exporter/layers/group.py,
	synfig-studio/plugins/lottie-exporter/lottie-exporter.py,
	synfig-studio/plugins/lottie-exporter/misc.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	helper.py: Improvements in round_to()

2019-07-16  AnishGulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/plugins/lottie-exporter/layers/group.py,
	synfig-studio/plugins/lottie-exporter/lottie-exporter.py,
	synfig-studio/plugins/lottie-exporter/synfig/animation.py: Removed
	opacity/100 bug

2019-07-16  AnishGulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/plugins/lottie-exporter/Makefile.am,
	synfig-studio/plugins/lottie-exporter/bodymovin.js,
	synfig-studio/plugins/lottie-exporter/lottie-exporter.py: Closes:
	#883, JSoN file and bodymovin.js is directly stored in the html file
	now

2019-07-15  AnishGulati <anish.gulati@research.iiit.ac.in>

	*
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	helper.py: Reduce file size for shape layers

2019-07-15  AnishGulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/plugins/lottie-exporter/layers/group.py,
	synfig-studio/plugins/lottie-exporter/layers/image.py: Add
	opacity/amount for import image layer

2019-07-13  AnishGulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/plugins/lottie-exporter/layers/driver.py,
	synfig-studio/plugins/lottie-exporter/layers/group.py,
	synfig-studio/plugins/lottie-exporter/settings.py: Corrections for
	non-group layers

2019-07-13  AnishGulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/plugins/lottie-exporter/layers/group.py,
	synfig-studio/plugins/lottie-exporter/synfig/animation.py: Switch
	group working properly with group layer as its children

2019-07-12  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/src/synfigapp/actions/valuedescexport.cpp: Better
	fix for #874. Fixes commit 271139404e4ba.

2019-07-12  AnishGulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/plugins/lottie-exporter/layers/group.py: Add support
	for switch group layer without group, switch layers inside them

2019-07-12  AnishGulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/plugins/lottie-exporter/layers/group.py,
	synfig-studio/plugins/lottie-exporter/layers/image.py,
	synfig-studio/plugins/lottie-exporter/layers/preComp.py,
	synfig-studio/plugins/lottie-exporter/layers/shape.py,
	synfig-studio/plugins/lottie-exporter/layers/shape_solid.py,
	synfig-studio/plugins/lottie-exporter/layers/solid.py,
	synfig-studio/plugins/lottie-exporter/misc.py: Add layers
	descriptions if present

2019-07-12  AnishGulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/plugins/lottie-exporter/layers/driver.py,
	synfig-studio/plugins/lottie-exporter/layers/group.py,
	synfig-studio/plugins/lottie-exporter/layers/rotate_layer.py,
	synfig-studio/plugins/lottie-exporter/layers/scale_layer.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	circle.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	outline.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	polygon.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	rectangle.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	region.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	star.py, synfig-studio/plugins/lottie-exporter/synfig/animation.py: 
	Change function definition for generating dummy waypoints

2019-07-12  AnishGulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/plugins/lottie-exporter/layers/group.py: Add
	time-dilation/speed to group layer

2019-07-11  AnishGulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/plugins/lottie-exporter/layers/group.py,
	synfig-studio/plugins/lottie-exporter/misc.py,
	synfig-studio/plugins/lottie-exporter/synfig/group.py: Add support
	for time offset in group layer

2019-07-10  AnishGulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/plugins/lottie-exporter/layers/group.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	outline.py, synfig-studio/plugins/lottie-exporter/settings.py,
	synfig-studio/plugins/lottie-exporter/synfig/group.py: Correct
	recursive group layers; adjust simple-circle pos calculation

2019-07-10  AnishGulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/plugins/lottie-exporter/layers/group.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	outline.py, synfig-studio/plugins/lottie-exporter/settings.py: Add
	outline grow to group layer

2019-07-10  AnishGulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/plugins/lottie-exporter/helpers/transform.py,
	synfig-studio/plugins/lottie-exporter/layers/group.py,
	synfig-studio/plugins/lottie-exporter/shapes/star.py: Add opacity,
	blend modes to group layer

2019-07-09  AnishGulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/plugins/lottie-exporter/layers/Makefile.am,
	synfig-studio/plugins/lottie-exporter/layers/driver.py,
	synfig-studio/plugins/lottie-exporter/layers/group.py,
	synfig-studio/plugins/lottie-exporter/layers/preComp.py,
	synfig-studio/plugins/lottie-exporter/layers/rotate_layer.py,
	synfig-studio/plugins/lottie-exporter/layers/scale_layer.py,
	synfig-studio/plugins/lottie-exporter/misc.py: Add initial support
	for group layer

2019-07-06  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/po/POTFILES.in: update POTFILES.in - new files added

2019-07-09  AnishGulati <anish.gulati@research.iiit.ac.in>

	*
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	star.py: Correct points animation in star layer

2019-07-09  AnishGulati <anish.gulati@research.iiit.ac.in>

	*
	synfig-studio/plugins/lottie-exporter/properties/offsetKeyframe.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	star.py,
	synfig-studio/plugins/lottie-exporter/properties/valueKeyframe.py,
	synfig-studio/plugins/lottie-exporter/synfig/animation.py: Major
	change in 'calculation of vector at a frame'

2019-07-09  AnishGulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/plugins/lottie-exporter/layers/driver.py,
	synfig-studio/plugins/lottie-exporter/layers/preComp.py,
	synfig-studio/plugins/lottie-exporter/layers/shape_solid.py,
	synfig-studio/plugins/lottie-exporter/misc.py,
	synfig-studio/plugins/lottie-exporter/properties/offsetKeyframe.py,
	synfig-studio/plugins/lottie-exporter/properties/shapeKeyframed.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	Makefile.am,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	star.py,
	synfig-studio/plugins/lottie-exporter/properties/valueKeyframe.py: 
	Closes: #856 and Closes: #859. Star shape is now rendered using
	shape layer

2019-07-08  AnishGulati <anish.gulati@research.iiit.ac.in>

	*
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	Makefile.am: Update wrong name in makefile

2019-07-08  AnishGulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/plugins/lottie-exporter/layers/driver.py,
	synfig-studio/plugins/lottie-exporter/layers/shape_solid.py,
	synfig-studio/plugins/lottie-exporter/properties/shapeKeyframed.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	Makefile.am,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	circle.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	helper.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	rectangle.py: Add invert, bevCircle parameters to rectangle layer

2019-07-08  AnishGulati <anish.gulati@research.iiit.ac.in>

	*
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	circle.py: Update static circle export

2019-07-08  AnishGulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/plugins/lottie-exporter/layers/driver.py,
	synfig-studio/plugins/lottie-exporter/layers/shape_solid.py,
	synfig-studio/plugins/lottie-exporter/misc.py,
	synfig-studio/plugins/lottie-exporter/properties/shapeKeyframed.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	Makefile.am,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	circle.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	helper.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	outline.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	polygon.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	region.py: Add support for invert parameter in circle layer

2019-07-07  AnishGulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/configure.ac,
	synfig-studio/plugins/lottie-exporter/helpers/mask.py,
	synfig-studio/plugins/lottie-exporter/properties/Makefile.am,
	synfig-studio/plugins/lottie-exporter/properties/shapeKeyframed.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	Makefile.am,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	helper.py,
	synfig-studio/plugins/lottie-exporter/properties/{shapePropKeyframe
	.py => shapePropKeyframe/outline.py},
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	polygon.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe/
	region.py: Restructure shape layer

2019-07-07  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/src/gui/states/state_star.cpp: Do not save "Angle
	Offset" parameter of Star Tool. Always use default value (90 deg).

2019-07-07  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/src/gui/states/state_star.cpp: Remove identation
	from "Offset" label in Star Tool settings

2019-07-07  Konstantin Dmitriev <ksee.zelgadis@gmail.com>

	* synfig-studio/src/gui/states/state_star.cpp: Star Tool now creates
	Star Layer aligned at 90 degrees

2019-07-06  AnishGulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/plugins/lottie-exporter/helpers/transform.py,
	synfig-studio/plugins/lottie-exporter/layers/driver.py,
	synfig-studio/plugins/lottie-exporter/layers/image.py,
	synfig-studio/plugins/lottie-exporter/layers/preComp.py,
	synfig-studio/plugins/lottie-exporter/layers/rotate_layer.py,
	synfig-studio/plugins/lottie-exporter/layers/scale_layer.py,
	synfig-studio/plugins/lottie-exporter/layers/shape.py,
	synfig-studio/plugins/lottie-exporter/layers/shape_solid.py,
	synfig-studio/plugins/lottie-exporter/layers/solid.py,
	synfig-studio/plugins/lottie-exporter/layers/translate_layer.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe.
	py, synfig-studio/plugins/lottie-exporter/settings.py,
	synfig-studio/plugins/lottie-exporter/sources/precomp.py,
	synfig-studio/plugins/lottie-exporter/synfig/group.py: Code cleanup

2019-07-06  AnishGulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/plugins/lottie-exporter/layers/Makefile.am,
	synfig-studio/plugins/lottie-exporter/layers/driver.py,
	synfig-studio/plugins/lottie-exporter/layers/preComp.py,
	synfig-studio/plugins/lottie-exporter/layers/translate_layer.py,
	synfig-studio/plugins/lottie-exporter/settings.py: Add Translate
	Layer support

2019-07-06  AnishGulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/plugins/lottie-exporter/layers/Makefile.am: Change
	Makefile

2019-07-06  AnishGulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/plugins/lottie-exporter/canvas.py,
	synfig-studio/plugins/lottie-exporter/helpers/transform.py,
	synfig-studio/plugins/lottie-exporter/layers/driver.py,
	synfig-studio/plugins/lottie-exporter/layers/preComp.py,
	synfig-studio/plugins/lottie-exporter/layers/rotate_layer.py,
	synfig-studio/plugins/lottie-exporter/layers/scale_layer.py,
	synfig-studio/plugins/lottie-exporter/lottie-exporter.py,
	synfig-studio/plugins/lottie-exporter/misc.py,
	synfig-studio/plugins/lottie-exporter/synfig/animation.py: Add
	support for scale layer

2019-07-05  AnishGulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/plugins/lottie-exporter/layers/solid.py: Support
	Rotate layer on solid color layer

2019-07-05  AnishGulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/plugins/lottie-exporter/layers/image.py,
	synfig-studio/plugins/lottie-exporter/layers/rotate_layer.py,
	synfig-studio/plugins/lottie-exporter/layers/shape.py,
	synfig-studio/plugins/lottie-exporter/layers/shape_solid.py,
	synfig-studio/plugins/lottie-exporter/synfig/group.py: Rotate layer
	working except for solid color layer

2019-07-05  AnishGulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/plugins/lottie-exporter/layers/shape_solid.py,
	synfig-studio/plugins/lottie-exporter/synfig/group.py: Rotate layer
	working with Region, Outline and Polygon layer

2019-07-05  AnishGulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/plugins/lottie-exporter/canvas.py,
	synfig-studio/plugins/lottie-exporter/layers/preComp.py,
	synfig-studio/plugins/lottie-exporter/layers/rotate_layer.py,
	synfig-studio/plugins/lottie-exporter/layers/shape.py,
	synfig-studio/plugins/lottie-exporter/layers/shape_solid.py,
	synfig-studio/plugins/lottie-exporter/lottie-exporter.py,
	synfig-studio/plugins/lottie-exporter/settings.py,
	synfig-studio/plugins/lottie-exporter/synfig/group.py: Rotate layer
	working with circle, simple_circle, star, rectangle,
	filled_rectangle layers

2019-07-05  AnishGulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/plugins/lottie-exporter/layers/rotate_layer.py,
	synfig-studio/plugins/lottie-exporter/lottie-exporter.py,
	synfig-studio/plugins/lottie-exporter/synfig/group.py: Some progress
	on rotate layer

2019-07-04  AnishGulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/plugins/lottie-exporter/canvas.py: Support
	animations with only single frame

2019-07-04  AnishGulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/plugins/lottie-exporter/layers/preComp.py,
	synfig-studio/plugins/lottie-exporter/layers/rotate_layer.py,
	synfig-studio/plugins/lottie-exporter/layers/shape.py,
	synfig-studio/plugins/lottie-exporter/settings.py,
	synfig-studio/plugins/lottie-exporter/synfig/Makefile.am,
	synfig-studio/plugins/lottie-exporter/synfig/group.py: Try to fix
	rotate layer

2019-07-04  AnishGulati <anish.gulati@research.iiit.ac.in>

	*
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe.
	py: Add round tips to outline layer

2019-07-03  AnishGulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/plugins/lottie-exporter/canvas.py,
	synfig-studio/plugins/lottie-exporter/layers/image.py,
	synfig-studio/plugins/lottie-exporter/layers/preComp.py,
	synfig-studio/plugins/lottie-exporter/layers/shape.py,
	synfig-studio/plugins/lottie-exporter/layers/shape_solid.py,
	synfig-studio/plugins/lottie-exporter/layers/solid.py: Move markers
	to canvas

2019-07-02  AnishGulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/plugins/lottie-exporter/sources/Makefile.am: Adjust
	Makefile names

2019-07-02  AnishGulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/plugins/lottie-exporter/helpers/transform.py,
	synfig-studio/plugins/lottie-exporter/layers/Makefile.am,
	synfig-studio/plugins/lottie-exporter/layers/driver.py,
	synfig-studio/plugins/lottie-exporter/layers/preComp.py,
	synfig-studio/plugins/lottie-exporter/layers/rotate_layer.py,
	synfig-studio/plugins/lottie-exporter/lottie-exporter.py,
	synfig-studio/plugins/lottie-exporter/misc.py,
	synfig-studio/plugins/lottie-exporter/settings.py,
	synfig-studio/plugins/lottie-exporter/sources/Makefile.am,
	synfig-studio/plugins/lottie-exporter/sources/precomp.py: Attempt to
	support rotate layer

2019-06-30  AnishGulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/plugins/lottie-exporter/misc.py,
	synfig-studio/plugins/lottie-exporter/properties/offsetKeyframe.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe.
	py,
	synfig-studio/plugins/lottie-exporter/properties/valueKeyframe.py,
	synfig-studio/plugins/lottie-exporter/shapes/rectangle.py,
	synfig-studio/plugins/lottie-exporter/synfig/animation.py: Add
	operator [] to misc.Vector

2019-06-30  AnishGulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/plugins/lottie-exporter/lottie-exporter.py: check
	for key in dictionary

2019-06-30  AnishGulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/plugins/lottie-exporter/helpers/mask.py,
	synfig-studio/plugins/lottie-exporter/layers/shape.py,
	synfig-studio/plugins/lottie-exporter/layers/shape_solid.py,
	synfig-studio/plugins/lottie-exporter/lottie-exporter.py,
	synfig-studio/plugins/lottie-exporter/misc.py,
	synfig-studio/plugins/lottie-exporter/properties/shapeKeyframed.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe.
	py, synfig-studio/plugins/lottie-exporter/shapes/Makefile.am,
	synfig-studio/plugins/lottie-exporter/shapes/shape.py: Refactor the
	modules

2019-06-30  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/widgets/widget_compselect.cpp: it should not
	set selected_instance of a not found element

2019-06-30  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* synfig-studio/src/gui/widgets/widget_compselect.cpp: it could
	dereference list.end() iterator...  fix cov#308605

2019-06-30  AnishGulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/plugins/lottie-exporter/lottie-exporter.py: Add
	logging for 'exclude_from_rendering' layers

2019-06-30  AnishGulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/plugins/lottie-exporter/lottie-exporter.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe.
	py: Closes: #857 Add logger and logging information

2019-06-30  AnishGulati <anish.gulati@research.iiit.ac.in>

	*
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe.
	py: Attempt to correct round tips

2019-06-29  AnishGulati <anish.gulati@research.iiit.ac.in>

	*
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe.
	py: Add origin animations to outline layer

2019-06-28  AnishGulati <anish.gulati@research.iiit.ac.in>

	* synfig-studio/plugins/lottie-exporter/misc.py,
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe.
	py, synfig-studio/plugins/lottie-exporter/synfig/animation.py: 
	Outline layer working properly without round tips

2019-06-28  AnishGulati <anish.gulati@research.iiit.ac.in>

	*
	synfig-studio/plugins/lottie-exporter/properties/shapePropKeyframe.
	py: Add loop property to outline layer

2019-06-28  AnishGulati <anish.gulati@research.iiit.ac.in>

